#include "program-6-client.h"

int flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort0);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a, int );
  flick_fluke_encode_signed32(4, _data->b, int );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort1);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a, int );
  flick_fluke_decode_signed32(4, _data->b, int );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16, _flick_abort2);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->a.a, int );
  flick_fluke_encode_signed32(4, _data->a.b, int );
  flick_fluke_encode_signed32(8, _data->b.a, int );
  flick_fluke_encode_signed32(12, _data->b.b, int );
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16);
  flick_fluke_check_span(16, _flick_abort3);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->a.a, int );
  flick_fluke_decode_signed32(4, _data->a.b, int );
  flick_fluke_decode_signed32(8, _data->b.a, int );
  flick_fluke_decode_signed32(12, _data->b.b, int );
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->long_list_len, _flick_abort4);
  flick_fluke_encode_new_chunk(4 * _data->long_list_len);
  flick_fluke_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 * _data->long_list_len);
  flick_fluke_encode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort7);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->long_list_len);
  flick_fluke_check_span(4 * _data->long_list_len * 1, _flick_abort7);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned int _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort11);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->sb_list_len, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->sb_list_len; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->sb_list_val[_t0_array_iter].a.a, int );
      flick_fluke_encode_signed32(4, _data->sb_list_val[_t0_array_iter].a.b, int );
      flick_fluke_encode_signed32(8, _data->sb_list_val[_t0_array_iter].b.a, int );
      flick_fluke_encode_signed32(12, _data->sb_list_val[_t0_array_iter].b.b, int );
      flick_fluke_encode_end_chunk(16);
      continue;
    }
  flick_fluke_encode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort17);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->sb_list_len);
  {
    struct sb *_t_alloc_ptr;

    _t_alloc_ptr = (struct sb *)(sun_flick_alloc(_data->sb_list_len * sizeof(struct sb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17);
    _data->sb_list_val = _t_alloc_ptr;
  }
  flick_fluke_check_span(_data->sb_list_len * 16, _flick_abort21);
  for (_t1_array_iter = 0; _t1_array_iter < _data->sb_list_len; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->sb_list_val[_t1_array_iter].a.a, int );
      flick_fluke_decode_signed32(4, _data->sb_list_val[_t1_array_iter].a.b, int );
      flick_fluke_decode_signed32(8, _data->sb_list_val[_t1_array_iter].b.a, int );
      flick_fluke_decode_signed32(12, _data->sb_list_val[_t1_array_iter].b.b, int );
      flick_fluke_decode_end_chunk(16);
      continue;
    }
  flick_fluke_decode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort21:
    sun_flick_free(_data->sb_list_val);
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int *long_test_50(long_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort25);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 7, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, arg->long_list_len, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * arg->long_list_len, _flick_abort25);
      flick_fluke_encode_new_chunk(4 * arg->long_list_len);
      flick_fluke_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
      flick_fluke_encode_end_chunk(4 * arg->long_list_len);
      flick_fluke_encode_end_glob(4 * arg->long_list_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort25);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t3_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t3_storage);
            flick_fluke_check_span(4, _flick_abort35);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort35:
              goto _flick_abort25;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort36);
            break;
            {
            _flick_abort36:
              goto _flick_abort25;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort37);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort37:
              goto _flick_abort25;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort25);
  return _return;
  {
  _flick_abort25:
    flick_sun_client_error(fluke, fluke, _flick_abort24);
  _flick_abort24:
    goto _flick_reaper;
  }
}

int *sb_test_50(sb_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned int _t5_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort39);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 8, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, arg->sb_list_len, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(16 * arg->sb_list_len, _flick_abort39);
      for (_t5_array_iter = 0; _t5_array_iter < arg->sb_list_len; _t5_array_iter++)
        {
          flick_fluke_encode_new_chunk(16);
          flick_fluke_encode_signed32(0, arg->sb_list_val[_t5_array_iter].a.a, int );
          flick_fluke_encode_signed32(4, arg->sb_list_val[_t5_array_iter].a.b, int );
          flick_fluke_encode_signed32(8, arg->sb_list_val[_t5_array_iter].b.a, int );
          flick_fluke_encode_signed32(12, arg->sb_list_val[_t5_array_iter].b.b, int );
          flick_fluke_encode_end_chunk(16);
          continue;
        }
      flick_fluke_encode_end_glob(16 * arg->sb_list_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort39);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort39);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t7_storage);
            flick_fluke_check_span(4, _flick_abort55);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort55:
              goto _flick_abort39;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort56);
            break;
            {
            _flick_abort56:
              goto _flick_abort39;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort57:
              goto _flick_abort39;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort39);
  return _return;
  {
  _flick_abort39:
    flick_sun_client_error(fluke, fluke, _flick_abort38);
  _flick_abort38:
    goto _flick_reaper;
  }
}

