#ifndef _sequence_server_h_
#define _sequence_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_long vec10;
#endif /* _typedef___vec10 */

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

#ifndef _typedef___puke
#define _typedef___puke
typedef struct puke {
  oskit_s32_t reason;
} puke;
#endif /* _typedef___puke */

int flick_marshal_stub_puke(flick_marshal_stream_t _stream, puke *_data);

int flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data);

#include <fluke/flick.h>

#ifndef _typedef___TestSeq
#define _typedef___TestSeq
typedef struct TestSeq_struct TestSeq;
#endif /* _typedef___TestSeq */

int flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data);

int flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data);

extern flick_dispatch_t TestSeq_server;

vec10 *TestSeq_server_op(TestSeq *_obj, const vec10 *iv, vec10 **ov, vec10 *iov, mom_exc_t *_ev);

#endif /* _sequence_server_h_ */
