#ifndef _string__client_h_
#define _string__client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#ifndef _typedef___str
#define _typedef___str
typedef struct str {
  char *s10;
  oskit_s32_t a;
  char *sx;
  oskit_s16_t b;
} str;
#endif /* _typedef___str */

int flick_marshal_stub_str(flick_marshal_stream_t _stream, const str *_data);

int flick_unmarshal_stub_str(flick_marshal_stream_t _stream, str *_data);

#ifndef _typedef___longstr
#define _typedef___longstr
typedef char *longstr;
#endif /* _typedef___longstr */

int flick_marshal_stub_longstr(flick_marshal_stream_t _stream, const longstr *_data);

int flick_unmarshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data);

#ifndef _typedef___shortstr
#define _typedef___shortstr
typedef char *shortstr;
#endif /* _typedef___shortstr */

int flick_marshal_stub_shortstr(flick_marshal_stream_t _stream, const shortstr *_data);

int flick_unmarshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data);

#include <fluke/flick.h>

char *test_String(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev);

longstr test_LongString(mom_ref_t _obj, longstr a, longstr *b, longstr *c, mom_exc_t *_ev);

shortstr test_ShortString(mom_ref_t _obj, shortstr a, shortstr *b, shortstr *c, mom_exc_t *_ev);

str *test_Struct(mom_ref_t _obj, const str *a, str *b, str **c, mom_exc_t *_ev);

#endif /* _string__client_h_ */
