#include "string_-server.h"

int flick_marshal_stub_str(flick_marshal_stream_t _stream, str *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  flick_unsigned32_t _t1_temp_string_len;

  flick_fluke_stringlen(char *, _data->s10, flick_unsigned32_t , _t0_temp_string_len);
  flick_fluke_stringlen(char *, _data->sx, flick_unsigned32_t , _t1_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(26, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_fluke_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->s10, 1 * _t0_temp_string_len);
  mom_flick_free(_data->s10);
  flick_fluke_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a, oskit_s32_t );
  flick_fluke_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(26);
  flick_fluke_encode_new_glob(1 * _t1_temp_string_len, _flick_abort0);
  flick_fluke_encode_new_chunk(1 * _t1_temp_string_len);
  flick_fluke_encode_bcopy(0, _data->sx, 1 * _t1_temp_string_len);
  mom_flick_free(_data->sx);
  flick_fluke_encode_end_chunk(1 * _t1_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t1_temp_string_len);
  flick_fluke_encode_new_glob(3, _flick_abort0);
  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_encode_signed16(0, _data->b, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(3);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str(flick_marshal_stream_t _stream, str *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(26);
  flick_fluke_check_span(4, _flick_abort5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(1 * _t2_temp_string_len * 1, _flick_abort5);
  flick_fluke_decode_new_chunk(1 * _t2_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t2_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->s10 = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->s10, 1 * _t2_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t2_temp_string_len);
  flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
  flick_fluke_check_span(8, _flick_abort8);
  flick_fluke_decode_signed32(0, _data->a, oskit_s32_t );
  flick_fluke_decode_unsigned32(4, _t3_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(26);
  flick_fluke_decode_new_glob(1 * _t3_temp_string_len);
  flick_fluke_check_span(1 * _t3_temp_string_len * 1, _flick_abort8);
  flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t3_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
    _data->sx = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->sx, 1 * _t3_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t3_temp_string_len);
  flick_fluke_decode_new_glob(3);
  flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_check_span(2, _flick_abort11);
  flick_fluke_decode_signed16(0, _data->b, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(3);
  return 0;
  {
  _flick_abort11:
    mom_flick_free(_data->sx);
  _flick_abort8:
    mom_flick_free(_data->s10);
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  flick_fluke_stringlen(char *, *_data, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort12);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _t4_temp_string_len, _flick_abort12);
  flick_fluke_encode_new_chunk(1 * _t4_temp_string_len);
  flick_fluke_encode_bcopy(0, *_data, 1 * _t4_temp_string_len);
  mom_flick_free(*_data);
  flick_fluke_encode_end_chunk(1 * _t4_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t4_temp_string_len);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort15);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _t5_temp_string_len);
  flick_fluke_check_span(1 * _t5_temp_string_len * 1, _flick_abort15);
  flick_fluke_decode_new_chunk(1 * _t5_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t5_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    *_data = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, *_data, 1 * _t5_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t5_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t5_temp_string_len);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t6_temp_string_len;

  flick_fluke_stringlen(char *, *_data, flick_unsigned32_t , _t6_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(30, _flick_abort19);
  flick_fluke_encode_new_chunk(4 + 1 * _t6_temp_string_len);
  flick_fluke_encode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
  if (_t6_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort19);
  flick_fluke_encode_bcopy(4, *_data, 1 * _t6_temp_string_len);
  mom_flick_free(*_data);
  flick_fluke_encode_end_chunk(4 + 1 * _t6_temp_string_len);
  flick_fluke_encode_end_glob(30);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(30);
  flick_fluke_check_span(4, _flick_abort22);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
  if (_t7_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort22);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(1 * _t7_temp_string_len * 1, _flick_abort22);
  flick_fluke_decode_new_chunk(1 * _t7_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t7_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort22);
    *_data = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, *_data, 1 * _t7_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t7_temp_string_len);
  flick_fluke_decode_end_glob(30);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t62_switch_tag;

    flick_fluke_decode_new_glob(67);
    flick_fluke_check_span(8, _flick_abort30);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t62_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t62_switch_tag)
      {
      case req_test_String:
        {
          {
            char *_return;
            char *_local_a;
            flick_unsigned32_t _t63_temp_string_len;
            char **_local_b;
            char *_t64_storage;
            flick_unsigned32_t _t65_temp_string_len;
            char **_local_c;
            char *_t66_storage;
            mom_exc_t *_ev;
            mom_exc_t _t67_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t63_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(67);
            flick_fluke_decode_new_glob(1 * _t63_temp_string_len);
            flick_fluke_check_span(1 * _t63_temp_string_len * 1, _flick_abort154);
            flick_fluke_decode_new_chunk(1 * _t63_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a, char *);
            flick_fluke_decode_end_chunk(1 * _t63_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t63_temp_string_len);
            _local_b = (char **)(&_t64_storage);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort154);
            flick_fluke_decode_unsigned32(0, _t65_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t65_temp_string_len);
            flick_fluke_check_span(1 * _t65_temp_string_len * 1, _flick_abort154);
            flick_fluke_decode_new_chunk(1 * _t65_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t65_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort154);
              *_local_b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *_local_b, 1 * _t65_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t65_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t65_temp_string_len);
            _local_c = (char **)(&_t66_storage);
            _ev = (mom_exc_t *)(&_t67_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_String(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort159);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t71_temp_string_len;
                    flick_unsigned32_t _t72_temp_string_len;
                    flick_unsigned32_t _t73_temp_string_len;

                    flick_fluke_stringlen(char *, _return, flick_unsigned32_t , _t71_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_b, flick_unsigned32_t , _t72_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_c, flick_unsigned32_t , _t73_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_unsigned32(0, _t71_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    flick_fluke_encode_new_glob(1 * _t71_temp_string_len, _flick_abort170);
                    flick_fluke_encode_new_chunk(1 * _t71_temp_string_len);
                    flick_fluke_encode_bcopy(0, _return, 1 * _t71_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_chunk(1 * _t71_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t71_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort170);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t72_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t72_temp_string_len, _flick_abort170);
                    flick_fluke_encode_new_chunk(1 * _t72_temp_string_len);
                    flick_fluke_encode_bcopy(0, *_local_b, 1 * _t72_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_chunk(1 * _t72_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t72_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort170);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t73_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t73_temp_string_len, _flick_abort170);
                    flick_fluke_encode_new_chunk(1 * _t73_temp_string_len);
                    flick_fluke_encode_bcopy(0, *_local_c, 1 * _t73_temp_string_len);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_chunk(1 * _t73_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t73_temp_string_len);
                    break;
                    {
                    _flick_abort170:
                      goto _flick_abort159;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort177);
                    break;
                    {
                    _flick_abort177:
                      goto _flick_abort159;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort178:
                      goto _flick_abort159;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort159:
              mom_flick_free(*_local_b);
            _flick_abort154:
              goto _flick_abort153;
            }
          }
          break;
          {
          _flick_abort153:
            goto _flick_abort30;
          }
        }
      case req_test_LongString:
        {
          {
            longstr _return;
            longstr _local_a;
            flick_unsigned32_t _t74_temp_string_len;
            longstr *_local_b;
            longstr _t75_storage;
            flick_unsigned32_t _t76_temp_string_len;
            longstr *_local_c;
            longstr _t77_storage;
            mom_exc_t *_ev;
            mom_exc_t _t78_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(67);
            flick_fluke_decode_new_glob(1 * _t74_temp_string_len);
            flick_fluke_check_span(1 * _t74_temp_string_len * 1, _flick_abort180);
            flick_fluke_decode_new_chunk(1 * _t74_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a, char *);
            flick_fluke_decode_end_chunk(1 * _t74_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t74_temp_string_len);
            _local_b = (longstr *)(&_t75_storage);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort180);
            flick_fluke_decode_unsigned32(0, _t76_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t76_temp_string_len);
            flick_fluke_check_span(1 * _t76_temp_string_len * 1, _flick_abort180);
            flick_fluke_decode_new_chunk(1 * _t76_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t76_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort180);
              *_local_b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *_local_b, 1 * _t76_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t76_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t76_temp_string_len);
            _local_c = (longstr *)(&_t77_storage);
            _ev = (mom_exc_t *)(&_t78_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_LongString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort185);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t82_temp_string_len;
                    flick_unsigned32_t _t83_temp_string_len;
                    flick_unsigned32_t _t84_temp_string_len;

                    flick_fluke_stringlen(char *, _return, flick_unsigned32_t , _t82_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_b, flick_unsigned32_t , _t83_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_c, flick_unsigned32_t , _t84_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    flick_fluke_encode_new_glob(1 * _t82_temp_string_len, _flick_abort196);
                    flick_fluke_encode_new_chunk(1 * _t82_temp_string_len);
                    flick_fluke_encode_bcopy(0, _return, 1 * _t82_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_chunk(1 * _t82_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t82_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort196);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t83_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t83_temp_string_len, _flick_abort196);
                    flick_fluke_encode_new_chunk(1 * _t83_temp_string_len);
                    flick_fluke_encode_bcopy(0, *_local_b, 1 * _t83_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_chunk(1 * _t83_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t83_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort196);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t84_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t84_temp_string_len, _flick_abort196);
                    flick_fluke_encode_new_chunk(1 * _t84_temp_string_len);
                    flick_fluke_encode_bcopy(0, *_local_c, 1 * _t84_temp_string_len);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_chunk(1 * _t84_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t84_temp_string_len);
                    break;
                    {
                    _flick_abort196:
                      goto _flick_abort185;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort203);
                    break;
                    {
                    _flick_abort203:
                      goto _flick_abort185;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort204);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort204:
                      goto _flick_abort185;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort185:
              mom_flick_free(*_local_b);
            _flick_abort180:
              goto _flick_abort179;
            }
          }
          break;
          {
          _flick_abort179:
            goto _flick_abort30;
          }
        }
      case req_test_ShortString:
        {
          {
            shortstr _return;
            shortstr _local_a;
            flick_unsigned32_t _t85_temp_string_len;
            shortstr *_local_b;
            shortstr _t86_storage;
            flick_unsigned32_t _t87_temp_string_len;
            shortstr *_local_c;
            shortstr _t88_storage;
            mom_exc_t *_ev;
            mom_exc_t _t89_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t85_temp_string_len, flick_unsigned32_t );
            if (_t85_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort206);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t85_temp_string_len * 1, _flick_abort206);
            flick_fluke_decode_new_chunk(1 * _t85_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a, char *);
            flick_fluke_decode_end_chunk(1 * _t85_temp_string_len);
            _local_b = (shortstr *)(&_t86_storage);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort206);
            flick_fluke_decode_unsigned32(0, _t87_temp_string_len, flick_unsigned32_t );
            if (_t87_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort206);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t87_temp_string_len * 1, _flick_abort206);
            flick_fluke_decode_new_chunk(1 * _t87_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t87_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort206);
              *_local_b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *_local_b, 1 * _t87_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t87_temp_string_len);
            _local_c = (shortstr *)(&_t88_storage);
            _ev = (mom_exc_t *)(&_t89_storage);
            flick_fluke_decode_end_glob(67);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(100, _flick_abort211);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t93_temp_string_len;
                    flick_unsigned32_t _t94_temp_string_len;
                    flick_unsigned32_t _t95_temp_string_len;

                    flick_fluke_stringlen(char *, _return, flick_unsigned32_t , _t93_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_b, flick_unsigned32_t , _t94_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_c, flick_unsigned32_t , _t95_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4 + 1 * _t93_temp_string_len);
                    flick_fluke_encode_unsigned32(0, _t93_temp_string_len, flick_unsigned32_t );
                    if (_t93_temp_string_len > 26)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort222);
                    flick_fluke_encode_bcopy(4, _return, 1 * _t93_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t93_temp_string_len);
                    flick_fluke_encode_new_chunk_align(4 + 1 * _t94_temp_string_len, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                    if (_t94_temp_string_len > 26)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort222);
                    flick_fluke_encode_bcopy(4, *_local_b, 1 * _t94_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t94_temp_string_len);
                    flick_fluke_encode_new_chunk_align(4 + 1 * _t95_temp_string_len, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t95_temp_string_len, flick_unsigned32_t );
                    if (_t95_temp_string_len > 26)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort222);
                    flick_fluke_encode_bcopy(4, *_local_c, 1 * _t95_temp_string_len);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t95_temp_string_len);
                    flick_fluke_encode_end_glob(100);
                    break;
                    {
                    _flick_abort222:
                      goto _flick_abort211;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(100);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort229);
                    break;
                    {
                    _flick_abort229:
                      goto _flick_abort211;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort230);
                    flick_fluke_encode_end_glob(100);
                    break;
                    {
                    _flick_abort230:
                      goto _flick_abort211;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort211:
              mom_flick_free(*_local_b);
            _flick_abort206:
              goto _flick_abort205;
            }
          }
          break;
          {
          _flick_abort205:
            goto _flick_abort30;
          }
        }
      case req_test_Struct:
        {
          {
            str *_return;
            str *_local_a;
            str _t96_storage;
            flick_unsigned32_t _t97_temp_string_len;
            flick_unsigned32_t _t98_temp_string_len;
            str *_local_b;
            str _t99_storage;
            flick_unsigned32_t _t100_temp_string_len;
            flick_unsigned32_t _t101_temp_string_len;
            str **_local_c;
            str *_t102_storage;
            mom_exc_t *_ev;
            mom_exc_t _t103_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (str *)(&_t96_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t97_temp_string_len, flick_unsigned32_t );
            if (_t97_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort232);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t97_temp_string_len * 1, _flick_abort232);
            flick_fluke_decode_new_chunk(1 * _t97_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a->s10, char *);
            flick_fluke_decode_end_chunk(1 * _t97_temp_string_len);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort232);
            flick_fluke_decode_signed32(0, _local_a->a, oskit_s32_t );
            flick_fluke_decode_unsigned32(4, _t98_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(67);
            flick_fluke_decode_new_glob(1 * _t98_temp_string_len);
            flick_fluke_check_span(1 * _t98_temp_string_len * 1, _flick_abort232);
            flick_fluke_decode_new_chunk(1 * _t98_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a->sx, char *);
            flick_fluke_decode_end_chunk(1 * _t98_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t98_temp_string_len);
            flick_fluke_decode_new_glob(31);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_check_span(2, _flick_abort232);
            flick_fluke_decode_signed16(0, _local_a->b, oskit_s16_t );
            _local_b = (str *)(&_t99_storage);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
            flick_fluke_check_span(4, _flick_abort232);
            flick_fluke_decode_unsigned32(0, _t100_temp_string_len, flick_unsigned32_t );
            if (_t100_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort232);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t100_temp_string_len * 1, _flick_abort232);
            flick_fluke_decode_new_chunk(1 * _t100_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t100_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort232);
              _local_b->s10 = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _local_b->s10, 1 * _t100_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t100_temp_string_len);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort239);
            flick_fluke_decode_signed32(0, _local_b->a, oskit_s32_t );
            flick_fluke_decode_unsigned32(4, _t101_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(31);
            flick_fluke_decode_new_glob(1 * _t101_temp_string_len);
            flick_fluke_check_span(1 * _t101_temp_string_len * 1, _flick_abort239);
            flick_fluke_decode_new_chunk(1 * _t101_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t101_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort239);
              _local_b->sx = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _local_b->sx, 1 * _t101_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t101_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t101_temp_string_len);
            flick_fluke_decode_new_glob(3);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_check_span(2, _flick_abort242);
            flick_fluke_decode_signed16(0, _local_b->b, oskit_s16_t );
            _local_c = (str **)(&_t102_storage);
            _ev = (mom_exc_t *)(&_t103_storage);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(3);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Struct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(30, _flick_abort242);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t110_temp_string_len;
                    flick_unsigned32_t _t111_temp_string_len;
                    flick_unsigned32_t _t112_temp_string_len;
                    flick_unsigned32_t _t113_temp_string_len;
                    flick_unsigned32_t _t114_temp_string_len;
                    flick_unsigned32_t _t115_temp_string_len;

                    flick_fluke_stringlen(char *, _return->s10, flick_unsigned32_t , _t110_temp_string_len);
                    flick_fluke_stringlen(char *, _return->sx, flick_unsigned32_t , _t111_temp_string_len);
                    flick_fluke_stringlen(char *, _local_b->s10, flick_unsigned32_t , _t112_temp_string_len);
                    flick_fluke_stringlen(char *, _local_b->sx, flick_unsigned32_t , _t113_temp_string_len);
                    flick_fluke_stringlen(char *, (*_local_c)->s10, flick_unsigned32_t , _t114_temp_string_len);
                    flick_fluke_stringlen(char *, (*_local_c)->sx, flick_unsigned32_t , _t115_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4 + 1 * _t110_temp_string_len);
                    flick_fluke_encode_unsigned32(0, _t110_temp_string_len, flick_unsigned32_t );
                    if (_t110_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort259);
                    flick_fluke_encode_bcopy(4, _return->s10, 1 * _t110_temp_string_len);
                    mom_flick_free(_return->s10);
                    _return->s10 = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t110_temp_string_len);
                    flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
                    flick_fluke_encode_signed32(0, _return->a, oskit_s32_t );
                    flick_fluke_encode_unsigned32(4, _t111_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(8);
                    flick_fluke_encode_end_glob(30);
                    flick_fluke_encode_new_glob(1 * _t111_temp_string_len, _flick_abort259);
                    flick_fluke_encode_new_chunk(1 * _t111_temp_string_len);
                    flick_fluke_encode_bcopy(0, _return->sx, 1 * _t111_temp_string_len);
                    mom_flick_free(_return->sx);
                    _return->sx = 0;
                    flick_fluke_encode_end_chunk(1 * _t111_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t111_temp_string_len);
                    flick_fluke_encode_new_glob(31, _flick_abort259);
                    flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
                    flick_fluke_encode_signed16(0, _return->b, oskit_s16_t );
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_new_chunk_align(4 + 1 * _t112_temp_string_len, 2, 1, 0);
                    flick_fluke_encode_unsigned32(0, _t112_temp_string_len, flick_unsigned32_t );
                    if (_t112_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort259);
                    flick_fluke_encode_bcopy(4, _local_b->s10, 1 * _t112_temp_string_len);
                    mom_flick_free(_local_b->s10);
                    _local_b->s10 = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t112_temp_string_len);
                    flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
                    flick_fluke_encode_signed32(0, _local_b->a, oskit_s32_t );
                    flick_fluke_encode_unsigned32(4, _t113_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(8);
                    flick_fluke_encode_end_glob(31);
                    flick_fluke_encode_new_glob(1 * _t113_temp_string_len, _flick_abort259);
                    flick_fluke_encode_new_chunk(1 * _t113_temp_string_len);
                    flick_fluke_encode_bcopy(0, _local_b->sx, 1 * _t113_temp_string_len);
                    mom_flick_free(_local_b->sx);
                    _local_b->sx = 0;
                    flick_fluke_encode_end_chunk(1 * _t113_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t113_temp_string_len);
                    flick_fluke_encode_new_glob(31, _flick_abort259);
                    flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
                    flick_fluke_encode_signed16(0, _local_b->b, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_new_chunk_align(4 + 1 * _t114_temp_string_len, 2, 1, 0);
                    flick_fluke_encode_unsigned32(0, _t114_temp_string_len, flick_unsigned32_t );
                    if (_t114_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort259);
                    flick_fluke_encode_bcopy(4, (*_local_c)->s10, 1 * _t114_temp_string_len);
                    mom_flick_free((*_local_c)->s10);
                    (*_local_c)->s10 = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t114_temp_string_len);
                    flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
                    flick_fluke_encode_signed32(0, (*_local_c)->a, oskit_s32_t );
                    flick_fluke_encode_unsigned32(4, _t115_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(8);
                    flick_fluke_encode_end_glob(31);
                    flick_fluke_encode_new_glob(1 * _t115_temp_string_len, _flick_abort259);
                    flick_fluke_encode_new_chunk(1 * _t115_temp_string_len);
                    flick_fluke_encode_bcopy(0, (*_local_c)->sx, 1 * _t115_temp_string_len);
                    mom_flick_free((*_local_c)->sx);
                    (*_local_c)->sx = 0;
                    flick_fluke_encode_end_chunk(1 * _t115_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t115_temp_string_len);
                    flick_fluke_encode_new_glob(3, _flick_abort259);
                    flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
                    flick_fluke_encode_signed16(0, (*_local_c)->b, oskit_s16_t );
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(3);
                    break;
                    {
                    _flick_abort259:
                      goto _flick_abort242;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(30);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort272);
                    break;
                    {
                    _flick_abort272:
                      goto _flick_abort242;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort273);
                    flick_fluke_encode_end_glob(30);
                    break;
                    {
                    _flick_abort273:
                      goto _flick_abort242;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort242:
              mom_flick_free(_local_b->sx);
            _flick_abort239:
              mom_flick_free(_local_b->s10);
            _flick_abort232:
              goto _flick_abort231;
            }
          }
          break;
          {
          _flick_abort231:
            goto _flick_abort30;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
          flick_fluke_decode_end_glob(67);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort30:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort29);
  _flick_abort29:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

