#include "ttcp-server.h"

int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort0);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->xx, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->yy, oskit_s32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort1);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->xx, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->yy, oskit_s32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16, _flick_abort2);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->x.xx, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->x.yy, oskit_s32_t );
  flick_fluke_encode_signed32(8, _data->y.xx, oskit_s32_t );
  flick_fluke_encode_signed32(12, _data->y.yy, oskit_s32_t );
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16);
  flick_fluke_check_span(16, _flick_abort3);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->x.xx, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->x.yy, oskit_s32_t );
  flick_fluke_decode_signed32(8, _data->y.xx, oskit_s32_t );
  flick_fluke_decode_signed32(12, _data->y.yy, oskit_s32_t );
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  oskit_u32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->_length, _flick_abort4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx, oskit_s32_t );
      flick_fluke_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy, oskit_s32_t );
      flick_fluke_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx, oskit_s32_t );
      flick_fluke_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy, oskit_s32_t );
      flick_fluke_encode_end_chunk(16);
      continue;
    }
  if (_data->_release)
    mom_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_fluke_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  oskit_u32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort10);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->_length);
  {
    b *_t_alloc_ptr;

    _t_alloc_ptr = (b *)(mom_flick_alloc(_data->_length * sizeof(b )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_check_span(_data->_length * 16, _flick_abort14);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx, oskit_s32_t );
      flick_fluke_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy, oskit_s32_t );
      flick_fluke_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx, oskit_s32_t );
      flick_fluke_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy, oskit_s32_t );
      flick_fluke_decode_end_chunk(16);
      continue;
    }
  flick_fluke_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort14:
    mom_flick_free(_data->_buffer);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort17);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length, _flick_abort17);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    mom_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort20);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort20);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort24);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->baloney, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort25);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->baloney, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

mom_dispatch_action_t ttcp_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t8_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_check_span(8, _flick_abort30);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t8_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t8_switch_tag)
      {
      case req_ttcp_inttest:
        {
          {
            oskit_s32_t _return;
            intBuffer *_local_data;
            intBuffer _t9_storage;
            mom_exc_t *_ev;
            mom_exc_t _t10_storage;

            _obj = (ttcp *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_data = (intBuffer *)(&_t9_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_data->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * _local_data->_length);
            flick_fluke_check_span(4 * _local_data->_length * 1, _flick_abort71);
            flick_fluke_decode_new_chunk(4 * _local_data->_length);
            flick_fluke_decode_msgptr(0, _local_data->_buffer, oskit_s32_t *);
            _local_data->_maximum = _local_data->_length;
            _local_data->_release = 0;
            flick_fluke_decode_end_chunk(4 * _local_data->_length);
            flick_fluke_decode_end_glob(4 * _local_data->_length);
            _ev = (mom_exc_t *)(&_t10_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ttcp_server_inttest(_obj, _local_data, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort71);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort82);
                    break;
                    {
                    _flick_abort82:
                      goto _flick_abort71;
                    }
                  }
                default:
                  {
                    switch ((signed int )(_ev->_type))
                      {
                      case exc_useless:
                        {
                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_signed32(0, ((useless *)(_ev->_except))->baloney, oskit_s32_t );
                          mom_flick_free((useless *)(_ev->_except));
                          flick_fluke_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort83);
                          break;
                        }
                      }
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort83:
                      goto _flick_abort71;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort71:
              goto _flick_abort70;
            }
          }
          break;
          {
          _flick_abort70:
            goto _flick_abort30;
          }
        }
      case req_ttcp_structtest:
        {
          {
            oskit_s32_t _return;
            structBuffer *_local_data;
            structBuffer _t11_storage;
            oskit_u32_t _t12_array_iter;
            mom_exc_t *_ev;
            mom_exc_t _t13_storage;

            _obj = (ttcp *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_data = (structBuffer *)(&_t11_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_data->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(16 * _local_data->_length);
            {
              b *_t_alloc_ptr;

              _t_alloc_ptr = (b *)(auto_flick_alloc(_local_data->_length * sizeof(b )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
              _local_data->_buffer = _t_alloc_ptr;
              _local_data->_maximum = _local_data->_length;
              _local_data->_release = 1;
            }
            flick_fluke_check_span(_local_data->_length * 16, _flick_abort92);
            for (_t12_array_iter = 0; _t12_array_iter < _local_data->_length; _t12_array_iter++)
              {
                flick_fluke_decode_new_chunk(16);
                flick_fluke_decode_signed32(0, _local_data->_buffer[_t12_array_iter].x.xx, oskit_s32_t );
                flick_fluke_decode_signed32(4, _local_data->_buffer[_t12_array_iter].x.yy, oskit_s32_t );
                flick_fluke_decode_signed32(8, _local_data->_buffer[_t12_array_iter].y.xx, oskit_s32_t );
                flick_fluke_decode_signed32(12, _local_data->_buffer[_t12_array_iter].y.yy, oskit_s32_t );
                flick_fluke_decode_end_chunk(16);
                continue;
              }
            flick_fluke_decode_end_glob(16 * _local_data->_length);
            _ev = (mom_exc_t *)(&_t13_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ttcp_server_structtest(_obj, _local_data, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort92);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort103);
                    break;
                    {
                    _flick_abort103:
                      goto _flick_abort92;
                    }
                  }
                default:
                  {
                    switch ((signed int )(_ev->_type))
                      {
                      case exc_useless:
                        {
                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_signed32(0, ((useless *)(_ev->_except))->baloney, oskit_s32_t );
                          mom_flick_free((useless *)(_ev->_except));
                          flick_fluke_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort104);
                          break;
                        }
                      }
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort104:
                      goto _flick_abort92;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort92:
              auto_flick_free(_local_data->_buffer);
            _flick_abort88:
              goto _flick_abort87;
            }
          }
          break;
          {
          _flick_abort87:
            goto _flick_abort30;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort30:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort29);
  _flick_abort29:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

