#include "IIOP-server.h"

/* This is the runtime type information */
/* */

int flick_marshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(2, _flick_abort0);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_char8(0, _data->major, CORBA_char );
  flick_cdr_encode_char8(1, _data->minor, CORBA_char );
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort1);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_char8(0, _data->major, CORBA_char );
  flick_cdr_decode_char8(1, _data->minor, CORBA_char );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Version_swap(flick_marshal_stream_t _stream, struct Version *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_char8(0, _data->major, CORBA_char );
  flick_cdr_swap_decode_char8(1, _data->minor, CORBA_char );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort3);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceID_swap(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort6);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->context_id, CORBA_unsigned_long );
  flick_cdr_encode_unsigned32(4, _data->context_data._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _data->context_data._length, _flick_abort6);
  flick_iiop_encode_new_chunk(1 * _data->context_data._length);
  flick_cdr_encode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  if (_data->context_data._release)
    CORBA_flick_free(_data->context_data._buffer);
  _data->context_data._maximum = 0;
  _data->context_data._release = 0;
  flick_iiop_encode_end_chunk(1 * _data->context_data._length);
  flick_iiop_encode_end_glob(1 * _data->context_data._length);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort9);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->context_id, CORBA_unsigned_long );
  flick_cdr_decode_unsigned32(4, _data->context_data._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->context_data._length);
  flick_iiop_check_span(1 * _data->context_data._length * 1, _flick_abort9);
  flick_iiop_decode_new_chunk(1 * _data->context_data._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
    _data->context_data._buffer = _t_alloc_ptr;
    _data->context_data._maximum = _data->context_data._length;
    _data->context_data._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiop_decode_end_chunk(1 * _data->context_data._length);
  flick_iiop_decode_end_glob(1 * _data->context_data._length);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContext_swap(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort13);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->context_id, CORBA_unsigned_long );
  flick_cdr_swap_decode_unsigned32(4, _data->context_data._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->context_data._length);
  flick_iiop_check_span(1 * _data->context_data._length * 1, _flick_abort13);
  flick_iiop_decode_new_chunk(1 * _data->context_data._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
    _data->context_data._buffer = _t_alloc_ptr;
    _data->context_data._maximum = _data->context_data._length;
    _data->context_data._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiop_decode_end_chunk(1 * _data->context_data._length);
  flick_iiop_decode_end_glob(1 * _data->context_data._length);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort17);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_encode_new_glob(11, _flick_abort27);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t0_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_encode_unsigned32(4, _data->_buffer[_t0_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(11);
      flick_iiop_encode_new_glob(1 * _data->_buffer[_t0_array_iter].context_data._length, _flick_abort27);
      flick_iiop_encode_new_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->_buffer[_t0_array_iter].context_data._buffer, 1 * _data->_buffer[_t0_array_iter].context_data._length);
      if (_data->_buffer[_t0_array_iter].context_data._release)
        CORBA_flick_free(_data->_buffer[_t0_array_iter].context_data._buffer);
      _data->_buffer[_t0_array_iter].context_data._maximum = 0;
      _data->_buffer[_t0_array_iter].context_data._release = 0;
      flick_iiop_encode_end_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_iiop_encode_end_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
      continue;
      {
      _flick_abort27:
        goto _flick_abort17;
      }
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort33);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 0, _flick_abort46);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiop_check_span(8, _flick_abort47);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t1_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_decode_unsigned32(4, _data->_buffer[_t1_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_check_span(1 * _data->_buffer[_t1_array_iter].context_data._length * 1, _flick_abort47);
      flick_iiop_decode_new_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->_buffer[_t1_array_iter].context_data._length * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort47);
        _data->_buffer[_t1_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->_buffer[_t1_array_iter].context_data._maximum = _data->_buffer[_t1_array_iter].context_data._length;
        _data->_buffer[_t1_array_iter].context_data._release = 1;
      }
      flick_cdr_decode_bcopy(0, _data->_buffer[_t1_array_iter].context_data._buffer, 1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      continue;
      {
      _flick_abort57:
        _t1_array_iter--;
        CORBA_flick_free(_data->_buffer[_t1_array_iter].context_data._buffer);
      _flick_abort47:
        if ((unsigned int )_t1_array_iter < _data->_length)
          goto _flick_abort57;
        goto _flick_abort46;
      }
    }
  return 0;
  {
  _flick_abort46:
    CORBA_flick_free(_data->_buffer);
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContextList_swap(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort60);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort60);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 0, _flick_abort73);
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiop_check_span(8, _flick_abort74);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t2_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t2_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_check_span(1 * _data->_buffer[_t2_array_iter].context_data._length * 1, _flick_abort74);
      flick_iiop_decode_new_chunk(1 * _data->_buffer[_t2_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->_buffer[_t2_array_iter].context_data._length * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort74);
        _data->_buffer[_t2_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->_buffer[_t2_array_iter].context_data._maximum = _data->_buffer[_t2_array_iter].context_data._length;
        _data->_buffer[_t2_array_iter].context_data._release = 1;
      }
      flick_cdr_swap_decode_bcopy(0, _data->_buffer[_t2_array_iter].context_data._buffer, 1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->_buffer[_t2_array_iter].context_data._length);
      continue;
      {
      _flick_abort84:
        _t2_array_iter--;
        CORBA_flick_free(_data->_buffer[_t2_array_iter].context_data._buffer);
      _flick_abort74:
        if ((unsigned int )_t2_array_iter < _data->_length)
          goto _flick_abort84;
        goto _flick_abort73;
      }
    }
  return 0;
  {
  _flick_abort73:
    CORBA_flick_free(_data->_buffer);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort87);
  return 0;
  {
  _flick_abort87:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_GIOP_Principal_swap(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort90);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort91);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort91:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MsgType_swap(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort92);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort92:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(12, _flick_abort93);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_bcopy(0, _data->magic, 4);
  flick_cdr_encode_char8(4, _data->GIOP_version.major, CORBA_char );
  flick_cdr_encode_char8(5, _data->GIOP_version.minor, CORBA_char );
  flick_cdr_encode_unsigned8(6, _data->byte_order, CORBA_boolean );
  flick_cdr_encode_unsigned8(7, _data->message_type, CORBA_octet );
  flick_cdr_encode_unsigned32(8, _data->message_size, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
  return 0;
  {
  _flick_abort93:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(12);
  flick_iiop_check_span(12, _flick_abort96);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_bcopy(0, _data->magic, 4);
  flick_cdr_decode_char8(4, _data->GIOP_version.major, CORBA_char );
  flick_cdr_decode_char8(5, _data->GIOP_version.minor, CORBA_char );
  flick_cdr_decode_unsigned8(6, _data->byte_order, CORBA_boolean );
  flick_cdr_decode_unsigned8(7, _data->message_type, CORBA_octet );
  flick_cdr_decode_unsigned32(8, _data->message_size, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MessageHeader_swap(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(12);
  flick_iiop_check_span(12, _flick_abort99);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_bcopy(0, _data->magic, 4);
  flick_cdr_swap_decode_char8(4, _data->GIOP_version.major, CORBA_char );
  flick_cdr_swap_decode_char8(5, _data->GIOP_version.minor, CORBA_char );
  flick_cdr_swap_decode_unsigned8(6, _data->byte_order, CORBA_boolean );
  flick_cdr_swap_decode_unsigned8(7, _data->message_type, CORBA_octet );
  flick_cdr_swap_decode_unsigned32(8, _data->message_size, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  return 0;
  {
  _flick_abort99:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t3_array_iter;
  flick_unsigned32_t _t4_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->operation, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort102);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->service_context._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->service_context._length; _t3_array_iter++)
    {
      flick_iiop_encode_new_glob(11, _flick_abort112);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->service_context._buffer[_t3_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_encode_unsigned32(4, _data->service_context._buffer[_t3_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(11);
      flick_iiop_encode_new_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length, _flick_abort112);
      flick_iiop_encode_new_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->service_context._buffer[_t3_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      if (_data->service_context._buffer[_t3_array_iter].context_data._release)
        CORBA_flick_free(_data->service_context._buffer[_t3_array_iter].context_data._buffer);
      _data->service_context._buffer[_t3_array_iter].context_data._maximum = 0;
      _data->service_context._buffer[_t3_array_iter].context_data._release = 0;
      flick_iiop_encode_end_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_iiop_encode_end_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      continue;
      {
      _flick_abort112:
        goto _flick_abort102;
      }
    }
  if (_data->service_context._release)
    CORBA_flick_free(_data->service_context._buffer);
  _data->service_context._maximum = 0;
  _data->service_context._release = 0;
  flick_iiop_encode_new_glob(15, _flick_abort102);
  flick_iiop_encode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_encode_unsigned8(4, _data->response_expected, CORBA_boolean );
  flick_cdr_encode_unsigned32(8, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(15);
  flick_iiop_encode_new_glob(1 * _data->object_key._length, _flick_abort102);
  flick_iiop_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  if (_data->object_key._release)
    CORBA_flick_free(_data->object_key._buffer);
  _data->object_key._maximum = 0;
  _data->object_key._release = 0;
  flick_iiop_encode_end_chunk(1 * _data->object_key._length);
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
  flick_iiop_encode_new_glob(7, _flick_abort102);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  flick_iiop_encode_new_glob(1 * _t4_temp_string_len, _flick_abort102);
  flick_iiop_encode_new_chunk(1 * _t4_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->operation, 1 * _t4_temp_string_len);
  CORBA_flick_free(_data->operation);
  flick_iiop_encode_end_chunk(1 * _t4_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t4_temp_string_len);
  flick_cdr_encode_IOR(iiop, _data->requesting_principal, 0, _flick_abort102);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t5_array_iter;
  flick_unsigned32_t _t6_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort122);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->service_context._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort122);
    _data->service_context._buffer = _t_alloc_ptr;
    _data->service_context._maximum = _data->service_context._length;
    _data->service_context._release = 1;
  }
  flick_iiop_check_span(_data->service_context._length * 0, _flick_abort135);
  for (_t5_array_iter = 0; _t5_array_iter < _data->service_context._length; _t5_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiop_check_span(8, _flick_abort136);
      flick_cdr_decode_unsigned32(0, _data->service_context._buffer[_t5_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_decode_unsigned32(4, _data->service_context._buffer[_t5_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      flick_iiop_check_span(1 * _data->service_context._buffer[_t5_array_iter].context_data._length * 1, _flick_abort136);
      flick_iiop_decode_new_chunk(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->service_context._buffer[_t5_array_iter].context_data._length * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort136);
        _data->service_context._buffer[_t5_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->service_context._buffer[_t5_array_iter].context_data._maximum = _data->service_context._buffer[_t5_array_iter].context_data._length;
        _data->service_context._buffer[_t5_array_iter].context_data._release = 1;
      }
      flick_cdr_decode_bcopy(0, _data->service_context._buffer[_t5_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      continue;
    _flick_abort_block154:
      {
        _t5_array_iter = _data->service_context._length;
      _flick_abort146:
        _t5_array_iter--;
        CORBA_flick_free(_data->service_context._buffer[_t5_array_iter].context_data._buffer);
      _flick_abort136:
        if ((unsigned int )_t5_array_iter < _data->service_context._length)
          goto _flick_abort146;
        goto _flick_abort135;
      }
    }
  flick_iiop_decode_new_glob(15);
  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
  flick_iiop_check_span(12, _flick_abort148);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_decode_unsigned8(4, _data->response_expected, CORBA_boolean );
  flick_cdr_decode_unsigned32(8, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(15);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_check_span(1 * _data->object_key._length * 1, _flick_abort148);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort148);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort151);
  flick_cdr_decode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  flick_iiop_decode_new_glob(1 * _t6_temp_string_len);
  flick_iiop_check_span(1 * _t6_temp_string_len * 1, _flick_abort151);
  flick_iiop_decode_new_chunk(1 * _t6_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t6_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort151);
    _data->operation = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->operation, 1 * _t6_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t6_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t6_temp_string_len);
  flick_cdr_decode_IOR(iiop, _data->requesting_principal, 1);
  return 0;
  {
  _flick_abort151:
    CORBA_flick_free(_data->object_key._buffer);
  _flick_abort148:
    goto _flick_abort_block154;
  _flick_abort135:
    CORBA_flick_free(_data->service_context._buffer);
  _flick_abort122:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_RequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t7_array_iter;
  flick_unsigned32_t _t8_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort155);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->service_context._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort155);
    _data->service_context._buffer = _t_alloc_ptr;
    _data->service_context._maximum = _data->service_context._length;
    _data->service_context._release = 1;
  }
  flick_iiop_check_span(_data->service_context._length * 0, _flick_abort168);
  for (_t7_array_iter = 0; _t7_array_iter < _data->service_context._length; _t7_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiop_check_span(8, _flick_abort169);
      flick_cdr_swap_decode_unsigned32(0, _data->service_context._buffer[_t7_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_swap_decode_unsigned32(4, _data->service_context._buffer[_t7_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      flick_iiop_check_span(1 * _data->service_context._buffer[_t7_array_iter].context_data._length * 1, _flick_abort169);
      flick_iiop_decode_new_chunk(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->service_context._buffer[_t7_array_iter].context_data._length * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort169);
        _data->service_context._buffer[_t7_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->service_context._buffer[_t7_array_iter].context_data._maximum = _data->service_context._buffer[_t7_array_iter].context_data._length;
        _data->service_context._buffer[_t7_array_iter].context_data._release = 1;
      }
      flick_cdr_swap_decode_bcopy(0, _data->service_context._buffer[_t7_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      continue;
    _flick_abort_block183:
      {
        _t7_array_iter = _data->service_context._length;
      _flick_abort179:
        _t7_array_iter--;
        CORBA_flick_free(_data->service_context._buffer[_t7_array_iter].context_data._buffer);
      _flick_abort169:
        if ((unsigned int )_t7_array_iter < _data->service_context._length)
          goto _flick_abort179;
        goto _flick_abort168;
      }
    }
  flick_iiop_decode_new_glob(15);
  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
  flick_iiop_check_span(12, _flick_abort181);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_swap_decode_unsigned8(4, _data->response_expected, CORBA_boolean );
  flick_cdr_swap_decode_unsigned32(8, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(15);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_check_span(1 * _data->object_key._length * 1, _flick_abort181);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort181);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort184);
  flick_cdr_swap_decode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  flick_iiop_decode_new_glob(1 * _t8_temp_string_len);
  flick_iiop_check_span(1 * _t8_temp_string_len * 1, _flick_abort184);
  flick_iiop_decode_new_chunk(1 * _t8_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t8_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort184);
    _data->operation = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->operation, 1 * _t8_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t8_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t8_temp_string_len);
  flick_cdr_swap_decode_IOR(iiop, _data->requesting_principal, 1);
  return 0;
  {
  _flick_abort184:
    CORBA_flick_free(_data->object_key._buffer);
  _flick_abort181:
    goto _flick_abort_block183;
  _flick_abort168:
    CORBA_flick_free(_data->service_context._buffer);
  _flick_abort155:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort188);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort188:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort189);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort189:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyStatusType_swap(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort190);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort190:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort191);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->server_context._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t9_array_iter = 0; _t9_array_iter < _data->server_context._length; _t9_array_iter++)
    {
      flick_iiop_encode_new_glob(11, _flick_abort201);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->server_context._buffer[_t9_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_encode_unsigned32(4, _data->server_context._buffer[_t9_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(11);
      flick_iiop_encode_new_glob(1 * _data->server_context._buffer[_t9_array_iter].context_data._length, _flick_abort201);
      flick_iiop_encode_new_chunk(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->server_context._buffer[_t9_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      if (_data->server_context._buffer[_t9_array_iter].context_data._release)
        CORBA_flick_free(_data->server_context._buffer[_t9_array_iter].context_data._buffer);
      _data->server_context._buffer[_t9_array_iter].context_data._maximum = 0;
      _data->server_context._buffer[_t9_array_iter].context_data._release = 0;
      flick_iiop_encode_end_chunk(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_iiop_encode_end_glob(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      continue;
      {
      _flick_abort201:
        goto _flick_abort191;
      }
    }
  if (_data->server_context._release)
    CORBA_flick_free(_data->server_context._buffer);
  _data->server_context._maximum = 0;
  _data->server_context._release = 0;
  flick_iiop_encode_new_glob(11, _flick_abort191);
  flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_encode_unsigned32(4, _data->reply_status, CORBA_enum );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(11);
  return 0;
  {
  _flick_abort191:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort207);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->server_context._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort207);
    _data->server_context._buffer = _t_alloc_ptr;
    _data->server_context._maximum = _data->server_context._length;
    _data->server_context._release = 1;
  }
  flick_iiop_check_span(_data->server_context._length * 0, _flick_abort220);
  for (_t10_array_iter = 0; _t10_array_iter < _data->server_context._length; _t10_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiop_check_span(8, _flick_abort221);
      flick_cdr_decode_unsigned32(0, _data->server_context._buffer[_t10_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_decode_unsigned32(4, _data->server_context._buffer[_t10_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      flick_iiop_check_span(1 * _data->server_context._buffer[_t10_array_iter].context_data._length * 1, _flick_abort221);
      flick_iiop_decode_new_chunk(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->server_context._buffer[_t10_array_iter].context_data._length * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort221);
        _data->server_context._buffer[_t10_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->server_context._buffer[_t10_array_iter].context_data._maximum = _data->server_context._buffer[_t10_array_iter].context_data._length;
        _data->server_context._buffer[_t10_array_iter].context_data._release = 1;
      }
      flick_cdr_decode_bcopy(0, _data->server_context._buffer[_t10_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      continue;
    _flick_abort_block237:
      {
        _t10_array_iter = _data->server_context._length;
      _flick_abort231:
        _t10_array_iter--;
        CORBA_flick_free(_data->server_context._buffer[_t10_array_iter].context_data._buffer);
      _flick_abort221:
        if ((unsigned int )_t10_array_iter < _data->server_context._length)
          goto _flick_abort231;
        goto _flick_abort220;
      }
    }
  flick_iiop_decode_new_glob(11);
  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
  flick_iiop_check_span(8, _flick_abort233);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_decode_unsigned32(4, _data->reply_status, CORBA_enum );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(11);
  return 0;
  {
  _flick_abort233:
    goto _flick_abort_block237;
  _flick_abort220:
    CORBA_flick_free(_data->server_context._buffer);
  _flick_abort207:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyHeader_swap(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort234);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->server_context._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort234);
    _data->server_context._buffer = _t_alloc_ptr;
    _data->server_context._maximum = _data->server_context._length;
    _data->server_context._release = 1;
  }
  flick_iiop_check_span(_data->server_context._length * 0, _flick_abort247);
  for (_t11_array_iter = 0; _t11_array_iter < _data->server_context._length; _t11_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiop_check_span(8, _flick_abort248);
      flick_cdr_swap_decode_unsigned32(0, _data->server_context._buffer[_t11_array_iter].context_id, CORBA_unsigned_long );
      flick_cdr_swap_decode_unsigned32(4, _data->server_context._buffer[_t11_array_iter].context_data._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_check_span(1 * _data->server_context._buffer[_t11_array_iter].context_data._length * 1, _flick_abort248);
      flick_iiop_decode_new_chunk(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->server_context._buffer[_t11_array_iter].context_data._length * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort248);
        _data->server_context._buffer[_t11_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->server_context._buffer[_t11_array_iter].context_data._maximum = _data->server_context._buffer[_t11_array_iter].context_data._length;
        _data->server_context._buffer[_t11_array_iter].context_data._release = 1;
      }
      flick_cdr_swap_decode_bcopy(0, _data->server_context._buffer[_t11_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      continue;
    _flick_abort_block260:
      {
        _t11_array_iter = _data->server_context._length;
      _flick_abort258:
        _t11_array_iter--;
        CORBA_flick_free(_data->server_context._buffer[_t11_array_iter].context_data._buffer);
      _flick_abort248:
        if ((unsigned int )_t11_array_iter < _data->server_context._length)
          goto _flick_abort258;
        goto _flick_abort247;
      }
    }
  flick_iiop_decode_new_glob(11);
  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
  flick_iiop_check_span(8, _flick_abort260);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_swap_decode_unsigned32(4, _data->reply_status, CORBA_enum );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(11);
  return 0;
  {
  _flick_abort260:
    goto _flick_abort_block260;
  _flick_abort247:
    CORBA_flick_free(_data->server_context._buffer);
  _flick_abort234:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort261);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort261:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort262);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort262:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_CancelRequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort263);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort263:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort264);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_encode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _data->object_key._length, _flick_abort264);
  flick_iiop_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  if (_data->object_key._release)
    CORBA_flick_free(_data->object_key._buffer);
  _data->object_key._maximum = 0;
  _data->object_key._release = 0;
  flick_iiop_encode_end_chunk(1 * _data->object_key._length);
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort264:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort267);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_decode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_check_span(1 * _data->object_key._length * 1, _flick_abort267);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort267:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateRequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort271);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_swap_decode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_check_span(1 * _data->object_key._length * 1, _flick_abort271);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort271);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort271:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort275);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort275:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort276);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort276:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateStatusType_swap(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort277);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort277:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort278);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_encode_unsigned32(4, _data->locate_status, CORBA_enum );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort278:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort279);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_decode_unsigned32(4, _data->locate_status, CORBA_enum );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort279:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateReplyHeader_swap(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort280);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_cdr_swap_decode_unsigned32(4, _data->locate_status, CORBA_enum );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort280:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  flick_unsigned32_t _t12_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->host, flick_unsigned32_t , _t12_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort281);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->iiop_version.major, CORBA_char );
  flick_cdr_encode_char8(1, _data->iiop_version.minor, CORBA_char );
  flick_cdr_encode_unsigned32(4, _t12_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _t12_temp_string_len, _flick_abort281);
  flick_iiop_encode_new_chunk(1 * _t12_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->host, 1 * _t12_temp_string_len);
  CORBA_flick_free(_data->host);
  flick_iiop_encode_end_chunk(1 * _t12_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t12_temp_string_len);
  flick_iiop_encode_new_glob(9, _flick_abort281);
  flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_unsigned16(0, _data->port, CORBA_unsigned_short );
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_encode_unsigned32(0, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(9);
  flick_iiop_encode_new_glob(1 * _data->object_key._length, _flick_abort281);
  flick_iiop_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  if (_data->object_key._release)
    CORBA_flick_free(_data->object_key._buffer);
  _data->object_key._maximum = 0;
  _data->object_key._release = 0;
  flick_iiop_encode_end_chunk(1 * _data->object_key._length);
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort281:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  flick_unsigned32_t _t13_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort286);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->iiop_version.major, CORBA_char );
  flick_cdr_decode_char8(1, _data->iiop_version.minor, CORBA_char );
  flick_cdr_decode_unsigned32(4, _t13_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t13_temp_string_len);
  flick_iiop_check_span(1 * _t13_temp_string_len * 1, _flick_abort286);
  flick_iiop_decode_new_chunk(1 * _t13_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t13_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort286);
    _data->host = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->host, 1 * _t13_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t13_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t13_temp_string_len);
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_iiop_check_span(2, _flick_abort289);
  flick_cdr_decode_unsigned16(0, _data->port, CORBA_unsigned_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
  flick_iiop_check_span(4, _flick_abort289);
  flick_cdr_decode_unsigned32(0, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(9);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_check_span(1 * _data->object_key._length * 1, _flick_abort289);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort289);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort289:
    CORBA_flick_free(_data->host);
  _flick_abort286:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IIOP_ProfileBody_swap(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  flick_unsigned32_t _t14_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort293);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->iiop_version.major, CORBA_char );
  flick_cdr_swap_decode_char8(1, _data->iiop_version.minor, CORBA_char );
  flick_cdr_swap_decode_unsigned32(4, _t14_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t14_temp_string_len);
  flick_iiop_check_span(1 * _t14_temp_string_len * 1, _flick_abort293);
  flick_iiop_decode_new_chunk(1 * _t14_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t14_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort293);
    _data->host = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->host, 1 * _t14_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t14_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t14_temp_string_len);
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_iiop_check_span(2, _flick_abort296);
  flick_cdr_swap_decode_unsigned16(0, _data->port, CORBA_unsigned_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
  flick_iiop_check_span(4, _flick_abort296);
  flick_cdr_swap_decode_unsigned32(0, _data->object_key._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(9);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_check_span(1 * _data->object_key._length * 1, _flick_abort296);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort296);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort296:
    CORBA_flick_free(_data->host);
  _flick_abort293:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

