#ifndef _arrayez__client_h_
#define _arrayez__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class arrays ;


typedef arrays *arrays_ptr;

class arrays_var {

public:
  arrays_var();
  arrays_var(arrays_ptr p);
  arrays_var(const arrays_var &a);
  ~arrays_var();
  arrays_var &operator=(arrays_ptr p);
  arrays_var &operator=(const arrays_var &p);
  arrays_ptr operator->() const;
  operator const arrays_ptr &() const;
  operator arrays_ptr &();
  arrays_ptr in() const;
  arrays_ptr &inout();
  arrays_ptr &out();
  arrays_ptr _retn();
  arrays_ptr ptr() const;

private:
  arrays_ptr ptr_;
} ;


class arrays_out {

public:
  arrays_out(arrays_ptr &r);
  arrays_out(arrays_var &r);
  arrays_out(const arrays_out &r);
  arrays_out &operator=(const arrays_out &r);
  arrays_out &operator=(const arrays_var &r);
  arrays_out &operator=(arrays_ptr r);
  operator arrays_ptr &();
  arrays_ptr &ptr();
  arrays_ptr operator->();

private:
  arrays_ptr &ptr_;
} ;


class arrays : public virtual ACE_CORBA_1 (Object) {

public:
  static arrays_ptr _duplicate(arrays_ptr obj);
  static arrays_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static arrays_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static arrays_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  arrays();
  virtual ~arrays();

private:
  arrays(const arrays &v);
  void operator=(const arrays &v);

public:
  typedef CORBA::Long arr8[8];
  typedef CORBA::Long arr8_slice;
  class arr8_var {

  public:
    arr8_var();
    arr8_var(arrays::arr8_slice *p);
    arr8_var(const arrays::arr8_var &a);
    ~arr8_var();
    arrays::arr8_var &operator=(arrays::arr8_slice *p);
    arrays::arr8_var &operator=(const arrays::arr8_var &p);
    arrays::arr8_slice &operator[](CORBA::ULong index);
    const arrays::arr8_slice &operator[](CORBA::ULong index) const;
    operator arrays::arr8_slice *const &() const;
    operator arrays::arr8_slice *&();
    const arrays::arr8_slice *in() const;
    arrays::arr8_slice *inout();
    arrays::arr8_slice *&out();
    arrays::arr8_slice *_retn();
    arrays::arr8_slice *ptr() const;

  private:
    CORBA::Long *ptr_;
  } ;

  class arr8_forany {

  public:
    arr8_forany();
    arr8_forany(arrays::arr8_slice *p, CORBA::Boolean nocopy = 0);
    arr8_forany(const arrays::arr8_forany &a);
    ~arr8_forany();
    arrays::arr8_forany &operator=(arrays::arr8_slice *p);
    arrays::arr8_forany &operator=(const arrays::arr8_forany &p);
    arrays::arr8_slice &operator[](CORBA::ULong index);
    const arrays::arr8_slice &operator[](CORBA::ULong index) const;
    operator arrays::arr8_slice *const &() const;
    operator arrays::arr8_slice *&();
    const arrays::arr8_slice *in() const;
    arrays::arr8_slice *inout();
    arrays::arr8_slice *&out();
    arrays::arr8_slice *_retn();
    arrays::arr8_slice *ptr() const;
    CORBA::Boolean nocopy() const;

  private:
    CORBA::Long *ptr_;
    CORBA::Boolean nocopy_;
  } ;

  typedef arrays::arr8 arr8_out;
  static arrays::arr8_slice *arr8_alloc();
  static arrays::arr8_slice *arr8_dup(const arrays::arr8_slice *_slice);
  static void arr8_copy(arrays::arr8_slice *_to_slice, const arrays::arr8_slice *_from_slice);
  static void arr8_free(arrays::arr8_slice *_slice);
  typedef CORBA::Long arr256[256];
  typedef CORBA::Long arr256_slice;
  class arr256_var {

  public:
    arr256_var();
    arr256_var(arrays::arr256_slice *p);
    arr256_var(const arrays::arr256_var &a);
    ~arr256_var();
    arrays::arr256_var &operator=(arrays::arr256_slice *p);
    arrays::arr256_var &operator=(const arrays::arr256_var &p);
    arrays::arr256_slice &operator[](CORBA::ULong index);
    const arrays::arr256_slice &operator[](CORBA::ULong index) const;
    operator arrays::arr256_slice *const &() const;
    operator arrays::arr256_slice *&();
    const arrays::arr256_slice *in() const;
    arrays::arr256_slice *inout();
    arrays::arr256_slice *&out();
    arrays::arr256_slice *_retn();
    arrays::arr256_slice *ptr() const;

  private:
    CORBA::Long *ptr_;
  } ;

  class arr256_forany {

  public:
    arr256_forany();
    arr256_forany(arrays::arr256_slice *p, CORBA::Boolean nocopy = 0);
    arr256_forany(const arrays::arr256_forany &a);
    ~arr256_forany();
    arrays::arr256_forany &operator=(arrays::arr256_slice *p);
    arrays::arr256_forany &operator=(const arrays::arr256_forany &p);
    arrays::arr256_slice &operator[](CORBA::ULong index);
    const arrays::arr256_slice &operator[](CORBA::ULong index) const;
    operator arrays::arr256_slice *const &() const;
    operator arrays::arr256_slice *&();
    const arrays::arr256_slice *in() const;
    arrays::arr256_slice *inout();
    arrays::arr256_slice *&out();
    arrays::arr256_slice *_retn();
    arrays::arr256_slice *ptr() const;
    CORBA::Boolean nocopy() const;

  private:
    CORBA::Long *ptr_;
    CORBA::Boolean nocopy_;
  } ;

  typedef arrays::arr256 arr256_out;
  static arrays::arr256_slice *arr256_alloc();
  static arrays::arr256_slice *arr256_dup(const arrays::arr256_slice *_slice);
  static void arr256_copy(arrays::arr256_slice *_to_slice, const arrays::arr256_slice *_from_slice);
  static void arr256_free(arrays::arr256_slice *_slice);
  typedef CORBA::Long arr8k[8192];
  typedef CORBA::Long arr8k_slice;
  class arr8k_var {

  public:
    arr8k_var();
    arr8k_var(arrays::arr8k_slice *p);
    arr8k_var(const arrays::arr8k_var &a);
    ~arr8k_var();
    arrays::arr8k_var &operator=(arrays::arr8k_slice *p);
    arrays::arr8k_var &operator=(const arrays::arr8k_var &p);
    arrays::arr8k_slice &operator[](CORBA::ULong index);
    const arrays::arr8k_slice &operator[](CORBA::ULong index) const;
    operator arrays::arr8k_slice *const &() const;
    operator arrays::arr8k_slice *&();
    const arrays::arr8k_slice *in() const;
    arrays::arr8k_slice *inout();
    arrays::arr8k_slice *&out();
    arrays::arr8k_slice *_retn();
    arrays::arr8k_slice *ptr() const;

  private:
    CORBA::Long *ptr_;
  } ;

  class arr8k_forany {

  public:
    arr8k_forany();
    arr8k_forany(arrays::arr8k_slice *p, CORBA::Boolean nocopy = 0);
    arr8k_forany(const arrays::arr8k_forany &a);
    ~arr8k_forany();
    arrays::arr8k_forany &operator=(arrays::arr8k_slice *p);
    arrays::arr8k_forany &operator=(const arrays::arr8k_forany &p);
    arrays::arr8k_slice &operator[](CORBA::ULong index);
    const arrays::arr8k_slice &operator[](CORBA::ULong index) const;
    operator arrays::arr8k_slice *const &() const;
    operator arrays::arr8k_slice *&();
    const arrays::arr8k_slice *in() const;
    arrays::arr8k_slice *inout();
    arrays::arr8k_slice *&out();
    arrays::arr8k_slice *_retn();
    arrays::arr8k_slice *ptr() const;
    CORBA::Boolean nocopy() const;

  private:
    CORBA::Long *ptr_;
    CORBA::Boolean nocopy_;
  } ;

  typedef arrays::arr8k arr8k_out;
  static arrays::arr8k_slice *arr8k_alloc();
  static arrays::arr8k_slice *arr8k_dup(const arrays::arr8k_slice *_slice);
  static void arr8k_copy(arrays::arr8k_slice *_to_slice, const arrays::arr8k_slice *_from_slice);
  static void arr8k_free(arrays::arr8k_slice *_slice);
  virtual CORBA::Long test8(/* arrays *this, */ const arrays::arr8 a, CORBA::Environment &_ev);
  virtual CORBA::Long test256(/* arrays *this, */ const arrays::arr256 a, CORBA::Environment &_ev);
  virtual CORBA::Long test8k(/* arrays *this, */ const arrays::arr8k a, CORBA::Environment &_ev);

protected:
  arrays(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);

public:
  static CORBA::TypeCode_ptr _tc_arr8;
  static CORBA::TypeCode_ptr _tc_arr256;
  static CORBA::TypeCode_ptr _tc_arr8k;
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data);

void operator<<=(CORBA::Any &a, arrays_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays_ptr &o);

void operator<<=(CORBA::Any &a, const arrays::arr8_forany &o);

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays::arr8_forany &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays::arr8 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays::arr8 *_data);

void operator<<=(CORBA::Any &a, const arrays::arr256_forany &o);

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays::arr256_forany &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays::arr256 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays::arr256 *_data);

void operator<<=(CORBA::Any &a, const arrays::arr8k_forany &o);

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays::arr8k_forany &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays::arr8k *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays::arr8k *_data);

extern CORBA::TypeCode_ptr _tc_arrays;

#endif /* _arrayez__client_h_ */
