#ifndef _structnestez__client_h_
#define _structnestez__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

struct a {
  CORBA::Short f;
} ;


class a_var {

public:
  a_var();
  a_var(struct a *p);
  a_var(const a_var &a);
  ~a_var();
  a_var &operator=(struct a *p);
  a_var &operator=(const a_var &p);
  struct a *operator->();
  const struct a *operator->() const;
  operator const struct a &() const;
  operator struct a &();
  operator struct a &() const;
  const struct a &in() const;
  struct a &inout();
  struct a &out();
  struct a _retn();
  struct a *ptr() const;

private:
  struct a *ptr_;
} ;


typedef struct a &a_out;

void operator<<=(CORBA::Any &a, const struct a &o);

void operator<<=(CORBA::Any &a, struct a *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a *_data);

struct b {

public:
  struct a f;
} ;


class b_var {

public:
  b_var();
  b_var(struct b *p);
  b_var(const b_var &a);
  ~b_var();
  b_var &operator=(struct b *p);
  b_var &operator=(const b_var &p);
  struct b *operator->();
  const struct b *operator->() const;
  operator const struct b &() const;
  operator struct b &();
  operator struct b &() const;
  const struct b &in() const;
  struct b &inout();
  struct b &out();
  struct b _retn();
  struct b *ptr() const;

private:
  struct b *ptr_;
} ;


typedef struct b &b_out;

void operator<<=(CORBA::Any &a, const struct b &o);

void operator<<=(CORBA::Any &a, struct b *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct b *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct b *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct b *_data);

void operator<<=(CORBA::Any &a, const struct bar::foo &o);

void operator<<=(CORBA::Any &a, struct bar::foo *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar::foo *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar::foo *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar::foo *_data);

struct bar {

public:
  struct foo {

  public:
    CORBA::Short f;
  } ;

  class foo_var {

  public:
    foo_var();
    foo_var(struct bar::foo *p);
    foo_var(const bar::foo_var &a);
    ~foo_var();
    bar::foo_var &operator=(struct bar::foo *p);
    bar::foo_var &operator=(const bar::foo_var &p);
    struct bar::foo *operator->();
    const struct bar::foo *operator->() const;
    operator const struct bar::foo &() const;
    operator struct bar::foo &();
    operator struct bar::foo &() const;
    const struct bar::foo &in() const;
    struct bar::foo &inout();
    struct bar::foo &out();
    struct bar::foo _retn();
    struct bar::foo *ptr() const;

  private:
    struct bar::foo *ptr_;
  } ;

  typedef struct bar::foo &foo_out;
  struct bar::foo f;
  static CORBA::TypeCode_ptr _tc_foo;
} ;


class bar_var {

public:
  bar_var();
  bar_var(struct bar *p);
  bar_var(const bar_var &a);
  ~bar_var();
  bar_var &operator=(struct bar *p);
  bar_var &operator=(const bar_var &p);
  struct bar *operator->();
  const struct bar *operator->() const;
  operator const struct bar &() const;
  operator struct bar &();
  operator struct bar &() const;
  const struct bar &in() const;
  struct bar &inout();
  struct bar &out();
  struct bar _retn();
  struct bar *ptr() const;

private:
  struct bar *ptr_;
} ;


typedef struct bar &bar_out;

void operator<<=(CORBA::Any &a, const struct bar &o);

void operator<<=(CORBA::Any &a, struct bar *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar *_data);

class test ;


typedef test *test_ptr;

class test_var {

public:
  test_var();
  test_var(test_ptr p);
  test_var(const test_var &a);
  ~test_var();
  test_var &operator=(test_ptr p);
  test_var &operator=(const test_var &p);
  test_ptr operator->() const;
  operator const test_ptr &() const;
  operator test_ptr &();
  test_ptr in() const;
  test_ptr &inout();
  test_ptr &out();
  test_ptr _retn();
  test_ptr ptr() const;

private:
  test_ptr ptr_;
} ;


class test_out {

public:
  test_out(test_ptr &r);
  test_out(test_var &r);
  test_out(const test_out &r);
  test_out &operator=(const test_out &r);
  test_out &operator=(const test_var &r);
  test_out &operator=(test_ptr r);
  operator test_ptr &();
  test_ptr &ptr();
  test_ptr operator->();

private:
  test_ptr &ptr_;
} ;


class test : public virtual ACE_CORBA_1 (Object) {

public:
  static test_ptr _duplicate(test_ptr obj);
  static test_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  test();
  virtual ~test();

private:
  test(const test &v);
  void operator=(const test &v);

public:
  virtual struct bar op(/* test *this, */ const struct bar &arg, CORBA::Environment &_ev);
  virtual struct b op2(/* test *this, */ const struct b &arg, CORBA::Environment &_ev);

protected:
  test(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

void operator<<=(CORBA::Any &a, test_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o);

extern CORBA::TypeCode_ptr _tc_a;

extern CORBA::TypeCode_ptr _tc_b;

extern CORBA::TypeCode_ptr _tc_bar;

extern CORBA::TypeCode_ptr _tc_test;

#endif /* _structnestez__client_h_ */
