#include "parm_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t98_switch_tag;

    flick_trapeze_decode_new_glob(96);
    flick_trapeze_check_span(10, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t98_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t98_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            CORBA_short _return;
            CORBA_short _local_a;
            CORBA_short *_local_b;
            CORBA_short _t99_storage;
            CORBA_short *_local_c;
            CORBA_short _t100_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t101_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort311);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort311);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a, CORBA_short );
            _local_b = (CORBA_short *)(&_t99_storage);
            flick_cdr_decode_signed16(6, *_local_b, CORBA_short );
            _local_c = (CORBA_short *)(&_t100_storage);
            _ev = (CORBA_Environment *)(&_t101_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort311);
              flick_trapeze_encode_new_glob(10, _flick_abort311);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                    flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort318);
                    break;
                    {
                    _flick_abort318:
                      goto _flick_abort311;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort311:
              goto _flick_abort310;
            }
          }
          break;
          {
          _flick_abort310:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            test _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_long _t102_storage;
            CORBA_long *_local_c;
            CORBA_long _t103_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t104_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort320);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort320);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_long *)(&_t102_storage);
            flick_cdr_decode_signed32(8, *_local_b, CORBA_long );
            _local_c = (CORBA_long *)(&_t103_storage);
            _ev = (CORBA_Environment *)(&_t104_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort320);
              flick_trapeze_encode_new_glob(16, _flick_abort320);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                    flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort327);
                    break;
                    {
                    _flick_abort327:
                      goto _flick_abort320;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort320:
              goto _flick_abort319;
            }
          }
          break;
          {
          _flick_abort319:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            test _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short _local_a;
            CORBA_unsigned_short *_local_b;
            CORBA_unsigned_short _t105_storage;
            CORBA_unsigned_short *_local_c;
            CORBA_unsigned_short _t106_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t107_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort329);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort329);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned16(4, _local_a, CORBA_unsigned_short );
            _local_b = (CORBA_unsigned_short *)(&_t105_storage);
            flick_cdr_decode_unsigned16(6, *_local_b, CORBA_unsigned_short );
            _local_c = (CORBA_unsigned_short *)(&_t106_storage);
            _ev = (CORBA_Environment *)(&_t107_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort329);
              flick_trapeze_encode_new_glob(10, _flick_abort329);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort336);
                    break;
                    {
                    _flick_abort336:
                      goto _flick_abort329;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort329:
              goto _flick_abort328;
            }
          }
          break;
          {
          _flick_abort328:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            test _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long _local_a;
            CORBA_unsigned_long *_local_b;
            CORBA_unsigned_long _t108_storage;
            CORBA_unsigned_long *_local_c;
            CORBA_unsigned_long _t109_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t110_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort338);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort338);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_a, CORBA_unsigned_long );
            _local_b = (CORBA_unsigned_long *)(&_t108_storage);
            flick_cdr_decode_unsigned32(8, *_local_b, CORBA_unsigned_long );
            _local_c = (CORBA_unsigned_long *)(&_t109_storage);
            _ev = (CORBA_Environment *)(&_t110_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort338);
              flick_trapeze_encode_new_glob(16, _flick_abort338);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort345);
                    break;
                    {
                    _flick_abort345:
                      goto _flick_abort338;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort338:
              goto _flick_abort337;
            }
          }
          break;
          {
          _flick_abort337:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            test _obj;
            CORBA_float _return;
            CORBA_float _local_a;
            CORBA_float *_local_b;
            CORBA_float _t111_storage;
            CORBA_float *_local_c;
            CORBA_float _t112_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t113_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort347);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort347);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_a, CORBA_float );
            _local_b = (CORBA_float *)(&_t111_storage);
            flick_cdr_decode_float32(8, *_local_b, CORBA_float );
            _local_c = (CORBA_float *)(&_t112_storage);
            _ev = (CORBA_Environment *)(&_t113_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort347);
              flick_trapeze_encode_new_glob(16, _flick_abort347);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                    flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort354);
                    break;
                    {
                    _flick_abort354:
                      goto _flick_abort347;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort347:
              goto _flick_abort346;
            }
          }
          break;
          {
          _flick_abort346:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            test _obj;
            CORBA_boolean _return;
            CORBA_boolean _local_a;
            CORBA_boolean *_local_b;
            CORBA_boolean _t114_storage;
            CORBA_boolean *_local_c;
            CORBA_boolean _t115_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t116_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort356);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a, CORBA_boolean );
            _local_b = (CORBA_boolean *)(&_t114_storage);
            flick_cdr_decode_unsigned8(5, *_local_b, CORBA_boolean );
            _local_c = (CORBA_boolean *)(&_t115_storage);
            _ev = (CORBA_Environment *)(&_t116_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort356);
              flick_trapeze_encode_new_glob(7, _flick_abort356);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort363);
                    break;
                    {
                    _flick_abort363:
                      goto _flick_abort356;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort356:
              goto _flick_abort355;
            }
          }
          break;
          {
          _flick_abort355:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            test _obj;
            CORBA_char _return;
            CORBA_char _local_a;
            CORBA_char *_local_b;
            CORBA_char _t117_storage;
            CORBA_char *_local_c;
            CORBA_char _t118_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t119_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort365);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_char8(4, _local_a, CORBA_char );
            _local_b = (CORBA_char *)(&_t117_storage);
            flick_cdr_decode_char8(5, *_local_b, CORBA_char );
            _local_c = (CORBA_char *)(&_t118_storage);
            _ev = (CORBA_Environment *)(&_t119_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort365);
              flick_trapeze_encode_new_glob(7, _flick_abort365);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                    flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort372);
                    break;
                    {
                    _flick_abort372:
                      goto _flick_abort365;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort365:
              goto _flick_abort364;
            }
          }
          break;
          {
          _flick_abort364:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            test _obj;
            CORBA_octet _return;
            CORBA_octet _local_a;
            CORBA_octet *_local_b;
            CORBA_octet _t120_storage;
            CORBA_octet *_local_c;
            CORBA_octet _t121_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t122_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort374);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a, CORBA_octet );
            _local_b = (CORBA_octet *)(&_t120_storage);
            flick_cdr_decode_unsigned8(5, *_local_b, CORBA_octet );
            _local_c = (CORBA_octet *)(&_t121_storage);
            _ev = (CORBA_Environment *)(&_t122_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort374);
              flick_trapeze_encode_new_glob(7, _flick_abort374);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                    flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort381);
                    break;
                    {
                    _flick_abort381:
                      goto _flick_abort374;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort374:
              goto _flick_abort373;
            }
          }
          break;
          {
          _flick_abort373:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            test _obj;
            Enumeration _return;
            Enumeration _local_a;
            Enumeration *_local_b;
            Enumeration _t123_storage;
            Enumeration *_local_c;
            Enumeration _t124_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t125_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort383);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort383);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_a, CORBA_enum );
            _local_b = (Enumeration *)(&_t123_storage);
            flick_cdr_decode_unsigned32(8, *_local_b, CORBA_enum );
            _local_c = (Enumeration *)(&_t124_storage);
            _ev = (CORBA_Environment *)(&_t125_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort383);
              flick_trapeze_encode_new_glob(16, _flick_abort383);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                    flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                    flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort390);
                    break;
                    {
                    _flick_abort390:
                      goto _flick_abort383;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort383:
              goto _flick_abort382;
            }
          }
          break;
          {
          _flick_abort382:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            test _obj;
            struct FStruct _return;
            struct FStruct *_local_a;
            struct FStruct _t126_storage;
            struct FStruct *_local_b;
            struct FStruct _t127_storage;
            struct FStruct *_local_c;
            struct FStruct _t128_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t129_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort392);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort392);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a = (struct FStruct *)(&_t126_storage);
            flick_cdr_decode_signed16(4, _local_a->a, CORBA_short );
            _local_b = (struct FStruct *)(&_t127_storage);
            flick_cdr_decode_signed16(6, _local_b->a, CORBA_short );
            _local_c = (struct FStruct *)(&_t128_storage);
            _ev = (CORBA_Environment *)(&_t129_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort392);
              flick_trapeze_encode_new_glob(10, _flick_abort392);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_signed16(0, _return.a, CORBA_short );
                    flick_cdr_encode_signed16(2, _local_b->a, CORBA_short );
                    flick_cdr_encode_signed16(4, _local_c->a, CORBA_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort399);
                    break;
                    {
                    _flick_abort399:
                      goto _flick_abort392;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort392:
              goto _flick_abort391;
            }
          }
          break;
          {
          _flick_abort391:
            goto _flick_abort2;
          }
        }
      case (signed int) 10:
        {
          {
            test _obj;
            struct VStruct *_return;
            struct VStruct *_local_a;
            struct VStruct _t130_storage;
            flick_unsigned32_t _t131_temp_string_len;
            struct VStruct *_local_b;
            struct VStruct _t132_storage;
            flick_unsigned32_t _t133_temp_string_len;
            struct VStruct **_local_c;
            struct VStruct *_t134_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t135_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort401);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort401);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct VStruct *)(&_t130_storage);
            flick_cdr_decode_unsigned32(4, _t131_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a->a, 1 * _t131_temp_string_len);
            _local_b = (struct VStruct *)(&_t132_storage);
            flick_cdr_decode_unsigned32(8, _t133_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_b->a, 1 * _t133_temp_string_len);
            _local_c = (struct VStruct **)(&_t134_storage);
            _ev = (CORBA_Environment *)(&_t135_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort401);
              flick_trapeze_encode_new_glob(16, _flick_abort401);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t139_temp_string_len;
                    flick_unsigned32_t _t140_temp_string_len;
                    flick_unsigned32_t _t141_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t139_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t140_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t141_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t139_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return->a, 1 * _t139_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_cdr_encode_unsigned32(4, _t140_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_local_b->a, 1 * _t140_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t141_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array((*_local_c)->a, 1 * _t141_temp_string_len);
                    CORBA_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_trapeze_encode_end_chunk(12);
                    flick_trapeze_encode_end_glob(16);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(16);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort410);
                    flick_trapeze_encode_end_glob(16);
                    break;
                    {
                    _flick_abort410:
                      goto _flick_abort401;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort401:
              goto _flick_abort400;
            }
          }
          break;
          {
          _flick_abort400:
            goto _flick_abort2;
          }
        }
      case (signed int) 11:
        {
          {
            test _obj;
            struct FUnion _return;
            struct FUnion *_local_a;
            struct FUnion _t142_storage;
            struct FUnion *_local_b;
            struct FUnion _t143_storage;
            struct FUnion *_local_c;
            struct FUnion _t144_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t145_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort412);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(9, _flick_abort412);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a = (struct FUnion *)(&_t142_storage);
            flick_cdr_decode_signed32(4, _local_a->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_trapeze_check_span(4, _flick_abort416);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort416:
                    goto _flick_abort412;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = (struct FUnion *)(&_t143_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort412);
            flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_trapeze_check_span(4, _flick_abort421);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort421:
                    goto _flick_abort412;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = (struct FUnion *)(&_t144_storage);
            _ev = (CORBA_Environment *)(&_t145_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort412);
              flick_trapeze_encode_new_glob(34, _flick_abort412);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_return._d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_local_b->_d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_local_c->_d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort459);
                    break;
                    {
                    _flick_abort459:
                      goto _flick_abort412;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(34);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort412:
              goto _flick_abort411;
            }
          }
          break;
          {
          _flick_abort411:
            goto _flick_abort2;
          }
        }
      case (signed int) 12:
        {
          {
            test _obj;
            struct VUnion *_return;
            struct VUnion *_local_a;
            struct VUnion _t146_storage;
            struct VUnion *_local_b;
            struct VUnion _t149_storage;
            struct VUnion **_local_c;
            struct VUnion *_t152_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t153_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort461);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(9, _flick_abort461);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct VUnion *)(&_t146_storage);
            flick_cdr_decode_signed32(4, _local_a->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t148_temp_string_len;

                  flick_trapeze_check_span(4, _flick_abort465);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t148_temp_string_len, flick_unsigned32_t );
                  flick_trapeze_server_decode_array(_local_a->_u.a, 1 * _t148_temp_string_len);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort465:
                    goto _flick_abort461;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = (struct VUnion *)(&_t149_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort461);
            flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t151_temp_string_len;

                  flick_trapeze_check_span(4, _flick_abort470);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t151_temp_string_len, flick_unsigned32_t );
                  flick_trapeze_server_decode_array(_local_b->_u.a, 1 * _t151_temp_string_len);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort470:
                    goto _flick_abort461;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = (struct VUnion **)(&_t152_storage);
            _ev = (CORBA_Environment *)(&_t153_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort461);
              flick_trapeze_encode_new_glob(12, _flick_abort461);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_return->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t161_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t161_temp_string_len);

                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t161_temp_string_len, flick_unsigned32_t );
                          flick_trapeze_server_encode_array(_return->_u.a, 1 * _t161_temp_string_len);
                          flick_trapeze_encode_end_chunk(4);
                          flick_trapeze_encode_end_glob(12);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          flick_trapeze_encode_end_glob(12);
                          break;
                        }
                      }
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_new_glob(11, _flick_abort495);
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_local_b->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t163_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t163_temp_string_len);

                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t163_temp_string_len, flick_unsigned32_t );
                          flick_trapeze_encode_end_chunk(4);
                          flick_trapeze_encode_end_glob(11);
                          flick_trapeze_encode_new_glob(1 * _t163_temp_string_len, _flick_abort508);
                          flick_trapeze_encode_new_chunk(1 * _t163_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t163_temp_string_len);
                          CORBA_flick_free(_local_b->_u.a);
                          _local_b->_u.a = 0;
                          flick_trapeze_encode_end_chunk(1 * _t163_temp_string_len);
                          flick_trapeze_encode_end_glob(1 * _t163_temp_string_len);
                          break;
                          {
                          _flick_abort508:
                            goto _flick_abort495;
                          }
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          flick_trapeze_encode_end_glob(11);
                          break;
                        }
                      }
                    flick_trapeze_encode_new_glob(11, _flick_abort495);
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch ((*_local_c)->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t165_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t165_temp_string_len);

                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t165_temp_string_len, flick_unsigned32_t );
                          flick_trapeze_server_encode_array((*_local_c)->_u.a, 1 * _t165_temp_string_len);
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    CORBA_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_trapeze_encode_end_glob(11);
                    break;
                    {
                    _flick_abort495:
                      goto _flick_abort461;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort518);
                    flick_trapeze_encode_end_glob(12);
                    break;
                    {
                    _flick_abort518:
                      goto _flick_abort461;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort461:
              goto _flick_abort460;
            }
          }
          break;
          {
          _flick_abort460:
            goto _flick_abort2;
          }
        }
      case (signed int) 13:
        {
          {
            test _obj;
            CORBA_char *_return;
            CORBA_char *_local_a;
            flick_unsigned32_t _t166_temp_string_len;
            CORBA_char **_local_b;
            CORBA_char *_t167_storage;
            flick_unsigned32_t _t168_temp_string_len;
            CORBA_char **_local_c;
            CORBA_char *_t169_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t170_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort520);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort520);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t166_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a, 1 * _t166_temp_string_len);
            _local_b = (CORBA_char **)(&_t167_storage);
            flick_cdr_decode_unsigned32(8, _t168_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_b, 1 * _t168_temp_string_len);
            _local_c = (CORBA_char **)(&_t169_storage);
            _ev = (CORBA_Environment *)(&_t170_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort520);
              flick_trapeze_encode_new_glob(16, _flick_abort520);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t174_temp_string_len;
                    flick_unsigned32_t _t175_temp_string_len;
                    flick_unsigned32_t _t176_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t174_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t175_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t176_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t174_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t174_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t175_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_b, 1 * _t175_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t176_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_c, 1 * _t176_temp_string_len);
                    flick_trapeze_encode_end_chunk(12);
                    flick_trapeze_encode_end_glob(16);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(16);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort529);
                    flick_trapeze_encode_end_glob(16);
                    break;
                    {
                    _flick_abort529:
                      goto _flick_abort520;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort520:
              goto _flick_abort519;
            }
          }
          break;
          {
          _flick_abort519:
            goto _flick_abort2;
          }
        }
      case (signed int) 14:
        {
          {
            test _obj;
            CORBA_char *_return;
            CORBA_char *_local_a;
            flick_unsigned32_t _t177_temp_string_len;
            CORBA_char **_local_b;
            CORBA_char *_t178_storage;
            flick_unsigned32_t _t179_temp_string_len;
            CORBA_char **_local_c;
            CORBA_char *_t180_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t181_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort531);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort531);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t177_temp_string_len, flick_unsigned32_t );
            if (_t177_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort531);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(1 * _t177_temp_string_len * 1, _flick_abort531);
            flick_trapeze_decode_new_chunk(1 * _t177_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t177_temp_string_len);
            _local_b = (CORBA_char **)(&_t178_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort531);
            flick_cdr_decode_unsigned32(0, _t179_temp_string_len, flick_unsigned32_t );
            if (_t179_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort531);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t179_temp_string_len * 1, _flick_abort531);
            flick_trapeze_decode_new_chunk(1 * _t179_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort531);
              *_local_b = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *_local_b, 1 * _t179_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t179_temp_string_len);
            _local_c = (CORBA_char **)(&_t180_storage);
            _ev = (CORBA_Environment *)(&_t181_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort536);
              flick_trapeze_encode_new_glob(85, _flick_abort536);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t185_temp_string_len;
                    flick_unsigned32_t _t186_temp_string_len;
                    flick_unsigned32_t _t187_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t185_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t186_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t187_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t185_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t185_temp_string_len, flick_unsigned32_t );
                    if (_t185_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort547);
                    flick_cdr_encode_bcopy(4, _return, 1 * _t185_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t185_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t186_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t186_temp_string_len, flick_unsigned32_t );
                    if (_t186_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort547);
                    flick_cdr_encode_bcopy(4, *_local_b, 1 * _t186_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t186_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t187_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t187_temp_string_len, flick_unsigned32_t );
                    if (_t187_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort547);
                    flick_cdr_encode_bcopy(4, *_local_c, 1 * _t187_temp_string_len);
                    CORBA_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t187_temp_string_len);
                    break;
                    {
                    _flick_abort547:
                      goto _flick_abort536;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort555);
                    break;
                    {
                    _flick_abort555:
                      goto _flick_abort536;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(85);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort536:
              CORBA_flick_free(*_local_b);
            _flick_abort531:
              goto _flick_abort530;
            }
          }
          break;
          {
          _flick_abort530:
            goto _flick_abort2;
          }
        }
      case (signed int) 15:
        {
          {
            test _obj;
            test_arr_slice *_return;
            CORBA_long *_local_a;
            CORBA_long *_local_b;
            CORBA_long _t188_storage[10];
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_Environment _t189_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort557);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(84, _flick_abort557);
            flick_trapeze_decode_new_chunk(84);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_msgptr(4, _local_a, CORBA_long *);
            _local_b = (CORBA_long *)_t188_storage;
            flick_cdr_decode_bcopy(44, _local_b, 40);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = (CORBA_Environment *)(&_t189_storage);
            flick_trapeze_decode_end_chunk(84);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort557);
              flick_trapeze_encode_new_glob(4, _flick_abort557);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              flick_trapeze_encode_end_glob(4);
              flick_trapeze_encode_new_glob(120, _flick_abort557);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(120);
                    flick_cdr_encode_bcopy(0, _return, 40);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_cdr_encode_bcopy(40, _local_b, 40);
                    flick_cdr_encode_bcopy(80, _local_c, 40);
                    flick_trapeze_encode_end_chunk(120);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort580);
                    break;
                    {
                    _flick_abort580:
                      goto _flick_abort557;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(120);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort557:
              goto _flick_abort556;
            }
          }
          break;
          {
          _flick_abort556:
            goto _flick_abort2;
          }
        }
      case (signed int) 16:
        {
          {
            test _obj;
            test_seq *_return;
            test_seq *_local_a;
            test_seq _t190_storage;
            test_seq *_local_b;
            test_seq _t191_storage;
            test_seq **_local_c;
            test_seq *_t192_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t193_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort582);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort582);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (test_seq *)(&_t190_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort582);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(12 - 12 + 4 + 4 * _local_a->_length * 1, _flick_abort582);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _local_b = (test_seq *)(&_t191_storage);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
            if (_local_b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort582);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(4 * _local_b->_length * 1, _flick_abort582);
            flick_trapeze_decode_new_chunk(4 * _local_b->_length);
            {
              CORBA_long *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort582);
              _local_b->_buffer = _t_alloc_ptr;
              _local_b->_maximum = 10;
              _local_b->_release = 1;
            }
            flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
            flick_trapeze_decode_end_chunk(4 * _local_b->_length);
            _local_c = (test_seq **)(&_t192_storage);
            _ev = (CORBA_Environment *)(&_t193_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort587);
              flick_trapeze_encode_new_glob(96, _flick_abort587);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 4 * _return->_length);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    if (_return->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort598);
                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                    if (_return->_release)
                      CORBA_flick_free(_return->_buffer);
                    _return->_maximum = 0;
                    _return->_release = 0;
                    _return->_buffer = 0;
                    flick_trapeze_encode_end_chunk(4 + 4 * _return->_length);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_new_chunk(4 + 4 * _local_b->_length);
                    flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                    if (_local_b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort598);
                    flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                    if (_local_b->_release)
                      CORBA_flick_free(_local_b->_buffer);
                    _local_b->_maximum = 0;
                    _local_b->_release = 0;
                    _local_b->_buffer = 0;
                    flick_trapeze_encode_end_chunk(4 + 4 * _local_b->_length);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                    if ((*_local_c)->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort598);
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(96);
                    flick_trapeze_encode_new_glob(40, _flick_abort598);
                    flick_trapeze_encode_new_chunk(4 * (*_local_c)->_length);
                    flick_cdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                    if ((*_local_c)->_release)
                      CORBA_flick_free((*_local_c)->_buffer);
                    (*_local_c)->_maximum = 0;
                    (*_local_c)->_release = 0;
                    (*_local_c)->_buffer = 0;
                    flick_trapeze_encode_end_chunk(4 * (*_local_c)->_length);
                    CORBA_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_trapeze_encode_end_glob(40);
                    break;
                    {
                    _flick_abort598:
                      goto _flick_abort587;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(96);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort606);
                    flick_trapeze_encode_end_glob(96);
                    break;
                    {
                    _flick_abort606:
                      goto _flick_abort587;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort587:
              CORBA_flick_free(_local_b->_buffer);
            _flick_abort582:
              goto _flick_abort581;
            }
          }
          break;
          {
          _flick_abort581:
            goto _flick_abort2;
          }
        }
      case (signed int) 17:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t194_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t195_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort608);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort608);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t194_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t194_temp_string_len);
            _ev = (CORBA_Environment *)(&_t195_storage);
            _par = flick_interface_parents_test;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort608);
              flick_trapeze_encode_new_glob(5, _flick_abort608);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort615);
                    break;
                    {
                    _flick_abort615:
                      goto _flick_abort608;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort608:
              goto _flick_abort607;
            }
          }
          break;
          {
          _flick_abort607:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(96);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

