#ifndef _recursive_server_h_
#define _recursive_server_h_

#define FLICK_PROTOCOL_TRAPEZE
#include <flick/link/trapeze.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_a
#define _typedef___CORBA_sequence_a
typedef struct CORBA_sequence_a {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  struct a *_buffer;
} CORBA_sequence_a;
#endif /* _typedef___CORBA_sequence_a */

#ifndef _typedef___a_b
#define _typedef___a_b
typedef struct a_b {
  CORBA_long c;
  CORBA_double d;
  CORBA_short e;
} a_b;
#endif /* _typedef___a_b */

int flick_marshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data);

int flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data);

#ifndef _typedef___CORBA_sequence_a_d
#define _typedef___CORBA_sequence_a_d
typedef struct CORBA_sequence_a_d {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  struct a_d *_buffer;
} CORBA_sequence_a_d;
#endif /* _typedef___CORBA_sequence_a_d */

#ifndef _typedef___a_d
#define _typedef___a_d
typedef struct a_d {
  CORBA_char c;
  CORBA_char *d;
  struct CORBA_sequence_a_d e;
} a_d;
#endif /* _typedef___a_d */

int flick_marshal_stub_a_d(flick_marshal_stream_t _stream, struct a_d *_data);

int flick_unmarshal_stub_a_d(flick_marshal_stream_t _stream, struct a_d *_data);

#ifndef _typedef___CORBA_sequence_a_f
#define _typedef___CORBA_sequence_a_f
typedef struct CORBA_sequence_a_f {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  struct a_f *_buffer;
} CORBA_sequence_a_f;
#endif /* _typedef___CORBA_sequence_a_f */

#ifndef _typedef___a_f_d
#define _typedef___a_f_d
typedef struct a_f_d {
  CORBA_char a;
  CORBA_char b;
  CORBA_char c;
  CORBA_char d;
  struct CORBA_sequence_a_f e;
} a_f_d;
#endif /* _typedef___a_f_d */

int flick_marshal_stub_a_f_d(flick_marshal_stream_t _stream, struct a_f_d *_data);

int flick_unmarshal_stub_a_f_d(flick_marshal_stream_t _stream, struct a_f_d *_data);

#ifndef _typedef___a_f
#define _typedef___a_f
typedef struct a_f {
  struct a_b c;
  struct a_f_d d;
} a_f;
#endif /* _typedef___a_f */

int flick_marshal_stub_a_f(flick_marshal_stream_t _stream, struct a_f *_data);

int flick_unmarshal_stub_a_f(flick_marshal_stream_t _stream, struct a_f *_data);

#ifndef _typedef___a
#define _typedef___a
typedef struct a {
  struct a_b c;
  struct a_d e;
  struct a_f f;
  struct CORBA_sequence_a next;
  struct a_b g;
  struct a_d h;
  struct a_f i;
} a;
#endif /* _typedef___a */

int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data);

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data);

#ifndef _typedef___CORBA_sequence_b
#define _typedef___CORBA_sequence_b
typedef struct CORBA_sequence_b {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  struct b *_buffer;
} CORBA_sequence_b;
#endif /* _typedef___CORBA_sequence_b */

#ifndef _typedef___b
#define _typedef___b
typedef struct b {
  struct a_b a;
  struct a_d b;
  struct CORBA_sequence_a_f c;
  struct CORBA_sequence_b d;
} b;
#endif /* _typedef___b */

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data);

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data);

#define NORTH (0)

#define EAST (1)

#define WEST (2)

#define SOUTH (3)

#define DOWN (4)

#ifndef _typedef___c
#define _typedef___c
typedef CORBA_enum c;
#endif /* _typedef___c */

int flick_marshal_stub_c(flick_marshal_stream_t _stream, c *_data);

int flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data);

#ifndef _typedef___CORBA_sequence_d_d
#define _typedef___CORBA_sequence_d_d
typedef struct CORBA_sequence_d_d {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  struct d_d *_buffer;
} CORBA_sequence_d_d;
#endif /* _typedef___CORBA_sequence_d_d */

#ifndef _typedef___d_d_u
#define _typedef___d_d_u
typedef struct d_d_u {
  CORBA_boolean _d;
  union {
    struct CORBA_sequence_d_d next;
  } _u;
} d_d_u;
#endif /* _typedef___d_d_u */

int flick_marshal_stub_d_d_u(flick_marshal_stream_t _stream, struct d_d_u *_data);

int flick_unmarshal_stub_d_d_u(flick_marshal_stream_t _stream, struct d_d_u *_data);

#ifndef _typedef___d_d
#define _typedef___d_d
typedef struct d_d {
  c _d;
  union {
    CORBA_long x;
    CORBA_double y;
    CORBA_boolean z;
    struct b s;
    struct d_d_u u;
  } _u;
} d_d;
#endif /* _typedef___d_d */

int flick_marshal_stub_d_d(flick_marshal_stream_t _stream, struct d_d *_data);

int flick_unmarshal_stub_d_d(flick_marshal_stream_t _stream, struct d_d *_data);

#ifndef _typedef___d
#define _typedef___d
typedef struct d {
  CORBA_long _d;
  union {
    struct a one;
    struct b two;
    struct d_d three;
    struct CORBA_sequence_d_d again;
  } _u;
} d;
#endif /* _typedef___d */

int flick_marshal_stub_d(flick_marshal_stream_t _stream, struct d *_data);

int flick_unmarshal_stub_d(flick_marshal_stream_t _stream, struct d *_data);

#ifndef _typedef___obj
#define _typedef___obj
typedef CORBA_Object obj;
#endif /* _typedef___obj */

int flick_marshal_stub_obj(flick_marshal_stream_t _stream, obj *_data);

int flick_unmarshal_stub_obj(flick_marshal_stream_t _stream, obj *_data);

#ifndef _typedef___obj_my_obj
#define _typedef___obj_my_obj
typedef obj obj_my_obj;
#endif /* _typedef___obj_my_obj */

int flick_marshal_stub_obj_my_obj(flick_marshal_stream_t _stream, obj_my_obj *_data);

int flick_unmarshal_stub_obj_my_obj(flick_marshal_stream_t _stream, obj_my_obj *_data);

extern flick_dispatch_t obj_server;

obj_my_obj obj_get_server(obj _obj, CORBA_Environment *_ev);

void obj_set_server(obj _obj, obj_my_obj srvr, CORBA_Environment *_ev);

c obj_convert(obj _obj, struct a *a1, struct b *b1, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#endif /* _recursive_server_h_ */
