#include "test1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test1[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test1_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t47_switch_tag;

    flick_trapeze_decode_new_glob(28);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t47_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t47_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test1 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t48_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort145);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t48_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            test1_test_void(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort145);
              flick_trapeze_encode_new_glob(4, _flick_abort145);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                    break;
                    {
                    _flick_abort152:
                      goto _flick_abort145;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort145:
              goto _flick_abort144;
            }
          }
          break;
          {
          _flick_abort144:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            test1 _obj;
            CORBA_short _return;
            CORBA_short _local_a1;
            CORBA_short *_local_a2;
            CORBA_short _t49_storage;
            CORBA_short *_local_a3;
            CORBA_short _t50_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t51_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort154);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort154);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a1, CORBA_short );
            _local_a2 = (CORBA_short *)(&_t49_storage);
            _local_a3 = (CORBA_short *)(&_t50_storage);
            flick_cdr_decode_signed16(6, *_local_a3, CORBA_short );
            _ev = (CORBA_Environment *)(&_t51_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort154);
              flick_trapeze_encode_new_glob(10, _flick_abort154);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_signed16(2, *_local_a2, CORBA_short );
                    flick_cdr_encode_signed16(4, *_local_a3, CORBA_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                    break;
                    {
                    _flick_abort161:
                      goto _flick_abort154;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort154:
              goto _flick_abort153;
            }
          }
          break;
          {
          _flick_abort153:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            test1 _obj;
            CORBA_long _return;
            CORBA_long _local_a1;
            CORBA_long *_local_a2;
            CORBA_long _t52_storage;
            CORBA_long *_local_a3;
            CORBA_long _t53_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t54_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort163);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort163);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a1, CORBA_long );
            _local_a2 = (CORBA_long *)(&_t52_storage);
            _local_a3 = (CORBA_long *)(&_t53_storage);
            flick_cdr_decode_signed32(8, *_local_a3, CORBA_long );
            _ev = (CORBA_Environment *)(&_t54_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort163);
              flick_trapeze_encode_new_glob(16, _flick_abort163);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_a2, CORBA_long );
                    flick_cdr_encode_signed32(8, *_local_a3, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort170);
                    break;
                    {
                    _flick_abort170:
                      goto _flick_abort163;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort163:
              goto _flick_abort162;
            }
          }
          break;
          {
          _flick_abort162:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            test1 _obj;
            test1_ushort _return;
            test1_ushort _local_a1;
            test1_ushort *_local_a2;
            test1_ushort _t55_storage;
            test1_ushort *_local_a3;
            test1_ushort _t56_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t57_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort172);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort172);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned16(4, _local_a1, CORBA_unsigned_short );
            _local_a2 = (test1_ushort *)(&_t55_storage);
            _local_a3 = (test1_ushort *)(&_t56_storage);
            flick_cdr_decode_unsigned16(6, *_local_a3, CORBA_unsigned_short );
            _ev = (CORBA_Environment *)(&_t57_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort172);
              flick_trapeze_encode_new_glob(10, _flick_abort172);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_a2, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(4, *_local_a3, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort179);
                    break;
                    {
                    _flick_abort179:
                      goto _flick_abort172;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort172:
              goto _flick_abort171;
            }
          }
          break;
          {
          _flick_abort171:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            test1 _obj;
            test1_ulong _return;
            test1_ulong _local_a1;
            test1_ulong *_local_a2;
            test1_ulong _t58_storage;
            test1_ulong *_local_a3;
            test1_ulong _t59_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t60_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort181);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort181);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_a1, CORBA_unsigned_long );
            _local_a2 = (test1_ulong *)(&_t58_storage);
            _local_a3 = (test1_ulong *)(&_t59_storage);
            flick_cdr_decode_unsigned32(8, *_local_a3, CORBA_unsigned_long );
            _ev = (CORBA_Environment *)(&_t60_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort181);
              flick_trapeze_encode_new_glob(16, _flick_abort181);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_a2, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(8, *_local_a3, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort188);
                    break;
                    {
                    _flick_abort188:
                      goto _flick_abort181;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort181:
              goto _flick_abort180;
            }
          }
          break;
          {
          _flick_abort180:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            test1 _obj;
            CORBA_float _return;
            CORBA_float _local_a1;
            CORBA_float *_local_a2;
            CORBA_float _t61_storage;
            CORBA_float *_local_a3;
            CORBA_float _t62_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t63_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort190);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort190);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_a1, CORBA_float );
            _local_a2 = (CORBA_float *)(&_t61_storage);
            _local_a3 = (CORBA_float *)(&_t62_storage);
            flick_cdr_decode_float32(8, *_local_a3, CORBA_float );
            _ev = (CORBA_Environment *)(&_t63_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort190);
              flick_trapeze_encode_new_glob(16, _flick_abort190);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_cdr_encode_float32(4, *_local_a2, CORBA_float );
                    flick_cdr_encode_float32(8, *_local_a3, CORBA_float );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort197);
                    break;
                    {
                    _flick_abort197:
                      goto _flick_abort190;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort190:
              goto _flick_abort189;
            }
          }
          break;
          {
          _flick_abort189:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            test1 _obj;
            CORBA_double _return;
            CORBA_double _local_a1;
            CORBA_double *_local_a2;
            CORBA_double _t64_storage;
            CORBA_double *_local_a3;
            CORBA_double _t65_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t66_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort199);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort199);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_trapeze_check_span(16, _flick_abort199);
            flick_cdr_decode_float64(0, _local_a1, CORBA_double );
            _local_a2 = (CORBA_double *)(&_t64_storage);
            _local_a3 = (CORBA_double *)(&_t65_storage);
            flick_cdr_decode_float64(8, *_local_a3, CORBA_double );
            _ev = (CORBA_Environment *)(&_t66_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort199);
              flick_trapeze_encode_new_glob(32, _flick_abort199);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_float64(8, *_local_a2, CORBA_double );
                    flick_cdr_encode_float64(16, *_local_a3, CORBA_double );
                    flick_trapeze_encode_end_chunk(24);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort206);
                    break;
                    {
                    _flick_abort206:
                      goto _flick_abort199;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(32);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort199:
              goto _flick_abort198;
            }
          }
          break;
          {
          _flick_abort198:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            test1 _obj;
            CORBA_boolean _return;
            CORBA_boolean _local_a1;
            CORBA_boolean *_local_a2;
            CORBA_boolean _t67_storage;
            CORBA_boolean *_local_a3;
            CORBA_boolean _t68_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t69_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort208);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort208);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a1, CORBA_boolean );
            _local_a2 = (CORBA_boolean *)(&_t67_storage);
            _local_a3 = (CORBA_boolean *)(&_t68_storage);
            flick_cdr_decode_unsigned8(5, *_local_a3, CORBA_boolean );
            _ev = (CORBA_Environment *)(&_t69_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort208);
              flick_trapeze_encode_new_glob(7, _flick_abort208);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_cdr_encode_unsigned8(1, *_local_a2, CORBA_boolean );
                    flick_cdr_encode_unsigned8(2, *_local_a3, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort215);
                    break;
                    {
                    _flick_abort215:
                      goto _flick_abort208;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort208:
              goto _flick_abort207;
            }
          }
          break;
          {
          _flick_abort207:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            test1 _obj;
            CORBA_char _return;
            CORBA_char _local_a1;
            CORBA_char *_local_a2;
            CORBA_char _t70_storage;
            CORBA_char *_local_a3;
            CORBA_char _t71_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t72_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort217);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort217);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_char8(4, _local_a1, CORBA_char );
            _local_a2 = (CORBA_char *)(&_t70_storage);
            _local_a3 = (CORBA_char *)(&_t71_storage);
            flick_cdr_decode_char8(5, *_local_a3, CORBA_char );
            _ev = (CORBA_Environment *)(&_t72_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort217);
              flick_trapeze_encode_new_glob(7, _flick_abort217);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_cdr_encode_char8(1, *_local_a2, CORBA_char );
                    flick_cdr_encode_char8(2, *_local_a3, CORBA_char );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort224);
                    break;
                    {
                    _flick_abort224:
                      goto _flick_abort217;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort217:
              goto _flick_abort216;
            }
          }
          break;
          {
          _flick_abort216:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            test1 _obj;
            CORBA_octet _return;
            CORBA_octet _local_a1;
            CORBA_octet *_local_a2;
            CORBA_octet _t73_storage;
            CORBA_octet *_local_a3;
            CORBA_octet _t74_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t75_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort226);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort226);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a1, CORBA_octet );
            _local_a2 = (CORBA_octet *)(&_t73_storage);
            _local_a3 = (CORBA_octet *)(&_t74_storage);
            flick_cdr_decode_unsigned8(5, *_local_a3, CORBA_octet );
            _ev = (CORBA_Environment *)(&_t75_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort226);
              flick_trapeze_encode_new_glob(7, _flick_abort226);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_cdr_encode_unsigned8(1, *_local_a2, CORBA_octet );
                    flick_cdr_encode_unsigned8(2, *_local_a3, CORBA_octet );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort233);
                    break;
                    {
                    _flick_abort233:
                      goto _flick_abort226;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort226:
              goto _flick_abort225;
            }
          }
          break;
          {
          _flick_abort225:
            goto _flick_abort2;
          }
        }
      case (signed int) 10:
        {
          {
            test1 _obj;
            CORBA_char *_return;
            CORBA_char *_local_a1;
            flick_unsigned32_t _t76_temp_string_len;
            CORBA_char **_local_a2;
            CORBA_char *_t77_storage;
            CORBA_char **_local_a3;
            CORBA_char *_t78_storage;
            flick_unsigned32_t _t79_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t80_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort235);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort235);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t76_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a1, 1 * _t76_temp_string_len);
            _local_a2 = (CORBA_char **)(&_t77_storage);
            _local_a3 = (CORBA_char **)(&_t78_storage);
            flick_cdr_decode_unsigned32(8, _t79_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_a3, 1 * _t79_temp_string_len);
            _ev = (CORBA_Environment *)(&_t80_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort235);
              flick_trapeze_encode_new_glob(16, _flick_abort235);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t84_temp_string_len;
                    flick_unsigned32_t _t85_temp_string_len;
                    flick_unsigned32_t _t86_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t84_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_a2, flick_unsigned32_t , _t85_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_a3, flick_unsigned32_t , _t86_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t84_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t84_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t85_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_a2, 1 * _t85_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t86_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_a3, 1 * _t86_temp_string_len);
                    flick_trapeze_encode_end_chunk(12);
                    flick_trapeze_encode_end_glob(16);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(16);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort244);
                    flick_trapeze_encode_end_glob(16);
                    break;
                    {
                    _flick_abort244:
                      goto _flick_abort235;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort235:
              goto _flick_abort234;
            }
          }
          break;
          {
          _flick_abort234:
            goto _flick_abort2;
          }
        }
      case (signed int) 11:
        {
          {
            test1 _obj;
            CORBA_Object _return;
            CORBA_Object _local_a1;
            CORBA_Object *_local_a2;
            CORBA_Object _t87_storage;
            CORBA_Object *_local_a3;
            CORBA_Object _t88_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t89_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort246);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a2 = (CORBA_Object *)(&_t87_storage);
            _local_a3 = (CORBA_Object *)(&_t88_storage);
            _ev = (CORBA_Environment *)(&_t89_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort246);
              flick_trapeze_encode_new_glob(4, _flick_abort246);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort253);
                    break;
                    {
                    _flick_abort253:
                      goto _flick_abort246;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort246:
              goto _flick_abort245;
            }
          }
          break;
          {
          _flick_abort245:
            goto _flick_abort2;
          }
        }
      case (signed int) 12:
        {
          {
            test1 _obj;
            CORBA_long _local_case_num;
            CORBA_Environment *_ev;
            CORBA_Environment _t90_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort255);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort255);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_case_num, CORBA_long );
            _ev = (CORBA_Environment *)(&_t90_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            test1_test_throw(_obj, _local_case_num, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort255);
              flick_trapeze_encode_new_glob(32, _flick_abort255);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 17:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* test */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* 1/x1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                {
                                                  switch (*(char *)(_ev->_id + 16))
                                                    {
                                                    case 0:
                                                      {
                                                        flick_trapeze_encode_new_chunk(28);
                                                        flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                        flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                        flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                        flick_cdr_encode_char8(15, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                        flick_cdr_encode_signed32(24, ((test1_x1 *)(_ev->_value._user_except))->case_num, CORBA_long );
                                                        CORBA_flick_free((test1_x1 *)(_ev->_value._user_except));
                                                        flick_trapeze_encode_end_chunk(28);
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        case /* 1/x2 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                {
                                                  switch (*(char *)(_ev->_id + 16))
                                                    {
                                                    case 0:
                                                      {
                                                        flick_trapeze_encode_new_chunk(28);
                                                        flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                        flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                        flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                        flick_cdr_encode_char8(15, '2', flick_char8_t );
                                                        flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                        flick_cdr_encode_signed32(24, ((test1_x2 *)(_ev->_value._user_except))->value, CORBA_long );
                                                        CORBA_flick_free((test1_x2 *)(_ev->_value._user_except));
                                                        flick_trapeze_encode_end_chunk(28);
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort267);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort255;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(32);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort255:
              goto _flick_abort254;
            }
          }
          break;
          {
          _flick_abort254:
            goto _flick_abort2;
          }
        }
      case (signed int) 13:
        {
          {
            test1 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t91_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort274);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t91_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            test1_please_exit(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort274:
              goto _flick_abort273;
            }
          }
          break;
          {
          _flick_abort273:
            goto _flick_abort2;
          }
        }
      case (signed int) 14:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t92_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t93_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort276);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort276);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t92_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t92_temp_string_len);
            _ev = (CORBA_Environment *)(&_t93_storage);
            _par = flick_interface_parents_test1;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort276);
              flick_trapeze_encode_new_glob(5, _flick_abort276);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort283);
                    break;
                    {
                    _flick_abort283:
                      goto _flick_abort276;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort276:
              goto _flick_abort275;
            }
          }
          break;
          {
          _flick_abort275:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

