#include "unionplain_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_un[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t un_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t9_switch_tag;

    flick_trapeze_decode_new_glob(56);
    flick_trapeze_check_span(9, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 0:
        {
          {
            un _obj;
            struct Foo _return;
            struct Foo2 *_local_a;
            struct Foo2 _t10_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t11_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort80);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a = (struct Foo2 *)(&_t10_storage);
            flick_cdr_decode_char8(4, _local_a->_d, CORBA_char );
            flick_trapeze_decode_end_chunk(5);
            switch (_local_a->_d)
              {
              case 'a':
                {
                  flick_trapeze_check_span(7, _flick_abort86);
                  flick_trapeze_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _local_a->_u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(7);
                  break;
                  {
                  _flick_abort86:
                    goto _flick_abort80;
                  }
                }
              case 'b':
                {
                  flick_trapeze_check_span(3, _flick_abort87);
                  flick_trapeze_decode_new_chunk(3);
                  flick_cdr_decode_signed16(1, _local_a->_u.y, CORBA_short );
                  flick_trapeze_decode_end_chunk(3);
                  break;
                  {
                  _flick_abort87:
                    goto _flick_abort80;
                  }
                }
              case 'c':
                {
                  flick_trapeze_check_span(1, _flick_abort88);
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                  {
                  _flick_abort88:
                    goto _flick_abort80;
                  }
                }
              default:
                {
                  break;
                }
              }
            _ev = (CORBA_Environment *)(&_t11_storage);
            flick_trapeze_decode_end_glob(56);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = un_one(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort80);
              flick_trapeze_encode_new_glob(12, _flick_abort80);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_return._d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      case 2:
                        {
                          flick_trapeze_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return._u.y, CORBA_short );
                          flick_trapeze_encode_end_chunk(2);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                    break;
                    {
                    _flick_abort110:
                      goto _flick_abort80;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort80:
              goto _flick_abort79;
            }
          }
          break;
          {
          _flick_abort79:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            un _obj;
            struct Foo3 _return;
            struct Foo4 *_local_a;
            struct Foo4 _t12_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort112);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort112);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a = (struct Foo4 *)(&_t12_storage);
            flick_cdr_decode_signed32(4, _local_a->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t14_temp_string_len;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
                  flick_trapeze_server_decode_array(_local_a->_u.a, 1 * _t14_temp_string_len);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _local_a->_u.b._length, CORBA_unsigned_long );
                  if (_local_a->_u.b._length > 10)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort120);
                  flick_trapeze_decode_end_chunk(4);
                  flick_trapeze_check_span(4 * _local_a->_u.b._length * 1, _flick_abort120);
                  flick_trapeze_decode_new_chunk(4 * _local_a->_u.b._length);
                  flick_cdr_decode_msgptr(0, _local_a->_u.b._buffer, CORBA_long *);
                  _local_a->_u.b._maximum = _local_a->_u.b._length;
                  _local_a->_u.b._release = 0;
                  flick_trapeze_decode_end_chunk(4 * _local_a->_u.b._length);
                  break;
                  {
                  _flick_abort120:
                    goto _flick_abort112;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_a->_u.c, CORBA_long );
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              }
            _ev = (CORBA_Environment *)(&_t15_storage);
            flick_trapeze_decode_end_glob(56);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = un_two(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort112);
              flick_trapeze_encode_new_glob(12, _flick_abort112);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return._d, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    switch (_return._d)
                      {
                      case -1:
                        {
                          flick_trapeze_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return._u.a, CORBA_short );
                          flick_trapeze_encode_end_chunk(2);
                          break;
                        }
                      case 50:
                        {
                          flick_trapeze_encode_new_chunk(6);
                          flick_cdr_encode_signed32(2, _return._u.b, CORBA_long );
                          flick_trapeze_encode_end_chunk(6);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._u.c, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                    break;
                    {
                    _flick_abort144:
                      goto _flick_abort112;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort112:
              goto _flick_abort111;
            }
          }
          break;
          {
          _flick_abort111:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t16_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t17_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort146);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort146);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t16_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t16_temp_string_len);
            _ev = (CORBA_Environment *)(&_t17_storage);
            _par = flick_interface_parents_un;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(56);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort146);
              flick_trapeze_encode_new_glob(5, _flick_abort146);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                    break;
                    {
                    _flick_abort153:
                      goto _flick_abort146;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort146:
              goto _flick_abort145;
            }
          }
          break;
          {
          _flick_abort145:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

