#include "program-5-client.h"

int flick_marshal_stub_mystruct(flick_marshal_stream_t _stream, const struct mystruct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->mystruct, int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_mystruct(flick_marshal_stream_t _stream, struct mystruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort1);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->mystruct, int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int *op_1(char **arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t1_temp_string_len;

      flick_fluke_stringlen(char *, *arg, flick_unsigned32_t , _t1_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort3);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 10, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t1_temp_string_len, _flick_abort3);
      flick_fluke_encode_new_chunk(1 * _t1_temp_string_len);
      flick_fluke_encode_bcopy(0, *arg, 1 * _t1_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t1_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t1_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort3);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t3_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t3_storage);
            flick_fluke_check_span(4, _flick_abort13);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort13:
              goto _flick_abort3;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort14);
            break;
            {
            _flick_abort14:
              goto _flick_abort3;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort15);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort15:
              goto _flick_abort3;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
  return _return;
  {
  _flick_abort3:
    flick_sun_client_error(fluke, fluke, _flick_abort2);
  _flick_abort2:
    goto _flick_reaper;
  }
}

