#include "mig-types-client.h"

/* This is the runtime type information */
/* */

kern_return_t snd(mach_port_t target, char _char, byte _byte, bool _bool, shortshort _short8, short _short16, int _int, long int _long, signed int _signed, unsigned int _unsigned, float _float, double _double)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    flick_iiop_encode_new_glob(48, _flick_abort1);
    flick_iiop_encode_new_chunk(36);
    flick_cdr_encode_signed32(0, 4440000, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, _char, char );
    flick_cdr_encode_signed8(9, _byte, byte );
    flick_cdr_encode_unsigned8(10, _bool, bool );
    flick_cdr_encode_signed8(11, _short8, shortshort );
    flick_cdr_encode_signed16(12, _short16, short );
    flick_cdr_encode_signed32(16, _int, int );
    flick_cdr_encode_signed32(20, _long, long int );
    flick_cdr_encode_signed32(24, _signed, signed int );
    flick_cdr_encode_signed32(28, _unsigned, unsigned int );
    flick_cdr_encode_float32(32, _float, float );
    flick_iiop_encode_end_chunk(36);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, _double, double );
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(48);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort1);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort1;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort1);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, iiop, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rcv(mach_port_t target, char *_char, byte *_byte, bool *_bool, shortshort *_short8, short *_short16, int *_int, long int *_long, signed int *_signed, unsigned int *_unsigned, float *_float, double *_double)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort14);
  }
  {
    flick_iiop_encode_new_glob(8, _flick_abort14);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440001, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(44);
      flick_iiop_check_span(4, _flick_abort14);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(36, _flick_abort24);
            flick_iiop_decode_new_chunk(28);
            flick_cdr_swap_decode_char8(0, *_char, char );
            flick_cdr_swap_decode_signed8(1, *_byte, byte );
            flick_cdr_swap_decode_unsigned8(2, *_bool, bool );
            flick_cdr_swap_decode_signed8(3, *_short8, shortshort );
            flick_cdr_swap_decode_signed16(4, *_short16, short );
            flick_cdr_swap_decode_signed32(8, *_int, int );
            flick_cdr_swap_decode_signed32(12, *_long, long int );
            flick_cdr_swap_decode_signed32(16, *_signed, signed int );
            flick_cdr_swap_decode_signed32(20, *_unsigned, unsigned int );
            flick_cdr_swap_decode_float32(24, *_float, float );
            flick_iiop_decode_end_chunk(28);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_iiop_check_span(8, _flick_abort24);
            flick_cdr_swap_decode_float64(0, *_double, double );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(44);
            break;
            {
            _flick_abort24:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(44);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort14;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(44);
      flick_iiop_check_span(4, _flick_abort14);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(36, _flick_abort19);
            flick_iiop_decode_new_chunk(28);
            flick_cdr_decode_char8(0, *_char, char );
            flick_cdr_decode_signed8(1, *_byte, byte );
            flick_cdr_decode_unsigned8(2, *_bool, bool );
            flick_cdr_decode_signed8(3, *_short8, shortshort );
            flick_cdr_decode_signed16(4, *_short16, short );
            flick_cdr_decode_signed32(8, *_int, int );
            flick_cdr_decode_signed32(12, *_long, long int );
            flick_cdr_decode_signed32(16, *_signed, signed int );
            flick_cdr_decode_signed32(20, *_unsigned, unsigned int );
            flick_cdr_decode_float32(24, *_float, float );
            flick_iiop_decode_end_chunk(28);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_iiop_check_span(8, _flick_abort19);
            flick_cdr_decode_float64(0, *_double, double );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(44);
            break;
            {
            _flick_abort19:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(44);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort14;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort14:
    flick_mig_client_error(cdr, iiop, _flick_abort13);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t sndArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort27);
  }
  {
    char *_t11_internal;
    byte *_t12_internal;
    bool *_t13_internal;
    shortshort *_t14_internal;
    short *_t15_internal;
    int *_t16_internal;
    long *_t17_internal;
    signed *_t18_internal;
    unsigned *_t19_internal;
    float *_t20_internal;
    double *_t21_internal;

    _t11_internal = (char *)_charA;
    _t12_internal = (byte *)_byteA;
    _t13_internal = (bool *)_boolA;
    _t14_internal = (shortshort *)_short8A;
    _t15_internal = (short *)_short16A;
    _t16_internal = (int *)_intA;
    _t17_internal = (long *)_longA;
    _t18_internal = (signed *)_signedA;
    _t19_internal = (unsigned *)_unsignedA;
    _t20_internal = (float *)_floatA;
    _t21_internal = (double *)_doubleA;

    flick_iiop_encode_new_glob(320, _flick_abort27);
    flick_iiop_encode_new_chunk(244);
    flick_cdr_encode_signed32(0, 4440002, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t11_internal, 9);
    flick_cdr_encode_bcopy(17, _t12_internal, 9);
    flick_cdr_encode_bcopy(26, _t13_internal, 9);
    flick_cdr_encode_bcopy(35, _t14_internal, 9);
    flick_cdr_encode_bcopy(44, _t15_internal, 18);
    flick_cdr_encode_bcopy(64, _t16_internal, 36);
    flick_cdr_encode_bcopy(100, _t17_internal, 36);
    flick_cdr_encode_bcopy(136, _t18_internal, 36);
    flick_cdr_encode_bcopy(172, _t19_internal, 36);
    flick_cdr_encode_bcopy(208, _t20_internal, 36);
    flick_iiop_encode_end_chunk(244);
    flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
    flick_cdr_encode_bcopy(0, _t21_internal, 72);
    flick_iiop_encode_end_chunk(72);
    flick_iiop_encode_end_glob(320);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort27);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort27);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort126);
            break;
            {
            _flick_abort126:
              goto _flick_abort27;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort27);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort99);
            break;
            {
            _flick_abort99:
              goto _flick_abort27;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort27:
    flick_mig_client_error(cdr, iiop, _flick_abort26);
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rcvArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort128);
  }
  {
    flick_iiop_encode_new_glob(8, _flick_abort128);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440003, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(364);
      flick_iiop_check_span(4, _flick_abort128);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t62_internal;
            byte *_t63_internal;
            bool *_t64_internal;
            shortshort *_t65_internal;
            short *_t66_internal;
            flick_unsigned32_t _t67_array_iter;
            int *_t68_internal;
            flick_unsigned32_t _t69_array_iter;
            long *_t70_internal;
            flick_unsigned32_t _t71_array_iter;
            signed *_t72_internal;
            flick_unsigned32_t _t73_array_iter;
            unsigned *_t74_internal;
            flick_unsigned32_t _t75_array_iter;
            float *_t76_internal;
            flick_unsigned32_t _t77_array_iter;
            double *_t78_internal;
            flick_unsigned32_t _t79_array_iter;

            _t62_internal = (char *)_charA;
            _t63_internal = (byte *)_byteA;
            _t64_internal = (bool *)_boolA;
            _t65_internal = (shortshort *)_short8A;
            _t66_internal = (short *)_short16A;
            _t68_internal = (int *)_intA;
            _t70_internal = (long *)_longA;
            _t72_internal = (signed *)_signedA;
            _t74_internal = (unsigned *)_unsignedA;
            _t76_internal = (float *)_floatA;
            _t78_internal = (double *)_doubleA;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(9 * 8 + (9 * 4 + (9 * 4 + (9 * 4 + (9 * 4 + (9 * 4 + (9 * 2 + 36)))))), _flick_abort247);
            flick_iiop_decode_new_chunk(36);
            flick_cdr_swap_decode_bcopy(0, _t62_internal, 9);
            flick_cdr_swap_decode_bcopy(9, _t63_internal, 9);
            flick_cdr_swap_decode_bcopy(18, _t64_internal, 9);
            flick_cdr_swap_decode_bcopy(27, _t65_internal, 9);
            flick_iiop_decode_end_chunk(36);
            for (_t67_array_iter = 0; _t67_array_iter < 9; _t67_array_iter++)
              {
                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_signed16(0, _t66_internal[_t67_array_iter], short );
                flick_iiop_decode_end_chunk(2);
                continue;
              }
            for (_t69_array_iter = 0; _t69_array_iter < 9; _t69_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_iiop_check_span(4, _flick_abort264);
                flick_cdr_swap_decode_signed32(0, _t68_internal[_t69_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort264:
                  goto _flick_abort247;
                }
              }
            for (_t71_array_iter = 0; _t71_array_iter < 9; _t71_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t70_internal[_t71_array_iter], long );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            for (_t73_array_iter = 0; _t73_array_iter < 9; _t73_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t72_internal[_t73_array_iter], signed );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            for (_t75_array_iter = 0; _t75_array_iter < 9; _t75_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t74_internal[_t75_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            for (_t77_array_iter = 0; _t77_array_iter < 9; _t77_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_float32(0, _t76_internal[_t77_array_iter], float );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            for (_t79_array_iter = 0; _t79_array_iter < 9; _t79_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                flick_iiop_check_span(8, _flick_abort289);
                flick_cdr_swap_decode_float64(0, _t78_internal[_t79_array_iter], double );
                flick_iiop_decode_end_chunk(8);
                continue;
                {
                _flick_abort289:
                  goto _flick_abort247;
                }
              }
            flick_iiop_decode_end_glob(364);
            break;
            {
            _flick_abort247:
              goto _flick_abort128;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(364);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort291);
            break;
            {
            _flick_abort291:
              goto _flick_abort128;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(316);
      flick_iiop_check_span(4, _flick_abort128);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t33_internal;
            byte *_t34_internal;
            bool *_t35_internal;
            shortshort *_t36_internal;
            short *_t37_internal;
            int *_t38_internal;
            long *_t39_internal;
            signed *_t40_internal;
            unsigned *_t41_internal;
            float *_t42_internal;
            double *_t43_internal;

            _t33_internal = (char *)_charA;
            _t34_internal = (byte *)_byteA;
            _t35_internal = (bool *)_boolA;
            _t36_internal = (shortshort *)_short8A;
            _t37_internal = (short *)_short16A;
            _t38_internal = (int *)_intA;
            _t39_internal = (long *)_longA;
            _t40_internal = (signed *)_signedA;
            _t41_internal = (unsigned *)_unsignedA;
            _t42_internal = (float *)_floatA;
            _t43_internal = (double *)_doubleA;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(308, _flick_abort177);
            flick_iiop_decode_new_chunk(236);
            flick_cdr_decode_bcopy(0, _t33_internal, 9);
            flick_cdr_decode_bcopy(9, _t34_internal, 9);
            flick_cdr_decode_bcopy(18, _t35_internal, 9);
            flick_cdr_decode_bcopy(27, _t36_internal, 9);
            flick_cdr_decode_bcopy(36, _t37_internal, 18);
            flick_cdr_decode_bcopy(56, _t38_internal, 36);
            flick_cdr_decode_bcopy(92, _t39_internal, 36);
            flick_cdr_decode_bcopy(128, _t40_internal, 36);
            flick_cdr_decode_bcopy(164, _t41_internal, 36);
            flick_cdr_decode_bcopy(200, _t42_internal, 36);
            flick_iiop_decode_end_chunk(236);
            flick_iiop_decode_new_chunk_align(72, 3, 2, 0);
            flick_iiop_check_span(72, _flick_abort177);
            flick_cdr_decode_bcopy(0, _t43_internal, 72);
            flick_iiop_decode_end_chunk(72);
            flick_iiop_decode_end_glob(316);
            break;
            {
            _flick_abort177:
              goto _flick_abort128;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(316);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort200);
            break;
            {
            _flick_abort200:
              goto _flick_abort128;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort128:
    flick_mig_client_error(cdr, iiop, _flick_abort127);
  _flick_abort127:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

