#ifndef _primtypes_client_h_
#define _primtypes_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class ex1 ;


typedef ex1 *ex1_ptr;

class ex1_var {

public:
  ex1_var();
  ex1_var(ex1_ptr p);
  ex1_var(const ex1_var &a);
  ~ex1_var();
  ex1_var &operator=(ex1_ptr p);
  ex1_var &operator=(const ex1_var &p);
  ex1_ptr operator->() const;
  operator const ex1_ptr &() const;
  operator ex1_ptr &();
  ex1_ptr in() const;
  ex1_ptr &inout();
  ex1_ptr &out();
  ex1_ptr _retn();
  ex1_ptr ptr() const;

private:
  ex1_ptr ptr_;
} ;


class ex1_out {

public:
  ex1_out(ex1_ptr &r);
  ex1_out(ex1_var &r);
  ex1_out(const ex1_out &r);
  ex1_out &operator=(const ex1_out &r);
  ex1_out &operator=(const ex1_var &r);
  ex1_out &operator=(ex1_ptr r);
  operator ex1_ptr &();
  ex1_ptr &ptr();
  ex1_ptr operator->();

private:
  ex1_ptr &ptr_;
} ;


class ex1 : public virtual ACE_CORBA_1 (Object) {

public:
  static ex1_ptr _duplicate(ex1_ptr obj);
  static ex1_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static ex1_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static ex1_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  ex1();
  virtual ~ex1();

private:
  ex1(const ex1 &v);
  void operator=(const ex1 &v);

public:
  virtual CORBA::Long m1(/* ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev);
  virtual ex1_ptr mtypes(/* ex1 *this, */ CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev);
  virtual CORBA::Long l1(/* ex1 *this, */ CORBA::Environment &_ev);
  virtual void l1(/* ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev);

protected:
  ex1(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const ex1_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex1_ptr *_data);

void operator<<=(CORBA::Any &a, ex1_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, ex1_ptr &o);

class ex2 ;


typedef ex2 *ex2_ptr;

class ex2_var {

public:
  ex2_var();
  ex2_var(ex2_ptr p);
  ex2_var(const ex2_var &a);
  ~ex2_var();
  ex2_var &operator=(ex2_ptr p);
  ex2_var &operator=(const ex2_var &p);
  ex2_ptr operator->() const;
  operator const ex2_ptr &() const;
  operator ex2_ptr &();
  ex2_ptr in() const;
  ex2_ptr &inout();
  ex2_ptr &out();
  ex2_ptr _retn();
  ex2_ptr ptr() const;

private:
  ex2_ptr ptr_;
} ;


class ex2_out {

public:
  ex2_out(ex2_ptr &r);
  ex2_out(ex2_var &r);
  ex2_out(const ex2_out &r);
  ex2_out &operator=(const ex2_out &r);
  ex2_out &operator=(const ex2_var &r);
  ex2_out &operator=(ex2_ptr r);
  operator ex2_ptr &();
  ex2_ptr &ptr();
  ex2_ptr operator->();

private:
  ex2_ptr &ptr_;
} ;


class ex2 : public virtual ACE_CORBA_1 (Object) {

public:
  static ex2_ptr _duplicate(ex2_ptr obj);
  static ex2_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static ex2_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static ex2_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  ex2();
  virtual ~ex2();

private:
  ex2(const ex2 &v);
  void operator=(const ex2 &v);

public:
  virtual CORBA::Long m2(/* ex2 *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev);
  virtual void mv(/* ex2 *this, */ CORBA::Environment &_ev);
  virtual CORBA::Long l2(/* ex2 *this, */ CORBA::Environment &_ev);
  virtual CORBA::Long m1(/* ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev);
  virtual ex1_ptr mtypes(/* ex2 *this, */ CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev);
  virtual CORBA::Long l1(/* ex2 *this, */ CORBA::Environment &_ev);
  virtual void l1(/* ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev);

protected:
  ex2(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const ex2_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex2_ptr *_data);

void operator<<=(CORBA::Any &a, ex2_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, ex2_ptr &o);

extern CORBA::TypeCode_ptr _tc_ex1;

extern CORBA::TypeCode_ptr _tc_ex2;

#endif /* _primtypes_client_h_ */
