#ifndef _struct_server_h_
#define _struct_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "struct-client.h"
#include <flick/pres/corbaxx.h>

class POA_foo ;


typedef POA_foo *POA_foo_ptr;

class POA_foo : public virtual PortableServer::ServantBase {

protected:
  POA_foo();

public:
  POA_foo(const POA_foo &rhs);
  virtual ~POA_foo();
  foo *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op(/* POA_foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_foo_tie : public POA_foo {

  public:
    POA_foo_tie(T &t);
    POA_foo_tie(T &t, PortableServer::POA_ptr poa);
    POA_foo_tie(T *t, CORBA::Boolean release = 1);
    POA_foo_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_foo_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_foo_tie(const POA_foo_tie &c);
    void operator=(const POA_foo_tie &c);

  public:
    CORBA::Long op(/* POA_foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, foo_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, foo_ptr *_data);

class POA_foo2 ;


typedef POA_foo2 *POA_foo2_ptr;

class POA_foo2 : public virtual PortableServer::ServantBase {

protected:
  POA_foo2();

public:
  POA_foo2(const POA_foo2 &rhs);
  virtual ~POA_foo2();
  foo2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual struct bar *op2(/* POA_foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_foo2 *this, */ CORBA::Long a, CORBA::Char &b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_foo2_tie : public POA_foo2 {

  public:
    POA_foo2_tie(T &t);
    POA_foo2_tie(T &t, PortableServer::POA_ptr poa);
    POA_foo2_tie(T *t, CORBA::Boolean release = 1);
    POA_foo2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_foo2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_foo2_tie(const POA_foo2_tie &c);
    void operator=(const POA_foo2_tie &c);

  public:
    struct bar *op2(/* POA_foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_foo2 *this, */ CORBA::Long a, CORBA::Char &b, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, foo2_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, foo2_ptr *_data);

class _tao_collocated_foo : public virtual foo {

public:
  _tao_collocated_foo(POA_foo_ptr servant, TAO_Stub *stub);
  POA_foo_ptr _get_servant() const;
  virtual CORBA::Long op(const struct bar &a, bar2_out b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_foo_ptr servant_;
} ;


class _tao_collocated_foo2 : public virtual foo2 {

public:
  _tao_collocated_foo2(POA_foo2_ptr servant, TAO_Stub *stub);
  POA_foo2_ptr _get_servant() const;
  virtual struct bar *op2(const struct bar2 &a, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long a, CORBA::Char &b, CORBA::Environment &_ev);
  virtual CORBA::Long op(const struct bar &a, bar2_out b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_foo2_ptr servant_;
} ;


#endif /* _struct_server_h_ */
