#include "interface_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_math[] = {
	0
};

/* */

int flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(44, _flick_abort0);
  flick_khazana_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_khazana_encode_end_chunk(4 + 4 * _data->_length);
  flick_khazana_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort3);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_khazana_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_khazana_decode_end_chunk(4 * _data->_length);
  flick_khazana_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10_swap(flick_marshal_stream_t _stream, long10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_khazana_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->_buffer);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_math_swap(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

CORBA_short math_addshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort18);
  }
  {
    flick_khazana_encode_new_glob(24, _flick_abort18);
    flick_khazana_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'a', flick_char8_t );
    flick_cdr_encode_char8(5, 'd', flick_char8_t );
    flick_cdr_encode_char8(6, 'd', flick_char8_t );
    flick_cdr_encode_char8(7, 's', flick_char8_t );
    flick_cdr_encode_char8(8, 'h', flick_char8_t );
    flick_cdr_encode_char8(9, 'o', flick_char8_t );
    flick_cdr_encode_char8(10, 'r', flick_char8_t );
    flick_cdr_encode_char8(11, 't', flick_char8_t );
    flick_cdr_encode_char8(12, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, a, CORBA_short );
    flick_cdr_encode_signed16(22, b, CORBA_short );
    flick_khazana_encode_end_chunk(24);
    flick_khazana_encode_end_glob(24);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(6);
      flick_khazana_check_span(4, _flick_abort18);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(2, _flick_abort31);
            flick_khazana_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return, CORBA_short );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort31:
              goto _flick_abort18;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort32);
            break;
            {
            _flick_abort32:
              goto _flick_abort18;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort33);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort33:
              goto _flick_abort18;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(6);
      flick_khazana_check_span(4, _flick_abort18);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(2, _flick_abort24);
            flick_khazana_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort24:
              goto _flick_abort18;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort18;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort26:
              goto _flick_abort18;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort18:
    flick_corba_client_error(cdr, khazana, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_short math_subshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort35);
  }
  {
    flick_khazana_encode_new_glob(24, _flick_abort35);
    flick_khazana_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 's', flick_char8_t );
    flick_cdr_encode_char8(5, 'u', flick_char8_t );
    flick_cdr_encode_char8(6, 'b', flick_char8_t );
    flick_cdr_encode_char8(7, 's', flick_char8_t );
    flick_cdr_encode_char8(8, 'h', flick_char8_t );
    flick_cdr_encode_char8(9, 'o', flick_char8_t );
    flick_cdr_encode_char8(10, 'r', flick_char8_t );
    flick_cdr_encode_char8(11, 't', flick_char8_t );
    flick_cdr_encode_char8(12, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, a, CORBA_short );
    flick_cdr_encode_signed16(22, b, CORBA_short );
    flick_khazana_encode_end_chunk(24);
    flick_khazana_encode_end_glob(24);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(6);
      flick_khazana_check_span(4, _flick_abort35);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(2, _flick_abort48);
            flick_khazana_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return, CORBA_short );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort48:
              goto _flick_abort35;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort35;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort50:
              goto _flick_abort35;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(6);
      flick_khazana_check_span(4, _flick_abort35);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(2, _flick_abort41);
            flick_khazana_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort41:
              goto _flick_abort35;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort42);
            break;
            {
            _flick_abort42:
              goto _flick_abort35;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort43:
              goto _flick_abort35;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort35:
    flick_corba_client_error(cdr, khazana, _flick_abort34);
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_short math_multshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort52);
  }
  {
    flick_khazana_encode_new_glob(24, _flick_abort52);
    flick_khazana_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'm', flick_char8_t );
    flick_cdr_encode_char8(5, 'u', flick_char8_t );
    flick_cdr_encode_char8(6, 'l', flick_char8_t );
    flick_cdr_encode_char8(7, 't', flick_char8_t );
    flick_cdr_encode_char8(8, 's', flick_char8_t );
    flick_cdr_encode_char8(9, 'h', flick_char8_t );
    flick_cdr_encode_char8(10, 'o', flick_char8_t );
    flick_cdr_encode_char8(11, 'r', flick_char8_t );
    flick_cdr_encode_char8(12, 't', flick_char8_t );
    flick_cdr_encode_char8(13, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, a, CORBA_short );
    flick_cdr_encode_signed16(22, b, CORBA_short );
    flick_khazana_encode_end_chunk(24);
    flick_khazana_encode_end_glob(24);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(6);
      flick_khazana_check_span(4, _flick_abort52);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(2, _flick_abort65);
            flick_khazana_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return, CORBA_short );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort65:
              goto _flick_abort52;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort66);
            break;
            {
            _flick_abort66:
              goto _flick_abort52;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort67:
              goto _flick_abort52;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(6);
      flick_khazana_check_span(4, _flick_abort52);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(2, _flick_abort58);
            flick_khazana_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort58:
              goto _flick_abort52;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort52;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
            flick_khazana_decode_end_glob(6);
            break;
            {
            _flick_abort60:
              goto _flick_abort52;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort52:
    flick_corba_client_error(cdr, khazana, _flick_abort51);
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_addlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort69);
  }
  {
    flick_khazana_encode_new_glob(24, _flick_abort69);
    flick_khazana_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'a', flick_char8_t );
    flick_cdr_encode_char8(5, 'd', flick_char8_t );
    flick_cdr_encode_char8(6, 'd', flick_char8_t );
    flick_cdr_encode_char8(7, 'l', flick_char8_t );
    flick_cdr_encode_char8(8, 'o', flick_char8_t );
    flick_cdr_encode_char8(9, 'n', flick_char8_t );
    flick_cdr_encode_char8(10, 'g', flick_char8_t );
    flick_cdr_encode_char8(11, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(16, a, CORBA_long );
    flick_cdr_encode_signed32(20, b, CORBA_long );
    flick_khazana_encode_end_chunk(24);
    flick_khazana_encode_end_glob(24);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort69);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort82);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort82:
              goto _flick_abort69;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort83);
            break;
            {
            _flick_abort83:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort84:
              goto _flick_abort69;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort69);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort75);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort75:
              goto _flick_abort69;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort77:
              goto _flick_abort69;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort69:
    flick_corba_client_error(cdr, khazana, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_sublong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort86);
  }
  {
    flick_khazana_encode_new_glob(24, _flick_abort86);
    flick_khazana_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 's', flick_char8_t );
    flick_cdr_encode_char8(5, 'u', flick_char8_t );
    flick_cdr_encode_char8(6, 'b', flick_char8_t );
    flick_cdr_encode_char8(7, 'l', flick_char8_t );
    flick_cdr_encode_char8(8, 'o', flick_char8_t );
    flick_cdr_encode_char8(9, 'n', flick_char8_t );
    flick_cdr_encode_char8(10, 'g', flick_char8_t );
    flick_cdr_encode_char8(11, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(16, a, CORBA_long );
    flick_cdr_encode_signed32(20, b, CORBA_long );
    flick_khazana_encode_end_chunk(24);
    flick_khazana_encode_end_glob(24);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort86);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort99);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort99:
              goto _flick_abort86;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort100);
            break;
            {
            _flick_abort100:
              goto _flick_abort86;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort101:
              goto _flick_abort86;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort86);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort92);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort92:
              goto _flick_abort86;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort93);
            break;
            {
            _flick_abort93:
              goto _flick_abort86;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort94:
              goto _flick_abort86;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort86:
    flick_corba_client_error(cdr, khazana, _flick_abort85);
  _flick_abort85:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_multlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort103);
  }
  {
    flick_khazana_encode_new_glob(28, _flick_abort103);
    flick_khazana_encode_new_chunk(28);
    flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'm', flick_char8_t );
    flick_cdr_encode_char8(5, 'u', flick_char8_t );
    flick_cdr_encode_char8(6, 'l', flick_char8_t );
    flick_cdr_encode_char8(7, 't', flick_char8_t );
    flick_cdr_encode_char8(8, 'l', flick_char8_t );
    flick_cdr_encode_char8(9, 'o', flick_char8_t );
    flick_cdr_encode_char8(10, 'n', flick_char8_t );
    flick_cdr_encode_char8(11, 'g', flick_char8_t );
    flick_cdr_encode_char8(12, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, a, CORBA_long );
    flick_cdr_encode_signed32(24, b, CORBA_long );
    flick_khazana_encode_end_chunk(28);
    flick_khazana_encode_end_glob(28);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort103);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort116);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort116:
              goto _flick_abort103;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort117);
            break;
            {
            _flick_abort117:
              goto _flick_abort103;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort118);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort118:
              goto _flick_abort103;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort103);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort109);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort109:
              goto _flick_abort103;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort110);
            break;
            {
            _flick_abort110:
              goto _flick_abort103;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort111:
              goto _flick_abort103;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort103:
    flick_corba_client_error(cdr, khazana, _flick_abort102);
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_addlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort120);
  }
  {
    flick_khazana_encode_new_glob(64, _flick_abort120);
    flick_khazana_encode_new_chunk(24 + 4 * a->_length);
    flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'a', flick_char8_t );
    flick_cdr_encode_char8(5, 'd', flick_char8_t );
    flick_cdr_encode_char8(6, 'd', flick_char8_t );
    flick_cdr_encode_char8(7, 'l', flick_char8_t );
    flick_cdr_encode_char8(8, 'o', flick_char8_t );
    flick_cdr_encode_char8(9, 'n', flick_char8_t );
    flick_cdr_encode_char8(10, 'g', flick_char8_t );
    flick_cdr_encode_char8(11, 'l', flick_char8_t );
    flick_cdr_encode_char8(12, 'i', flick_char8_t );
    flick_cdr_encode_char8(13, 's', flick_char8_t );
    flick_cdr_encode_char8(14, 't', flick_char8_t );
    flick_cdr_encode_char8(15, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, a->_length, CORBA_unsigned_long );
    if (a->_length > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort120);
    flick_cdr_encode_bcopy(24, a->_buffer, 4 * a->_length);
    flick_khazana_encode_end_chunk(24 + 4 * a->_length);
    flick_khazana_encode_end_glob(64);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort120);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort137);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort137:
              goto _flick_abort120;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort138);
            break;
            {
            _flick_abort138:
              goto _flick_abort120;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort139);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort139:
              goto _flick_abort120;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort120);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort130);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort130:
              goto _flick_abort120;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort131);
            break;
            {
            _flick_abort131:
              goto _flick_abort120;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort132:
              goto _flick_abort120;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort120:
    flick_corba_client_error(cdr, khazana, _flick_abort119);
  _flick_abort119:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_multlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(_obj, 0, cdr, _flick_abort141);
  }
  {
    flick_khazana_encode_new_glob(68, _flick_abort141);
    flick_khazana_encode_new_chunk(28 + 4 * a->_length);
    flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'm', flick_char8_t );
    flick_cdr_encode_char8(5, 'u', flick_char8_t );
    flick_cdr_encode_char8(6, 'l', flick_char8_t );
    flick_cdr_encode_char8(7, 't', flick_char8_t );
    flick_cdr_encode_char8(8, 'l', flick_char8_t );
    flick_cdr_encode_char8(9, 'o', flick_char8_t );
    flick_cdr_encode_char8(10, 'n', flick_char8_t );
    flick_cdr_encode_char8(11, 'g', flick_char8_t );
    flick_cdr_encode_char8(12, 'l', flick_char8_t );
    flick_cdr_encode_char8(13, 'i', flick_char8_t );
    flick_cdr_encode_char8(14, 's', flick_char8_t );
    flick_cdr_encode_char8(15, 't', flick_char8_t );
    flick_cdr_encode_char8(16, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(20, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(24, a->_length, CORBA_unsigned_long );
    if (a->_length > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
    flick_cdr_encode_bcopy(28, a->_buffer, 4 * a->_length);
    flick_khazana_encode_end_chunk(28 + 4 * a->_length);
    flick_khazana_encode_end_glob(68);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort141);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort141);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort158);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort158:
              goto _flick_abort141;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, khazana, _flick_abort159);
            break;
            {
            _flick_abort159:
              goto _flick_abort141;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort160);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort160:
              goto _flick_abort141;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(8);
      flick_khazana_check_span(4, _flick_abort141);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_khazana_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_khazana_check_span(4, _flick_abort151);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort151:
              goto _flick_abort141;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_khazana_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, khazana, _flick_abort152);
            break;
            {
            _flick_abort152:
              goto _flick_abort141;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
            flick_khazana_decode_end_glob(8);
            break;
            {
            _flick_abort153:
              goto _flick_abort141;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort141:
    flick_corba_client_error(cdr, khazana, _flick_abort140);
  _flick_abort140:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

