#include "mig-arrays-client.h"

/* This is the runtime type information */
/* */

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  char _global_buf_start[92];
  void *_buf_end = (void *)&(_global_buf_start[92]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t1_internal;

    _t1_internal = (unsigned *)foo;

    flick_mach3mig_encode_new_glob(68, _flick_abort1);
    _buf_start->Head.msgh_id = 123002;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(68);
    flick_mach3mig_array_encode_signed32_type(0, 16, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t1_internal, 64);
    flick_mach3mig_encode_end_chunk(68);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(68);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t3_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 123102:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort23);
                break;
                {
                _flick_abort23:
                  goto _flick_abort16;
                }
              }
            }
          break;
          {
          _flick_abort16:
            goto _flick_abort1;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(mach3mig, mig, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  char _global_buf_start[156];
  void *_buf_end = (void *)&(_global_buf_start[156]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t5_internal;

    _t5_internal = (unsigned *)foo;

    flick_mach3mig_encode_new_glob(132, _flick_abort25);
    _buf_start->Head.msgh_id = 123003;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(132);
    flick_mach3mig_array_encode_signed32_type(0, 32, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t5_internal, 128);
    flick_mach3mig_encode_end_chunk(132);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(132);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t7_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t7_switch_tag)
      {
      case (signed int) 123103:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort47);
                break;
                {
                _flick_abort47:
                  goto _flick_abort40;
                }
              }
            }
          break;
          {
          _flick_abort40:
            goto _flick_abort25;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort25);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort25:
    flick_mig_client_error(mach3mig, mig, _flick_abort24);
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  char _global_buf_start[284];
  void *_buf_end = (void *)&(_global_buf_start[284]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t9_internal;

    _t9_internal = (unsigned *)foo;

    flick_mach3mig_encode_new_glob(260, _flick_abort49);
    _buf_start->Head.msgh_id = 123004;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(260);
    flick_mach3mig_array_encode_signed32_type(0, 64, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t9_internal, 256);
    flick_mach3mig_encode_end_chunk(260);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(260);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort49);
  flick_mach3mig_client_start_decode();
  {
    signed int _t11_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t11_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 123104:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort71);
                break;
                {
                _flick_abort71:
                  goto _flick_abort64;
                }
              }
            }
          break;
          {
          _flick_abort64:
            goto _flick_abort49;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort49);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort49:
    flick_mig_client_error(mach3mig, mig, _flick_abort48);
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  char _global_buf_start[540];
  void *_buf_end = (void *)&(_global_buf_start[540]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t13_internal;

    _t13_internal = (unsigned *)foo;

    flick_mach3mig_encode_new_glob(516, _flick_abort73);
    _buf_start->Head.msgh_id = 123005;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(516);
    flick_mach3mig_array_encode_signed32_type(0, 128, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t13_internal, 512);
    flick_mach3mig_encode_end_chunk(516);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(516);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t15_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t15_switch_tag)
      {
      case (signed int) 123105:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort95);
                break;
                {
                _flick_abort95:
                  goto _flick_abort88;
                }
              }
            }
          break;
          {
          _flick_abort88:
            goto _flick_abort73;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort73);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort73:
    flick_mig_client_error(mach3mig, mig, _flick_abort72);
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  char _global_buf_start[1052];
  void *_buf_end = (void *)&(_global_buf_start[1052]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t17_internal;

    _t17_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(1028, _flick_abort97);
    _buf_start->Head.msgh_id = 123006;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(1028);
    flick_mach3mig_array_encode_signed32_type(0, 256, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t17_internal, 1024);
    flick_mach3mig_encode_end_chunk(1028);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(1028);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort97);
  flick_mach3mig_client_start_decode();
  {
    signed int _t19_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t19_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t19_switch_tag)
      {
      case (signed int) 123106:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort119);
                break;
                {
                _flick_abort119:
                  goto _flick_abort112;
                }
              }
            }
          break;
          {
          _flick_abort112:
            goto _flick_abort97;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort97);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort97:
    flick_mig_client_error(mach3mig, mig, _flick_abort96);
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  char _global_buf_start[2076];
  void *_buf_end = (void *)&(_global_buf_start[2076]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t21_internal;

    _t21_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(2052, _flick_abort121);
    _buf_start->Head.msgh_id = 123007;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(2052);
    flick_mach3mig_array_encode_signed32_type(0, 512, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t21_internal, 2048);
    flick_mach3mig_encode_end_chunk(2052);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(2052);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort121);
  flick_mach3mig_client_start_decode();
  {
    signed int _t23_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t23_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t23_switch_tag)
      {
      case (signed int) 123107:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort143);
                break;
                {
                _flick_abort143:
                  goto _flick_abort136;
                }
              }
            }
          break;
          {
          _flick_abort136:
            goto _flick_abort121;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort121);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort121:
    flick_mig_client_error(mach3mig, mig, _flick_abort120);
  _flick_abort120:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  char _global_buf_start[4124];
  void *_buf_end = (void *)&(_global_buf_start[4124]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t25_internal;

    _t25_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(4100, _flick_abort145);
    _buf_start->Head.msgh_id = 123008;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(4100);
    flick_mach3mig_array_encode_signed32_type(0, 1024, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t25_internal, 4096);
    flick_mach3mig_encode_end_chunk(4100);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(4100);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort145);
  flick_mach3mig_client_start_decode();
  {
    signed int _t27_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t27_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t27_switch_tag)
      {
      case (signed int) 123108:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort167);
                break;
                {
                _flick_abort167:
                  goto _flick_abort160;
                }
              }
            }
          break;
          {
          _flick_abort160:
            goto _flick_abort145;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort145);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort145:
    flick_mig_client_error(mach3mig, mig, _flick_abort144);
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  char _global_buf_start[8220];
  void *_buf_end = (void *)&(_global_buf_start[8220]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t29_internal;

    _t29_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(8196, _flick_abort169);
    _buf_start->Head.msgh_id = 123009;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8196);
    flick_mach3mig_array_encode_signed32_type(0, 2048, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t29_internal, 8192);
    flick_mach3mig_encode_end_chunk(8196);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(8196);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort169);
  flick_mach3mig_client_start_decode();
  {
    signed int _t31_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t31_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t31_switch_tag)
      {
      case (signed int) 123109:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort191);
                break;
                {
                _flick_abort191:
                  goto _flick_abort184;
                }
              }
            }
          break;
          {
          _flick_abort184:
            goto _flick_abort169;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort169);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort169:
    flick_mig_client_error(mach3mig, mig, _flick_abort168);
  _flick_abort168:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  char _global_buf_start[16420];
  void *_buf_end = (void *)&(_global_buf_start[16420]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t33_internal;

    _t33_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(16396, _flick_abort193);
    _buf_start->Head.msgh_id = 123010;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16396);
    flick_mach3mig_array_encode_signed32_type(0, 4096, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t33_internal, 16384);
    flick_mach3mig_encode_end_chunk(16396);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16396);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
  flick_mach3mig_client_start_decode();
  {
    signed int _t35_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t35_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t35_switch_tag)
      {
      case (signed int) 123110:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort215);
                break;
                {
                _flick_abort215:
                  goto _flick_abort208;
                }
              }
            }
          break;
          {
          _flick_abort208:
            goto _flick_abort193;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort193);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort193:
    flick_mig_client_error(mach3mig, mig, _flick_abort192);
  _flick_abort192:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  char _global_buf_start[32804];
  void *_buf_end = (void *)&(_global_buf_start[32804]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t37_internal;

    _t37_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(32780, _flick_abort217);
    _buf_start->Head.msgh_id = 123011;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32780);
    flick_mach3mig_array_encode_signed32_type(0, 8192, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t37_internal, 32768);
    flick_mach3mig_encode_end_chunk(32780);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(32780);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
  flick_mach3mig_client_start_decode();
  {
    signed int _t39_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t39_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t39_switch_tag)
      {
      case (signed int) 123111:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort239);
                break;
                {
                _flick_abort239:
                  goto _flick_abort232;
                }
              }
            }
          break;
          {
          _flick_abort232:
            goto _flick_abort217;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort217);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort217:
    flick_mig_client_error(mach3mig, mig, _flick_abort216);
  _flick_abort216:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t41_internal;

    _t41_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(65548, _flick_abort241);
    _buf_start->Head.msgh_id = 123012;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(65548);
    flick_mach3mig_array_encode_signed32_type(0, 16384, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t41_internal, 65536);
    flick_mach3mig_encode_end_chunk(65548);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(65548);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort241);
  flick_mach3mig_client_start_decode();
  {
    signed int _t43_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t43_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t43_switch_tag)
      {
      case (signed int) 123112:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort263);
                break;
                {
                _flick_abort263:
                  goto _flick_abort256;
                }
              }
            }
          break;
          {
          _flick_abort256:
            goto _flick_abort241;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort241);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort241:
    flick_mig_client_error(mach3mig, mig, _flick_abort240);
  _flick_abort240:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_128K_in(mach_port_t target, t128K data)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t45_internal;

    _t45_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(131084, _flick_abort265);
    _buf_start->Head.msgh_id = 123013;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(131084);
    flick_mach3mig_array_encode_signed32_type(0, 32768, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t45_internal, 131072);
    flick_mach3mig_encode_end_chunk(131084);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(131084);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort265);
  flick_mach3mig_client_start_decode();
  {
    signed int _t47_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t47_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t47_switch_tag)
      {
      case (signed int) 123113:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort287);
                break;
                {
                _flick_abort287:
                  goto _flick_abort280;
                }
              }
            }
          break;
          {
          _flick_abort280:
            goto _flick_abort265;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort265);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort265:
    flick_mig_client_error(mach3mig, mig, _flick_abort264);
  _flick_abort264:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_256K_in(mach_port_t target, t256K data)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t49_internal;

    _t49_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(262156, _flick_abort289);
    _buf_start->Head.msgh_id = 123014;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(262156);
    flick_mach3mig_array_encode_signed32_type(0, 65536, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t49_internal, 262144);
    flick_mach3mig_encode_end_chunk(262156);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(262156);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort289);
  flick_mach3mig_client_start_decode();
  {
    signed int _t51_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t51_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t51_switch_tag)
      {
      case (signed int) 123114:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort311);
                break;
                {
                _flick_abort311:
                  goto _flick_abort304;
                }
              }
            }
          break;
          {
          _flick_abort304:
            goto _flick_abort289;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort289);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort289:
    flick_mig_client_error(mach3mig, mig, _flick_abort288);
  _flick_abort288:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_512K_in(mach_port_t target, t512K data)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t53_internal;

    _t53_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(524300, _flick_abort313);
    _buf_start->Head.msgh_id = 123015;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(524300);
    flick_mach3mig_array_encode_signed32_type(0, 131072, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t53_internal, 524288);
    flick_mach3mig_encode_end_chunk(524300);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(524300);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort313);
  flick_mach3mig_client_start_decode();
  {
    signed int _t55_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t55_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t55_switch_tag)
      {
      case (signed int) 123115:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort335);
                break;
                {
                _flick_abort335:
                  goto _flick_abort328;
                }
              }
            }
          break;
          {
          _flick_abort328:
            goto _flick_abort313;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort313);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort313:
    flick_mig_client_error(mach3mig, mig, _flick_abort312);
  _flick_abort312:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_1024K_in(mach_port_t target, t1024K data)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t57_internal;

    _t57_internal = (unsigned *)data;

    flick_mach3mig_encode_new_glob(1048588, _flick_abort337);
    _buf_start->Head.msgh_id = 123016;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(1048588);
    flick_mach3mig_array_encode_signed32_type(0, 262144, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t57_internal, 1048576);
    flick_mach3mig_encode_end_chunk(1048588);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(1048588);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort337);
  flick_mach3mig_client_start_decode();
  {
    signed int _t59_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t59_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t59_switch_tag)
      {
      case (signed int) 123116:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort359);
                break;
                {
                _flick_abort359:
                  goto _flick_abort352;
                }
              }
            }
          break;
          {
          _flick_abort352:
            goto _flick_abort337;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort337);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort337:
    flick_mig_client_error(mach3mig, mig, _flick_abort336);
  _flick_abort336:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t rpc_time(mach_port_t target, timervar timer)
{
  char _global_buf_start[44];
  void *_buf_end = (void *)&(_global_buf_start[44]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(0, _flick_abort361);
    _buf_start->Head.msgh_id = 123017;
    /* Begin encode phase on parameters */
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(0);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort361);
  flick_mach3mig_client_start_decode();
  {
    signed int _t65_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t65_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t65_switch_tag)
      {
      case (signed int) 123117:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t68_internal;
                unsigned int _t69_array_length;

                _t68_internal = (unsigned *)timer;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(12);
                flick_mach3mig_check_span(12, _flick_abort382);
                flick_mach3mig_array_decode_new_chunk(12);
                _t69_array_length = 2;
                flick_mach3mig_array_decode_signed32_type(0, _t69_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t68_internal, 8);
                flick_mach3mig_decode_end_chunk(12);
                flick_mach3mig_decode_end_glob(12);
                break;
                {
                _flick_abort382:
                  goto _flick_abort376;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort385);
                break;
                {
                _flick_abort385:
                  goto _flick_abort376;
                }
              }
            }
          break;
          {
          _flick_abort376:
            goto _flick_abort361;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort361);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort361:
    flick_mig_client_error(mach3mig, mig, _flick_abort360);
  _flick_abort360:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

