#include "sunstat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

boolean_t progname_2(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;

  flick_mach3mig_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t32_switch_tag;

    _t32_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t32_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            mach_port_t _reply_port;
            int *_return;
            directory *_local_arg;
            directory _t33_storage;
            unsigned int _t49_array_iter;

            flick_mach3mig_server_decode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (directory *)(&_t33_storage);
            {
              struct entry *_t_alloc_ptr;

              _t_alloc_ptr = (struct entry *)(auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort127);
              _local_arg->directory_val = _t_alloc_ptr;
            }
            flick_mach3mig_check_span(_local_arg->directory_len * 4, _flick_abort161);
            for (_t49_array_iter = 0; _t49_array_iter < _local_arg->directory_len; _t49_array_iter++)
              {
                flick_unsigned32_t _t55_temp_string_len;
                unsigned int _t56_array_length;
                unsigned int _t57_array_length;
                unsigned int _t58_array_length;
                unsigned int _t59_array_length;

                if (_t55_temp_string_len > 256)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort162);
                flick_mach3mig_array_decode_new_glob(483);
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_string_c_type(0, _t55_temp_string_len, 1, 0, _type);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_check_span(1 * _t55_temp_string_len * 1, _flick_abort162);
                flick_mach3mig_array_decode_new_chunk(1 * _t55_temp_string_len);
                flick_mach3mig_array_decode_msgptr(0, _local_arg->directory_val[_t49_array_iter].filename, char *);
                flick_mach3mig_array_decode_end_chunk(1 * _t55_temp_string_len);
                flick_mach3mig_decode_new_chunk_align(220, 2, 0, 0);
                flick_mach3mig_check_span(220, _flick_abort162);
                flick_mach3mig_decode_unsigned32(0, _local_arg->directory_val[_t49_array_iter].info.st_dev, my_ulong_t );
                _t56_array_length = 3;
                flick_mach3mig_array_decode_signed32_type(8, _t56_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(12, _local_arg->directory_val[_t49_array_iter].info.st_pad1, 12);
                flick_mach3mig_decode_unsigned32(24, _local_arg->directory_val[_t49_array_iter].info.st_ino, my_ulong_t );
                flick_mach3mig_decode_unsigned32(32, _local_arg->directory_val[_t49_array_iter].info.st_mode, my_ulong_t );
                flick_mach3mig_decode_unsigned32(40, _local_arg->directory_val[_t49_array_iter].info.st_nlink, my_ulong_t );
                flick_mach3mig_decode_signed32(48, _local_arg->directory_val[_t49_array_iter].info.st_uid, int );
                flick_mach3mig_decode_signed32(56, _local_arg->directory_val[_t49_array_iter].info.st_gid, my_uid_t );
                flick_mach3mig_decode_unsigned32(64, _local_arg->directory_val[_t49_array_iter].info.st_rdev, my_ulong_t );
                _t57_array_length = 2;
                flick_mach3mig_array_decode_signed32_type(72, _t57_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(76, _local_arg->directory_val[_t49_array_iter].info.st_pad2, 8);
                flick_mach3mig_decode_signed32(84, _local_arg->directory_val[_t49_array_iter].info.st_size, int );
                flick_mach3mig_decode_signed32(92, _local_arg->directory_val[_t49_array_iter].info.st_pad3, int );
                flick_mach3mig_decode_signed32(100, _local_arg->directory_val[_t49_array_iter].info.st_atime.tv_sec, int );
                flick_mach3mig_decode_signed32(108, _local_arg->directory_val[_t49_array_iter].info.st_atime.tv_nsec, int );
                flick_mach3mig_decode_signed32(116, _local_arg->directory_val[_t49_array_iter].info.st_mtime.tv_sec, int );
                flick_mach3mig_decode_signed32(124, _local_arg->directory_val[_t49_array_iter].info.st_mtime.tv_nsec, int );
                flick_mach3mig_decode_signed32(132, _local_arg->directory_val[_t49_array_iter].info.st_ctime.tv_sec, int );
                flick_mach3mig_decode_signed32(140, _local_arg->directory_val[_t49_array_iter].info.st_ctime.tv_nsec, int );
                flick_mach3mig_decode_signed32(148, _local_arg->directory_val[_t49_array_iter].info.st_blksize, int );
                flick_mach3mig_decode_signed32(156, _local_arg->directory_val[_t49_array_iter].info.st_blocks, int );
                _t58_array_length = 16;
                flick_mach3mig_array_decode_char8_type(164, _t58_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(168, _local_arg->directory_val[_t49_array_iter].info.st_fstype, 16);
                _t59_array_length = 8;
                flick_mach3mig_array_decode_signed32_type(184, _t59_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(188, _local_arg->directory_val[_t49_array_iter].info.st_pad4, 32);
                flick_mach3mig_decode_end_chunk(220);
                flick_mach3mig_decode_end_glob(483);
                continue;
                {
                _flick_abort162:
                  goto _flick_abort161;
                }
              }
            flick_mach3mig_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
              flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
              _buf_start->Head.msgh_id = 1025;
              _buf_start->RetCode = flick_errno;
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_mach3mig_encode_new_glob(8, _flick_abort196);
                    flick_mach3mig_encode_new_chunk(8);
                    flick_mach3mig_encode_signed32(0, *_return, int );
                    flick_mach3mig_encode_end_chunk(8);
                    flick_mach3mig_encode_end_glob(8);
                    break;
                    {
                    _flick_abort196:
                      goto _flick_abort161;
                    }
                  }
                case -1:
                  {
                    flick_sun_encode_system_exception(flick_errno, mach3mig, mach3mig, _flick_abort197);
                    break;
                    {
                    _flick_abort197:
                      goto _flick_abort161;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort198);
                    break;
                    {
                    _flick_abort198:
                      goto _flick_abort161;
                    }
                  }
                }
            }
            flick_mach3mig_server_end_encode();
            break;
            {
            _flick_abort161:
              auto_flick_free(_local_arg->directory_val);
            _flick_abort127:
              goto _flick_abort126;
            }
          }
          break;
          {
          _flick_abort126:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            mach_port_t _reply_port;
            int *_return;
            longlist *_local_arg;
            longlist _t60_storage;
            int _t61_ool_check;

            flick_mach3mig_server_decode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (longlist *)(&_t60_storage);
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_check_span(12, _flick_abort200);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_signed32_type(0, _local_arg->longlist_len, !_t61_ool_check, 0, _long_type);
            _t61_ool_check = _local_arg->longlist_len > 512;
            flick_mach3mig_array_decode_end_chunk(12);
            if (_t61_ool_check)
              {
                flick_mach3mig_check_span(4, _flick_abort206);
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_unsigned32(0, _local_arg->longlist_val, unsigned int );
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_end_glob(16);
                goto _flick_label3;
                {
                _flick_abort206:
                  goto _flick_abort200;
                }
              }
            else
              {
                flick_mach3mig_array_decode_end_glob(16);
                flick_mach3mig_array_decode_new_glob(4 * _local_arg->longlist_len);
                flick_mach3mig_check_span(4 * _local_arg->longlist_len * 1, _flick_abort207);
                flick_mach3mig_array_decode_new_chunk(4 * _local_arg->longlist_len);
                flick_mach3mig_array_decode_msgptr(0, _local_arg->longlist_val, int *);
                flick_mach3mig_array_decode_end_chunk(4 * _local_arg->longlist_len);
                flick_mach3mig_array_decode_end_glob(4 * _local_arg->longlist_len);
                goto _flick_label3;
                {
                _flick_abort207:
                  goto _flick_abort200;
                }
              }
            flick_mach3mig_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
              flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
              _buf_start->Head.msgh_id = 1026;
              _buf_start->RetCode = flick_errno;
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_mach3mig_encode_new_glob(8, _flick_abort222);
                    flick_mach3mig_encode_new_chunk(8);
                    flick_mach3mig_encode_signed32(0, *_return, int );
                    flick_mach3mig_encode_end_chunk(8);
                    flick_mach3mig_encode_end_glob(8);
                    break;
                    {
                    _flick_abort222:
                      goto _flick_abort_block276;
                    }
                  }
                case -1:
                  {
                    flick_sun_encode_system_exception(flick_errno, mach3mig, mach3mig, _flick_abort223);
                    break;
                    {
                    _flick_abort223:
                      goto _flick_abort_block276;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort224);
                    break;
                    {
                    _flick_abort224:
                      goto _flick_abort_block276;
                    }
                  }
                }
            }
            flick_mach3mig_server_end_encode();
            break;
            {
            _flick_abort_block276:
            _flick_abort200:
              goto _flick_abort199;
            }
          }
          break;
          {
          _flick_abort199:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            mach_port_t _reply_port;
            int *_return;
            structlist *_local_arg;
            structlist _t62_storage;
            unsigned int _t63_array_iter;

            flick_mach3mig_server_decode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (structlist *)(&_t62_storage);
            flick_mach3mig_decode_new_glob(32 * _local_arg->structlist_len);
            {
              struct outer *_t_alloc_ptr;

              _t_alloc_ptr = (struct outer *)(auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort226);
              _local_arg->structlist_val = _t_alloc_ptr;
            }
            flick_mach3mig_check_span(_local_arg->structlist_len * 32, _flick_abort230);
            for (_t63_array_iter = 0; _t63_array_iter < _local_arg->structlist_len; _t63_array_iter++)
              {
                flick_mach3mig_decode_new_chunk(32);
                flick_mach3mig_decode_signed32(0, _local_arg->structlist_val[_t63_array_iter].a.a, int );
                flick_mach3mig_decode_signed32(8, _local_arg->structlist_val[_t63_array_iter].a.b, int );
                flick_mach3mig_decode_signed32(16, _local_arg->structlist_val[_t63_array_iter].b.a, int );
                flick_mach3mig_decode_signed32(24, _local_arg->structlist_val[_t63_array_iter].b.b, int );
                flick_mach3mig_decode_end_chunk(32);
                continue;
              }
            flick_mach3mig_decode_end_glob(32 * _local_arg->structlist_len);
            flick_mach3mig_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
              flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
              _buf_start->Head.msgh_id = 1027;
              _buf_start->RetCode = flick_errno;
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_mach3mig_encode_new_glob(8, _flick_abort245);
                    flick_mach3mig_encode_new_chunk(8);
                    flick_mach3mig_encode_signed32(0, *_return, int );
                    flick_mach3mig_encode_end_chunk(8);
                    flick_mach3mig_encode_end_glob(8);
                    break;
                    {
                    _flick_abort245:
                      goto _flick_abort230;
                    }
                  }
                case -1:
                  {
                    flick_sun_encode_system_exception(flick_errno, mach3mig, mach3mig, _flick_abort246);
                    break;
                    {
                    _flick_abort246:
                      goto _flick_abort230;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                    break;
                    {
                    _flick_abort247:
                      goto _flick_abort230;
                    }
                  }
                }
            }
            flick_mach3mig_server_end_encode();
            break;
            {
            _flick_abort230:
              auto_flick_free(_local_arg->structlist_val);
            _flick_abort226:
              goto _flick_abort225;
            }
          }
          break;
          {
          _flick_abort225:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          break;
        }
      }
  }
  return 1;
  {
  _flick_abort2:
    flick_sun_server_error(mach3mig, mach3mig, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return 1;
    goto _flick_reaper;
  }
_flick_reaper:
  return 0;
}

