#include "arrayez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	reg_success = flick_server_register(s, &arrays_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(32, _flick_abort2);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, *_data, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(32);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(32);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(8 * 4 + 32, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < 8; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, *_data, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(32);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t2_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(1024, _flick_abort18);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 256; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(1024);
  flick_xdr_encode_bcopy(0, *_data, 1024);
  flick_suntcp_encode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(256 * 4 + 1024, _flick_abort29);
  for (_t3_array_iter = 0; _t3_array_iter < 256; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t3_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(1024);
  flick_xdr_decode_bcopy(0, *_data, 1024);
  flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort29:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t4_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(32768, _flick_abort34);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 8192; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t4_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32768);
  flick_xdr_encode_bcopy(0, *_data, 32768);
  flick_suntcp_encode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(32768);
  return 0;
  {
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(8192 * 4 + 32768, _flick_abort45);
  for (_t5_array_iter = 0; _t5_array_iter < 8192; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32768);
  flick_xdr_decode_bcopy(0, *_data, 32768);
  flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(32768);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort45:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t48_switch_tag;

    flick_suntcp_decode_new_glob(1076);
    flick_suntcp_check_span(28, _flick_abort52);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t48_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t49_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t49_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t49_switch_tag)
            {
            case 't':
              {
                char _t50_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t50_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t50_switch_tag)
                  {
                  case 'e':
                    {
                      char _t51_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t51_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t51_switch_tag)
                        {
                        case 's':
                          {
                            char _t52_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t52_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t52_switch_tag)
                              {
                              case 't':
                                {
                                  char _t53_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t53_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t53_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t54_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t54_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t54_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                arrays _obj;
                                                unsigned int _t55_ignore;
                                                CORBA_long _return;
                                                CORBA_long *_local_a;
#if BYTE_ORDER != BIG_ENDIAN
                                                CORBA_long _t56_storage[8];
                                                flick_unsigned32_t _t57_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t58_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort115);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_check_span(8 * 4 + 48, _flick_abort115);
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t55_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t55_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t55_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t55_ignore, unsigned int );
                                                _return = 0;
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_a = (CORBA_long *)_t56_storage;
                                                for (_t57_array_iter = 0; _t57_array_iter < 8; _t57_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t57_array_iter], CORBA_long );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    continue;
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(32);
                                                flick_xdr_decode_msgptr(0, _local_a, CORBA_long *);
                                                flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                                                _ev = (CORBA_Environment *)(&_t58_storage);
                                                flick_suntcp_decode_end_glob(1076);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = arrays_test8(_obj, _local_a, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block133);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort_block133);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort128);
                                                        break;
                                                        {
                                                        _flick_abort128:
                                                          goto _flick_abort_block133;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort129:
                                                          goto _flick_abort_block133;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort_block133:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                _flick_abort115:
                                                  goto _flick_abort114;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort114:
                                                goto _flick_abort52;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t59_switch_tag;

          flick_suntcp_check_span(32, _flick_abort52);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t59_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t59_switch_tag)
            {
            case 't':
              {
                char _t60_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t60_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t60_switch_tag)
                  {
                  case 'e':
                    {
                      char _t61_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t61_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t61_switch_tag)
                        {
                        case 's':
                          {
                            char _t62_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t62_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t62_switch_tag)
                              {
                              case 't':
                                {
                                  char _t63_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t63_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t63_switch_tag)
                                    {
                                    case '2':
                                      {
                                        char _t64_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t64_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t64_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t65_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t65_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t65_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t66_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t66_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t66_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            arrays _obj;
                                                            unsigned int _t67_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long *_local_a;
#if BYTE_ORDER != BIG_ENDIAN
                                                            CORBA_long _t68_storage[256];
                                                            flick_unsigned32_t _t69_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t70_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort131);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_check_span(256 * 4 + 1040, _flick_abort131);
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t67_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t67_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t67_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t67_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_a = (CORBA_long *)_t68_storage;
                                                            for (_t69_array_iter = 0; _t69_array_iter < 256; _t69_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_signed32(0, _local_a[_t69_array_iter], CORBA_long );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                continue;
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(1024);
                                                            flick_xdr_decode_msgptr(0, _local_a, CORBA_long *);
                                                            flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
                                                            _ev = (CORBA_Environment *)(&_t70_storage);
                                                            flick_suntcp_decode_end_glob(1076);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = arrays_test256(_obj, _local_a, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block152);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort_block152);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort144);
                                                                    break;
                                                                    {
                                                                    _flick_abort144:
                                                                      goto _flick_abort_block152;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort145);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort145:
                                                                      goto _flick_abort_block152;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort_block152:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                            _flick_abort131:
                                                              goto _flick_abort130;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort130:
                                                            goto _flick_abort52;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                          flick_suntcp_decode_end_glob(1076);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                    flick_suntcp_decode_end_glob(1076);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t71_switch_tag;

          flick_suntcp_check_span(28, _flick_abort52);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t71_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t71_switch_tag)
            {
            case 't':
              {
                char _t72_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t72_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t72_switch_tag)
                  {
                  case 'e':
                    {
                      char _t73_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t73_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t73_switch_tag)
                        {
                        case 's':
                          {
                            char _t74_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t74_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t74_switch_tag)
                              {
                              case 't':
                                {
                                  char _t75_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t75_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t75_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t76_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t76_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t76_switch_tag)
                                          {
                                          case 'k':
                                            {
                                              char _t77_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t77_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t77_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      arrays _obj;
                                                      unsigned int _t78_ignore;
                                                      CORBA_long _return;
                                                      CORBA_long *_local_a;
#if BYTE_ORDER != BIG_ENDIAN
                                                      CORBA_long _t79_storage[8192];
                                                      flick_unsigned32_t _t80_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t81_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort147);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_check_span(8192 * 4 + 32784, _flick_abort147);
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t78_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t78_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t78_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t78_ignore, unsigned int );
                                                      _return = 0;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(1076);
                                                      flick_suntcp_decode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
                                                      _local_a = (CORBA_long *)_t79_storage;
                                                      for (_t80_array_iter = 0; _t80_array_iter < 8192; _t80_array_iter++)
                                                        {
                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_signed32(0, _local_a[_t80_array_iter], CORBA_long );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          continue;
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_decode_new_chunk(32768);
                                                      flick_xdr_decode_msgptr(0, _local_a, CORBA_long *);
                                                      flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
                                                      flick_suntcp_decode_end_glob(32768);
                                                      _ev = (CORBA_Environment *)(&_t81_storage);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = arrays_test8k(_obj, _local_a, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block171);
                                                        flick_suntcp_encode_new_glob(8, _flick_abort_block171);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(8);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(8);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort160);
                                                              break;
                                                              {
                                                              _flick_abort160:
                                                                goto _flick_abort_block171;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                                                              flick_suntcp_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort161:
                                                                goto _flick_abort_block171;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort_block171:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                      _flick_abort147:
                                                        goto _flick_abort146;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort146:
                                                      goto _flick_abort52;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                    flick_suntcp_decode_end_glob(1076);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t82_switch_tag;

          flick_suntcp_check_span(40, _flick_abort52);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t82_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t82_switch_tag)
            {
            case 'i':
              {
                char _t83_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t83_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t83_switch_tag)
                  {
                  case 's':
                    {
                      char _t84_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t84_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t84_switch_tag)
                        {
                        case '_':
                          {
                            char _t85_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t85_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t85_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t86_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t86_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t86_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t87_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t88_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t89_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort163);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t87_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t87_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t87_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t87_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t88_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(1076);
                                          flick_suntcp_decode_new_glob(1 * _t88_temp_string_len);
                                          flick_suntcp_check_span(1 * _t88_temp_string_len * 1, _flick_abort163);
                                          flick_suntcp_decode_new_chunk(1 * _t88_temp_string_len);
                                          if ((_t88_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t88_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort163);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t88_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t88_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t88_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort166);
                                          _local_id[_t88_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t89_storage);
                                          _par = flick_interface_parents_arrays;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort166);
                                            flick_suntcp_encode_new_glob(8, _flick_abort166);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort172);
                                                  break;
                                                  {
                                                  _flick_abort172:
                                                    goto _flick_abort166;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort173);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort173:
                                                    goto _flick_abort166;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort166:
                                            auto_flick_free(_local_id);
                                          _flick_abort163:
                                            goto _flick_abort162;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort162:
                                          goto _flick_abort52;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
          flick_suntcp_decode_end_glob(1076);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort52:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort51);
  _flick_abort51:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

