#include "union-2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROG;
	s.vers_num = VERS;

	reg_success = flick_server_register(s, &prog_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->discriminator, int );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->foo_u.one, int );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->foo_u.two, int );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_float32(0, _data->foo_u.four, float );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort13);
        break;
        {
        _flick_abort13:
          goto _flick_abort0;
        }
      }
    }
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(4, _flick_abort14);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->discriminator, int );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_suntcp_check_span(4, _flick_abort22);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->foo_u.one, int );
        flick_suntcp_decode_end_chunk(4);
        break;
        {
        _flick_abort22:
          goto _flick_abort14;
        }
      }
    case 2:
      {
        flick_suntcp_check_span(4, _flick_abort23);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->foo_u.two, int );
        flick_suntcp_decode_end_chunk(4);
        break;
        {
        _flick_abort23:
          goto _flick_abort14;
        }
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_suntcp_check_span(4, _flick_abort25);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_float32(0, _data->foo_u.four, float );
        flick_suntcp_decode_end_chunk(4);
        break;
        {
        _flick_abort25:
          goto _flick_abort14;
        }
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort27);
        break;
        {
        _flick_abort27:
          goto _flick_abort14;
        }
      }
    }
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t3_switch_tag;

    flick_suntcp_decode_new_glob(28);
    flick_suntcp_check_span(24, _flick_abort30);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t3_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t4_ignore;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t5_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort81);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t4_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t4_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t4_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t4_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct foo *)(&_t5_storage);
            flick_xdr_decode_signed32(16, _local_arg->discriminator, int );
            flick_suntcp_decode_end_chunk(20);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_suntcp_check_span(4, _flick_abort89);
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _local_arg->foo_u.one, int );
                  flick_suntcp_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort89:
                    goto _flick_abort81;
                  }
                }
              case 2:
                {
                  flick_suntcp_check_span(4, _flick_abort90);
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _local_arg->foo_u.two, int );
                  flick_suntcp_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort90:
                    goto _flick_abort81;
                  }
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_suntcp_check_span(4, _flick_abort92);
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_float32(0, _local_arg->foo_u.four, float );
                  flick_suntcp_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort92:
                    goto _flick_abort81;
                  }
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort94);
                  break;
                  {
                  _flick_abort94:
                    goto _flick_abort81;
                  }
                }
              }
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort81);
              flick_suntcp_encode_new_glob(12, _flick_abort81);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, _return->discriminator, int );
                    flick_suntcp_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_suntcp_encode_new_chunk(4);
                          flick_xdr_encode_signed32(0, _return->foo_u.one, int );
                          flick_suntcp_encode_end_chunk(4);
                          break;
                        }
                      case 2:
                        {
                          flick_suntcp_encode_new_chunk(4);
                          flick_xdr_encode_signed32(0, _return->foo_u.two, int );
                          flick_suntcp_encode_end_chunk(4);
                          break;
                        }
                      case 3:
                        {
                          break;
                        }
                      case 4:
                        {
                          flick_suntcp_encode_new_chunk(4);
                          flick_xdr_encode_float32(0, _return->foo_u.four, float );
                          flick_suntcp_encode_end_chunk(4);
                          break;
                        }
                      case 5:
                        {
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort125);
                          break;
                          {
                          _flick_abort125:
                            goto _flick_abort112;
                          }
                        }
                      }
                    flick_suntcp_encode_end_glob(12);
                    break;
                    {
                    _flick_abort112:
                      goto _flick_abort81;
                    }
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort126);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort81;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort127);
                    flick_suntcp_encode_end_glob(12);
                    break;
                    {
                    _flick_abort127:
                      goto _flick_abort81;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort81:
              goto _flick_abort80;
            }
          }
          break;
          {
          _flick_abort80:
            goto _flick_abort30;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
          flick_suntcp_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort30:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort29);
  _flick_abort29:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

