#include "simple2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple3[] = {
	"IDL:simple2:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t simple_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t6_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t6_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 0:
        {
          {
            simple _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple *_local_b;
            simple _t7_storage;
            CORBA_long *_local_c;
            CORBA_long _t8_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort23);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort23);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (simple *)(&_t7_storage);
            _local_c = (CORBA_long *)(&_t8_storage);
            flick_cdr_decode_signed32(8, *_local_c, CORBA_long );
            _ev = (CORBA_Environment *)(&_t9_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort23);
              flick_trapeze_encode_new_glob(12, _flick_abort23);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
                    break;
                    {
                    _flick_abort30:
                      goto _flick_abort23;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort23:
              goto _flick_abort22;
            }
          }
          break;
          {
          _flick_abort22:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t10_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t11_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort32);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t10_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t10_temp_string_len);
            _ev = (CORBA_Environment *)(&_t11_storage);
            _par = flick_interface_parents_simple;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort32);
              flick_trapeze_encode_new_glob(5, _flick_abort32);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort32;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort32:
              goto _flick_abort31;
            }
          }
          break;
          {
          _flick_abort31:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t simple2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t32_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(12, _flick_abort79);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t32_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t32_switch_tag)
      {
      case (signed int) 2:
        {
          {
            simple2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple _local_b;
            simple2 *_local_c;
            simple2 _t33_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t34_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort109);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_c = (simple2 *)(&_t33_storage);
            _ev = (CORBA_Environment *)(&_t34_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort109);
              flick_trapeze_encode_new_glob(8, _flick_abort109);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort109;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort109:
              goto _flick_abort108;
            }
          }
          break;
          {
          _flick_abort108:
            goto _flick_abort79;
          }
        }
      case (signed int) 3:
        {
          {
            simple2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple *_local_b;
            simple _t35_storage;
            CORBA_long *_local_c;
            CORBA_long _t36_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t37_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort118);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort118);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (simple *)(&_t35_storage);
            _local_c = (CORBA_long *)(&_t36_storage);
            flick_cdr_decode_signed32(8, *_local_c, CORBA_long );
            _ev = (CORBA_Environment *)(&_t37_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort118);
              flick_trapeze_encode_new_glob(12, _flick_abort118);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort118;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort118:
              goto _flick_abort117;
            }
          }
          break;
          {
          _flick_abort117:
            goto _flick_abort79;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t38_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t39_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort127);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t38_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t38_temp_string_len);
            _ev = (CORBA_Environment *)(&_t39_storage);
            _par = flick_interface_parents_simple2;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort127);
              flick_trapeze_encode_new_glob(5, _flick_abort127);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort127;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort127:
              goto _flick_abort126;
            }
          }
          break;
          {
          _flick_abort126:
            goto _flick_abort79;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort79);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort79:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort78);
  _flick_abort78:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t simple3_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t96_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(8, _flick_abort192);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t96_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t96_switch_tag)
      {
      case (signed int) 5:
        {
          {
            simple3 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple3 *_local_b;
            simple3 _t97_storage;
            simple2 *_local_c;
            simple2 _t98_storage;
            simple *_local_d;
            simple _t99_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t100_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort301);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort301);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (simple3 *)(&_t97_storage);
            _local_c = (simple2 *)(&_t98_storage);
            _local_d = (simple *)(&_t99_storage);
            _ev = (CORBA_Environment *)(&_t100_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort301);
              flick_trapeze_encode_new_glob(76, _flick_abort301);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(76);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(76);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 25:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 16))
                                                    {
                                                    case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 20))
                                                          {
                                                          case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                            {
                                                              switch (*(char *)(_ev->_id + 24))
                                                                {
                                                                case 0:
                                                                  {
                                                                    flick_unsigned32_t _t107_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t107_temp_string_len);

                                                                    flick_trapeze_encode_new_chunk(40);
                                                                    flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                    flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                    flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                    flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                    flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                    flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                    flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                    flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                    flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                    flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                    flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                    flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                    flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                    flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                    flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                    flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                    flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                    flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                    flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                    flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                    flick_cdr_encode_signed32(32, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a, CORBA_long );
                                                                    flick_cdr_encode_unsigned32(36, _t107_temp_string_len, flick_unsigned32_t );
                                                                    flick_trapeze_server_encode_array(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 1 * _t107_temp_string_len);
                                                                    CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                    flick_trapeze_encode_end_chunk(40);
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                break;
                              }
                            }
                          break;
                        }
                      case (unsigned int) 26:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 16))
                                                    {
                                                    case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 20))
                                                          {
                                                          case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 24))
                                                                {
                                                                case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                  {
                                                                    flick_unsigned32_t _t108_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t108_temp_string_len);

                                                                    flick_trapeze_encode_new_chunk(40);
                                                                    flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                    flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                    flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                    flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                    flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                    flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                    flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                    flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                    flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                    flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                    flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                    flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                    flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                    flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                    flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                    flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                    flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                    flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                    flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                    flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                    flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                    flick_cdr_encode_unsigned32(36, _t108_temp_string_len, flick_unsigned32_t );
                                                                    flick_trapeze_server_encode_array(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t108_temp_string_len);
                                                                    CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                    flick_trapeze_encode_end_chunk(40);
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                break;
                              }
                            }
                          break;
                        }
                      case (unsigned int) 23:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 16))
                                                    {
                                                    case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                      {
                                                        switch (*(unsigned short int *)(_ev->_id + 20))
                                                          {
                                                          case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                            {
                                                              switch (*(char *)(_ev->_id + 22))
                                                                {
                                                                case 0:
                                                                  {
                                                                    flick_trapeze_encode_new_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                    flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                    flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                    flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                    flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                    flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                    flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                    flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                    flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                    flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                    flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                    flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                    flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                    flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                    flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                    flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                    flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                    flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                    flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                    flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                    flick_cdr_encode_unsigned32(28, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length, CORBA_unsigned_long );
                                                                    if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > 10)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort336);
                                                                    flick_cdr_encode_bcopy(32, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                    if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                      CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                    ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                    ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
                                                                    flick_trapeze_encode_end_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                    CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                    break;
                                                                    {
                                                                    _flick_abort336:
                                                                      goto _flick_abort327;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort327);
                          break;
                        }
                      }
                    flick_trapeze_encode_end_glob(76);
                    break;
                    {
                    _flick_abort327:
                      goto _flick_abort301;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort301:
              goto _flick_abort300;
            }
          }
          break;
          {
          _flick_abort300:
            goto _flick_abort192;
          }
        }
      case (signed int) 6:
        {
          {
            simple3 _obj;
            CORBA_char *_return;
            CORBA_char *_local_x;
            flick_unsigned32_t _t109_temp_string_len;
            CORBA_char **_local_y;
            CORBA_char *_t110_storage;
            flick_unsigned32_t _t111_temp_string_len;
            CORBA_char **_local_z;
            CORBA_char *_t112_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t113_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort340);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort340);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t109_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_x, 1 * _t109_temp_string_len);
            _local_y = (CORBA_char **)(&_t110_storage);
            flick_cdr_decode_unsigned32(8, _t111_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_y, 1 * _t111_temp_string_len);
            _local_z = (CORBA_char **)(&_t112_storage);
            _ev = (CORBA_Environment *)(&_t113_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort340);
              flick_trapeze_encode_new_glob(44, _flick_abort340);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t119_temp_string_len;
                    flick_unsigned32_t _t120_temp_string_len;
                    flick_unsigned32_t _t121_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t119_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_y, flick_unsigned32_t , _t120_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_z, flick_unsigned32_t , _t121_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t119_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t119_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t120_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_y, 1 * _t120_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t121_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_z, 1 * _t121_temp_string_len);
                    flick_trapeze_encode_end_chunk(12);
                    flick_trapeze_encode_end_glob(44);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(44);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 26:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 16))
                                                    {
                                                    case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 20))
                                                          {
                                                          case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 24))
                                                                {
                                                                case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                  {
                                                                    flick_unsigned32_t _t123_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t123_temp_string_len);

                                                                    flick_trapeze_encode_new_chunk(40);
                                                                    flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                    flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                    flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                    flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                    flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                    flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                    flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                    flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                    flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                    flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                    flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                    flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                    flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                    flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                    flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                    flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                    flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                    flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                    flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                    flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                    flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                    flick_cdr_encode_unsigned32(36, _t123_temp_string_len, flick_unsigned32_t );
                                                                    flick_trapeze_server_encode_array(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t123_temp_string_len);
                                                                    CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                    flick_trapeze_encode_end_chunk(40);
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort356);
                          break;
                        }
                      }
                    flick_trapeze_encode_end_glob(44);
                    break;
                    {
                    _flick_abort356:
                      goto _flick_abort340;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort340:
              goto _flick_abort339;
            }
          }
          break;
          {
          _flick_abort339:
            goto _flick_abort192;
          }
        }
      case (signed int) 7:
        {
          {
            simple3 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t124_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort361);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t124_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            simple3_op5(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort361);
              flick_trapeze_encode_new_glob(40, _flick_abort361);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_end_glob(40);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(40);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 26:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 12))
                                              {
                                              case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 16))
                                                    {
                                                    case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 20))
                                                          {
                                                          case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 24))
                                                                {
                                                                case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                  {
                                                                    flick_unsigned32_t _t128_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, flick_unsigned32_t , _t128_temp_string_len);

                                                                    flick_trapeze_encode_new_chunk(36);
                                                                    flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                    flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                    flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                    flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                    flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                    flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                    flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                    flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                    flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                    flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                    flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                    flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                    flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                    flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                    flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                    flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                    flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                    flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                    flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                    flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                    flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                    flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                    flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                    flick_cdr_encode_unsigned32(32, _t128_temp_string_len, flick_unsigned32_t );
                                                                    flick_trapeze_server_encode_array(((simple3_USERERROR *)(_ev->_value._user_except))->reason, 1 * _t128_temp_string_len);
                                                                    CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                    flick_trapeze_encode_end_chunk(36);
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                          break;
                        }
                      }
                    flick_trapeze_encode_end_glob(40);
                    break;
                    {
                    _flick_abort375:
                      goto _flick_abort361;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort361:
              goto _flick_abort360;
            }
          }
          break;
          {
          _flick_abort360:
            goto _flick_abort192;
          }
        }
      case (signed int) 8:
        {
          {
            simple3 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple _local_b;
            simple2 *_local_c;
            simple2 _t129_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t130_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort380);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort380);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_c = (simple2 *)(&_t129_storage);
            _ev = (CORBA_Environment *)(&_t130_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort380);
              flick_trapeze_encode_new_glob(8, _flick_abort380);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort387);
                    break;
                    {
                    _flick_abort387:
                      goto _flick_abort380;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort380:
              goto _flick_abort379;
            }
          }
          break;
          {
          _flick_abort379:
            goto _flick_abort192;
          }
        }
      case (signed int) 9:
        {
          {
            simple3 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple *_local_b;
            simple _t131_storage;
            CORBA_long *_local_c;
            CORBA_long _t132_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t133_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort389);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort389);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (simple *)(&_t131_storage);
            _local_c = (CORBA_long *)(&_t132_storage);
            flick_cdr_decode_signed32(8, *_local_c, CORBA_long );
            _ev = (CORBA_Environment *)(&_t133_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort389);
              flick_trapeze_encode_new_glob(12, _flick_abort389);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort396);
                    break;
                    {
                    _flick_abort396:
                      goto _flick_abort389;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort389:
              goto _flick_abort388;
            }
          }
          break;
          {
          _flick_abort388:
            goto _flick_abort192;
          }
        }
      case (signed int) 10:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t134_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t135_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort398);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort398);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t134_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t134_temp_string_len);
            _ev = (CORBA_Environment *)(&_t135_storage);
            _par = flick_interface_parents_simple3;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort398);
              flick_trapeze_encode_new_glob(5, _flick_abort398);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort405);
                    break;
                    {
                    _flick_abort405:
                      goto _flick_abort398;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort398:
              goto _flick_abort397;
            }
          }
          break;
          {
          _flick_abort397:
            goto _flick_abort192;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort192);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort192:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort191);
  _flick_abort191:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

