#include "string_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_unsigned32_t _t2_temp_string_len;
    flick_unsigned32_t _t3_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, a, flick_unsigned32_t , _t2_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, *b, flick_unsigned32_t , _t3_temp_string_len);

    flick_trapeze_encode_new_glob(16, _flick_abort1);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t2_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(a, 1 * _t2_temp_string_len);
    flick_cdr_encode_unsigned32(12, _t3_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(*b, 1 * _t3_temp_string_len);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t7_temp_string_len;
            flick_unsigned32_t _t8_temp_string_len;
            flick_unsigned32_t _t9_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort10);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(_return, 1 * _t7_temp_string_len);
            flick_cdr_decode_unsigned32(4, _t8_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*b, 1 * _t8_temp_string_len);
            flick_cdr_decode_unsigned32(8, _t9_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*c, 1 * _t9_temp_string_len);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            break;
            {
            _flick_abort10:
              goto _flick_abort1;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(16);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort12);
            flick_trapeze_decode_end_glob(16);
            break;
            {
            _flick_abort12:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

longstr test_LongString(test _obj, longstr a, longstr *b, longstr *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  longstr _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort14);
  }
  {
    flick_unsigned32_t _t12_temp_string_len;
    flick_unsigned32_t _t13_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, a, flick_unsigned32_t , _t12_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, *b, flick_unsigned32_t , _t13_temp_string_len);

    flick_trapeze_encode_new_glob(16, _flick_abort14);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t12_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(a, 1 * _t12_temp_string_len);
    flick_cdr_encode_unsigned32(12, _t13_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(*b, 1 * _t13_temp_string_len);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort14);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t17_temp_string_len;
            flick_unsigned32_t _t18_temp_string_len;
            flick_unsigned32_t _t19_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort23);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(_return, 1 * _t17_temp_string_len);
            flick_cdr_decode_unsigned32(4, _t18_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*b, 1 * _t18_temp_string_len);
            flick_cdr_decode_unsigned32(8, _t19_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*c, 1 * _t19_temp_string_len);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            break;
            {
            _flick_abort23:
              goto _flick_abort14;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(16);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort25);
            flick_trapeze_decode_end_glob(16);
            break;
            {
            _flick_abort25:
              goto _flick_abort14;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort14:
    flick_corba_client_error(cdr, trapeze, _flick_abort13);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

shortstr test_ShortString(test _obj, shortstr a, shortstr *b, shortstr *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  shortstr _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort27);
  }
  {
    flick_unsigned32_t _t22_temp_string_len;
    flick_unsigned32_t _t23_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, a, flick_unsigned32_t , _t22_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, *b, flick_unsigned32_t , _t23_temp_string_len);

    flick_trapeze_encode_new_glob(71, _flick_abort27);
    flick_trapeze_encode_new_chunk(12 + 1 * _t22_temp_string_len);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t22_temp_string_len, flick_unsigned32_t );
    if (_t22_temp_string_len > 26)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort27);
    flick_cdr_encode_bcopy(12, a, 1 * _t22_temp_string_len);
    flick_trapeze_encode_end_chunk(12 + 1 * _t22_temp_string_len);
    flick_trapeze_encode_new_chunk_align(4 + 1 * _t23_temp_string_len, 2, 0, 0);
    flick_cdr_encode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
    if (_t23_temp_string_len > 26)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort27);
    flick_cdr_encode_bcopy(4, *b, 1 * _t23_temp_string_len);
    CORBA_flick_free(*b);
    *b = 0;
    flick_trapeze_encode_end_chunk(4 + 1 * _t23_temp_string_len);
    flick_trapeze_encode_end_glob(71);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort27);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(100);
      flick_trapeze_check_span(4, _flick_abort27);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t27_temp_string_len;
            flick_unsigned32_t _t28_temp_string_len;
            flick_unsigned32_t _t29_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort50);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_temp_string_len, flick_unsigned32_t );
            if (_t27_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort50);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t27_temp_string_len * 1, _flick_abort50);
            flick_trapeze_decode_new_chunk(1 * _t27_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort50);
              _return = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, _return, 1 * _t27_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t27_temp_string_len);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort53);
            flick_cdr_decode_unsigned32(0, _t28_temp_string_len, flick_unsigned32_t );
            if (_t28_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort53);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t28_temp_string_len * 1, _flick_abort53);
            flick_trapeze_decode_new_chunk(1 * _t28_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
              *b = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *b, 1 * _t28_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t28_temp_string_len);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort56);
            flick_cdr_decode_unsigned32(0, _t29_temp_string_len, flick_unsigned32_t );
            if (_t29_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort56);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t29_temp_string_len * 1, _flick_abort56);
            flick_trapeze_decode_new_chunk(1 * _t29_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort56);
              *c = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *c, 1 * _t29_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t29_temp_string_len);
            break;
            {
            _flick_abort56:
              CORBA_flick_free(*b);
            _flick_abort53:
              CORBA_flick_free(_return);
            _flick_abort50:
              goto _flick_abort27;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
            break;
            {
            _flick_abort61:
              goto _flick_abort27;
            }
          }
        }
      flick_trapeze_decode_end_glob(100);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort27:
    flick_corba_client_error(cdr, trapeze, _flick_abort26);
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct str *test_Struct(test _obj, struct str *a, struct str *b, struct str **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct str *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort63);
  }
  {
    flick_unsigned32_t _t34_temp_string_len;
    flick_unsigned32_t _t35_temp_string_len;
    flick_unsigned32_t _t36_temp_string_len;
    flick_unsigned32_t _t37_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, a->s10, flick_unsigned32_t , _t34_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, a->sx, flick_unsigned32_t , _t35_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, b->s10, flick_unsigned32_t , _t36_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, b->sx, flick_unsigned32_t , _t37_temp_string_len);

    flick_trapeze_encode_new_glob(66, _flick_abort63);
    flick_trapeze_encode_new_chunk(12 + 1 * _t34_temp_string_len);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t34_temp_string_len, flick_unsigned32_t );
    if (_t34_temp_string_len > 11)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort63);
    flick_cdr_encode_bcopy(12, a->s10, 1 * _t34_temp_string_len);
    flick_trapeze_encode_end_chunk(12 + 1 * _t34_temp_string_len);
    flick_trapeze_encode_new_chunk_align(16 + 1 * _t36_temp_string_len, 2, 0, 0);
    flick_cdr_encode_signed32(0, a->a, CORBA_long );
    flick_cdr_encode_unsigned32(4, _t35_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(a->sx, 1 * _t35_temp_string_len);
    flick_cdr_encode_signed16(8, a->b, CORBA_short );
    flick_cdr_encode_unsigned32(12, _t36_temp_string_len, flick_unsigned32_t );
    if (_t36_temp_string_len > 11)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort63);
    flick_cdr_encode_bcopy(16, b->s10, 1 * _t36_temp_string_len);
    CORBA_flick_free(b->s10);
    b->s10 = 0;
    flick_trapeze_encode_end_chunk(16 + 1 * _t36_temp_string_len);
    flick_trapeze_encode_new_chunk_align(10, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->a, CORBA_long );
    flick_cdr_encode_unsigned32(4, _t37_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(b->sx, 1 * _t37_temp_string_len);
    flick_cdr_encode_signed16(8, b->b, CORBA_short );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(66);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return->sx))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(92);
      flick_trapeze_check_span(4, _flick_abort63);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t44_temp_string_len;
            flick_unsigned32_t _t45_temp_string_len;
            flick_unsigned32_t _t46_temp_string_len;
            flick_unsigned32_t _t47_temp_string_len;
            flick_unsigned32_t _t48_temp_string_len;
            flick_unsigned32_t _t49_temp_string_len;

            /* Begin decode phase on parameters */
            {
              struct str *_t_alloc_ptr;

              _t_alloc_ptr = (struct str *)(CORBA_flick_alloc(sizeof(struct str )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
              _return = _t_alloc_ptr;
            }
            flick_trapeze_check_span(4, _flick_abort92);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
            if (_t44_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort92);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t44_temp_string_len * 1, _flick_abort92);
            flick_trapeze_decode_new_chunk(1 * _t44_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort92);
              _return->s10 = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, _return->s10, 1 * _t44_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t44_temp_string_len);
            flick_trapeze_decode_new_chunk_align(16, 2, 0, 0);
            flick_trapeze_check_span(16, _flick_abort95);
            flick_cdr_decode_signed32(0, _return->a, CORBA_long );
            flick_cdr_decode_unsigned32(4, _t45_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(_return->sx, 1 * _t45_temp_string_len);
            flick_cdr_decode_signed16(8, _return->b, CORBA_short );
            flick_cdr_decode_unsigned32(12, _t46_temp_string_len, flick_unsigned32_t );
            if (_t46_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort95);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t46_temp_string_len * 1, _flick_abort95);
            flick_trapeze_decode_new_chunk(1 * _t46_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
              b->s10 = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, b->s10, 1 * _t46_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t46_temp_string_len);
            flick_trapeze_decode_new_chunk_align(16, 2, 0, 0);
            flick_trapeze_check_span(16, _flick_abort98);
            flick_cdr_decode_signed32(0, b->a, CORBA_long );
            flick_cdr_decode_unsigned32(4, _t47_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(b->sx, 1 * _t47_temp_string_len);
            flick_cdr_decode_signed16(8, b->b, CORBA_short );
            {
              struct str *_t_alloc_ptr;

              _t_alloc_ptr = (struct str *)(CORBA_flick_alloc(sizeof(struct str )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort98);
              *c = _t_alloc_ptr;
            }
            flick_cdr_decode_unsigned32(12, _t48_temp_string_len, flick_unsigned32_t );
            if (_t48_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort99);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t48_temp_string_len * 1, _flick_abort99);
            flick_trapeze_decode_new_chunk(1 * _t48_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort99);
              (*c)->s10 = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, (*c)->s10, 1 * _t48_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t48_temp_string_len);
            flick_trapeze_decode_new_chunk_align(10, 2, 0, 0);
            flick_trapeze_check_span(10, _flick_abort102);
            flick_cdr_decode_signed32(0, (*c)->a, CORBA_long );
            flick_cdr_decode_unsigned32(4, _t49_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array((*c)->sx, 1 * _t49_temp_string_len);
            flick_cdr_decode_signed16(8, (*c)->b, CORBA_short );
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(92);
            break;
            {
            _flick_abort102:
              CORBA_flick_free((*c)->s10);
            _flick_abort99:
              CORBA_flick_free(*c);
            _flick_abort98:
              CORBA_flick_free(b->s10);
            _flick_abort95:
              CORBA_flick_free(_return->s10);
            _flick_abort92:
              CORBA_flick_free(_return);
            _flick_abort91:
              goto _flick_abort63;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(92);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
            flick_trapeze_decode_end_glob(92);
            break;
            {
            _flick_abort104:
              goto _flick_abort63;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort63:
    flick_corba_client_error(cdr, trapeze, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

